Thilo Graf <dbt@novatux.de>	2017-09-14

    update version to 3.5.1

Thilo Graf <dbt@novatux.de>	2017-08-13

    CMenuWidget: replace paintBoxRel() calls with single PaintBoxRel()
    
    Paints background and shadow at once. Shadow is painted only on
    reqiured parts of screen. This avoids possible flicker effects e.g.
    with footer paint, on changing buttons, was to see with opkg_manager.

Thilo Graf <dbt@novatux.de>	2017-08-13

    CMenuWidget: use CComponentsFooter for paint footers in menues
    
    Another step for more unified window designs.

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-08

    - plugin-code: cleanup from many unused code; ...
    
    * remove intergration conversion because we can use the integer as it is
    * update headers
    
      Do we need /src/plugin.h anymore? Maybe this code could be merged into src/gui/plugins.h.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-08

    - get sure we have the logo-dir, even if it's empty
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-07

    - rc_lock: use OFFSET defines
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-07

    - don't save conf-files to flash; use /media by default
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-07

    - locale: small changes; unify save/load locales
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-07

    - keybind_setup: resort items as in other menus too; 'save' before 'load'
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-07

    - menu: always add an offset to menus; not only in round-border-mode
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-06

    - nhttpd: remove unused string Dbox_Hersteller
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-06

    - nhttpd: de-capitalize hooknames for controlapi and neutrinoyparser
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-06

    - nhttpd: fix typo in LOG_FILE define
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-06

    - nhttpd: move defines for SSL-certs after HTTPD_CONFIGDIR define
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-06

    - nhttpd: use PORT-defines from yconfig.h instead of "hardcoded" ports
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - yWeb: align cifs-mounts to new automount-syntax
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: fix indentations
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: small re-sorts; TODO: fix $Revision$ replacements
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: sort entrys in Makefile.am
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: remove unused mod_testhook
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: just code-reformats; fix indentation
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: resort defines
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: remove obsolete CONFIG_SYSTEM_TUXBOX_COOLSTREAM switch
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    Some changes was different.

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: just cosmetics (remove annoying linebreaks)
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: remove obsolete function to show commandline help
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: remove non-working and outdated Y_CONFIG_BUILD_AS_DAEMON switch
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: align mod_sendfile.mime_types to HTTPD_SENDFILE_EXT
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: fix typo in AUTH_NAME_MSG
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-05

    - nhttpd: enable mod_sendfile.sendAll by default
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-01

    - y-web: show hostname as page-title
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-09-01

    - y-web: remove white background from favicon
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-08-31

    - acinclude.m4: add missing variables substitutions
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-08-29

    - locale: small changes in update locales
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-11

    helpers.chh/h: add some helper functions
    
    Partial cherry pick from:
    https://bitbucket.org/neutrino-images/ni-neutrino-hd
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Jacek Jendrzej <satbaby@kawaii.com>	2017-09-14

    src/driver/screenshot.cpp avoid memory ranges overlap

vanhofen <vanhofen@gmx.de>	2017-09-13

    - parentallock_setup: fix compiler warning; remove easymenu leftover

vanhofen <vanhofen@gmx.de>	2017-09-13

    - rework multimedia-menu code; cleanup from many unused code

Jacek Jendrzej <satbaby@kawaii.com>	2017-09-13

    fix pick diff error

vanhofen <vanhofen@gmx.de>	2017-09-13

    - remove unused nkplay stuff

vanhofen <vanhofen@gmx.de>	2017-09-13

    - remove unused nkplay stuff

vanhofen <vanhofen@gmx.de>	2017-09-12

    - drop easymenu

Jacek Jendrzej <satbaby@kawaii.com>	2017-09-08

    remove double includes

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-29

    remove my stupid init

Thilo Graf <dbt@novatux.de>	2017-08-28

    CTimerList: adjust label width in footer dependent by count of buttons

Thilo Graf <dbt@novatux.de>	2017-08-28

    CTimerList: paint header only if required
    
    Avoid possible flicker effects.
    
    TODO: fix clock background with enabled gradient on header repaint.

Thilo Graf <dbt@novatux.de>	2017-08-28

    comments: fix copy paste errors

Thilo Graf <dbt@novatux.de>	2017-08-28

    cc_item_shapes.cpp/h: Add method to create draw boxes without explicit objects

Thilo Graf <dbt@novatux.de>	2017-08-28

    Helpbox: add missing check for null pointer

Thilo Graf <dbt@novatux.de>	2017-08-28

    CComponentsHeader: add missing check for null pointer

Thilo Graf <dbt@novatux.de>	2017-08-28

    CProgressBarCache: remove benchmark lines
    
    Was only for debugging.

Thilo Graf <dbt@novatux.de>	2017-08-28

    CComponentsPicture: remove benchmark lines
    
    Was only for debugging.

Thilo Graf <dbt@novatux.de>	2017-08-28

    CComponentsFooter: fix possible error with non-POD element type
    
    affected is struct type 'button_label_cc'

Thilo Graf <dbt@novatux.de>	2017-08-28

    CComponentsFooter: fix possible conversion warning
    
    For platform compatibility. eg. with neutrino-pc on it is possible
    that size_t is long unsigned ini, for others unsinged int

Thilo Graf <dbt@novatux.de>	2017-08-28

    cc_frm.cpp, cc_frm_button.cpp: remove unread stored variables

Thilo Graf <dbt@novatux.de>	2017-08-28

    CComponentsFrmClock: fix wrong initialization of w_tmp

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-23

    fix possible out of bound memory access

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-23

    null pointer check

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-23

    fxi possible buffer overflow

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-23

    some inits and never read var

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-21

    some inits warnings

vanhofen <vanhofen@gmx.de>	2017-08-14

    - hw_caps: remove CFEManager-code; ...
    
    the relevant boxmodels are handled now in a "dirty part of hw_caps"
    in neutrino.cpp after zapit-start

Jacek Jendrzej <satbaby@kawaii.com>	2017-08-21

    Revert "- neutrino: fix hw_caps init; it must be initialized after zapit start"
    
    This reverts commit edb0a5937e30477f633550c18c87cdfa6c2a5827.

svenhoefer <svenhoefer@svenhoefer.com>	2017-08-12

    - upnpbrowser: fix mode_ts for videos; was switched back to mode_upnp by stopAudio()
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-08-12

    Revert "neutrino: disable some menus in upnp & ts mode"
    
    This reverts commit 90de51de3807c76f66f642c94fec82cd1f7d2f6f.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-08-12

    Revert "infoviewer.cpp: handle timeout of mode upnp like mode ts"
    
    This reverts commit 0225b043db882011b6ce258bb3da648d32a45f4d.

Thilo Graf <dbt@novatux.de>	2017-08-11

    CComponentsScrollBar: try to fix handling with very much segment count
    
    In some cases, eg. with very much pages in channellist, the effort
    to handle with all count of scrollbar segments was too much. Result: long
    waiting times during page scrolling and slider was not visible. This
    should be fixed now.

GetAway <get-away@t-online.de>	2017-08-11

    infoviewer.cpp: handle timeout of mode upnp like mode ts
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    Infobar timeout in the upnp mode is fixed to 6 sec.
    Because it's acting about streams, so we should use the same timeout
    such as with playing a movie file.

Thilo Graf <dbt@novatux.de>	2017-08-09

    CComponentsScrollBar: use matching type names

Thilo Graf <dbt@novatux.de>	2017-08-09

    CComponentsScrollBar: fix possible build error with -Werror=sign-compare

Thilo Graf <dbt@novatux.de>	2017-08-09

    CComponentsScrollBar: fix possible too small type size
    
    Possible segment count could be more than 265.
    Was a remnant from scrollbar test phase.

Thilo Graf <dbt@novatux.de>	2017-08-07

    english.locale: corrections in channellist locales
    
    Consideration of rules for capitalization of headings, titles and labels.

svenhoefer <svenhoefer@svenhoefer.com>	2017-08-01

    - menu: fix icon for CGenericMenuNext forwarder
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-08-04

    CComponentsForm: add functions to get used or free space of form dimensions

Thilo Graf <dbt@novatux.de>	2017-08-04

    CComponentsForm: add methods to get previous and next item

Thilo Graf <dbt@novatux.de>	2017-08-03

    CComponentsItem: fix possible issues with position inside forms
    
    This ensures relative position for items inside form

Thilo Graf <dbt@novatux.de>	2017-08-03

    CCDraw: add missing member for real item position
    
    Changes of real positions were not watched.

Thilo Graf <dbt@novatux.de>	2017-08-03

    CComponentsItem: move real position methods from draw class into item class
    
    These methods ar only relavant for items

TangoCash <eric@loxat.de>	2016-11-07

    fix epgtitle
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-07-26

    - audioplayer: fix right offsets for item
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-08-02

    CComponentsHeader: disable permanent clock paint on interval.

Thilo Graf <dbt@novatux.de>	2017-08-02

    CComponentsHeader: rework and simplified logo handling
    
    This should fix some issues with possible overlapps
    of logos with title. With some Conditions with text
    alignment on the right side needs a fix.
    There is an issue with size and position of text object, but is stll not
    used at the moment. For all other conditions of logo and text alignments now
    it should be not a problem (I hope) and have more code clarity.

Thilo Graf <dbt@novatux.de>	2017-08-02

    COsdSetup: add slot to ensure clean up icon cache on changed resolution.
    
    Some old icon data makes no sense with changed resolution.
    In some cases it could happens that no icons are to see on screen
    after changed resolution. This should fix this,

Thilo Graf <dbt@novatux.de>	2017-08-02

    CFrameBuffer: fb-generic.cpp - add methode for clean up icon cache
    
    This could be required eg. on changed resoulutions or
    changed iconsets on runtime.

Thilo Graf <dbt@novatux.de>	2017-08-02

    CBuildinfo: Don't load graphical related objects if not needed.
    
    Objects are only required in show mode. HasData() is renamed because of for more
    plausibility.

Thilo Graf <dbt@novatux.de>	2017-08-02

    offsets: add SIDEBAR_WIDTH
    
    required in window class

Thilo Graf <dbt@novatux.de>	2017-08-02

    CBuildInfo: add missing offset defines

Thilo Graf <dbt@novatux.de>	2017-08-02

    Colorsettings: add possibility to change shadow color
    
    Shadow color was bound to infobar color and it's not really
    understandable why, because with some colors eg. black, the shadow is
    grey or with other colors it is exaggerated colored and seems to be
    not realistically and looks unusual if shadow is brighter or colorful
    than foreground. Some themes will thank it.
    
    TODO: update theme files with matching values if required

GetAway <get-away@t-online.de>	2017-08-06

    neutrino: disable some menus in upnp & ts mode
    
    to prevent inoperability of neutrino

GetAway <get-away@t-online.de>	2017-08-06

    neutrino.cpp: repaint of background in radio mode, when close UPNP-Browser

TangoCash <eric@loxat.de>	2017-07-05

    no shutdown if streaming (thx dbo)
    
    prevent shutdown from timer if stb is started from deep standby > does a
    timer-record > and meanwhile streaming (eg. localTV or via web-if to PC)
    is active
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-07-04

    - epgscan: allow to set rescan period to catch a bug in epgscan
    
    Scan isn't executed while a movie is played. When movie is stopped
    the scan-timer is ignored too.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-07-03

    - moviebrowser: another fix for deletion function ...
    
    and add some temporary console output to see what happens
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-07-04

    - audioplayer: don't scale covers to quadrat-dimensions
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    # Conflicts:
    #       src/gui/audioplayer.cpp

Thilo Graf <dbt@novatux.de>	2017-07-03

    CLocaleManager: add casted version of getText() function
    
    Allows easier handling with strings instead const char
    for usage as string source. Separate casts are not requiered.
    
    Overload of getText() was not possible but,
    name  getTextAsString() is keeping namespace of base function
    getText().

TangoCash <eric@loxat.de>	2017-07-02

    fix epgplus detailsline hide bug (thx dbo)
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    dline was not removed after called epg info.
    
    btw. Small request:
    It would be nice if a short brief justification would be included.
    That would be make some things easier to track and saves unnecessary questions.
    Thx!

Thilo Graf <dbt@novatux.de>	2017-07-01

    CUpnpBrowserGui: try to reduce flicker effects on scroll
    
    Some parts on screen should be painted only if changed.
    This should help to reduce some flicker effects.

Thilo Graf <dbt@novatux.de>	2017-07-01

    CUpnpBrowserGui: fix dline paint during directory selection
    
    Dline was not removed on directory selection.

Jacek Jendrzej <satbaby@kawaii.com>	2017-07-01

    src/gui/opkg_manager.cpp fix esource leak; supplement to 4bdacf39c81a89e07dd7f5399a88217f7030c303

Thilo Graf <dbt@novatux.de>	2017-06-29

    CBouquetList: fix scrollbar shadow
    
    Footer is painted as first item and scrollbar as last, so shadow
    overpaint footer body. Either paint scrollbar as first or use
    matching shadow parameter.

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-30

    src/gui/movieplayer.cpp fix play icon after pause->seek

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-30

    src/gui/movieplayer.cpp show FileTimeOSD only if setSpeed work

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-29

    src/gui/moviebrowser/mb.cpp fix segfault if m_movieSelectionHandler is NULL

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-29

    - settings.h: rename FRAME_MIN_WIDTH to FRAME_WIDTH_MIN ...
    
    to get same name-structure as in the existing defines
    
    (cherry picked from commit f77c2b897c269810c15a1780ae4918a7a0deec3d)
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    Conflicts:
            src/system/settings.h

M. Liebmann <git@tuxcode.de>	2017-06-29

    lib-libtuxtxt-tuxtxt.cpp avoid segfault, supplement to 7aec84d

Thilo Graf <dbt@novatux.de>	2017-06-28

    CAudioPlayerGui: add cc scquare objekt as title box, fix caption bg colors
    
    Use of cc square object saves unnecessary paintBoxRel() calls.
    BgColors of metatdata and time display were different to
    titlebox body color, but was not to see with all themes.
    
    btw: time box was too much on the right side. Frame of titelbox
    was overpainted but was not very noticeable if frame width < 2.

Thilo Graf <dbt@novatux.de>	2017-06-28

    settings.h: add define for minimal frame width
    
    Mostly we are using a frame width of 2 lines. This should ensure
    correct scaling with other screen resolution.

Thilo Graf <dbt@novatux.de>	2017-06-28

    CComponentsFooter: remove FIXME tag
    
    fixed since 2e24663a3f676d4a0a9684748b1cf726bda6c3a6
    Obsolete wrong types caused this.

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-28

    - audioplayer: reset idle time to avoid screensaver ...
    
    when returning from shoutcast-filebrowser
    
    (cherry picked from commit 0a8024cdef84d9e60fa1e64c65e687f16c1d90ce)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-28

    - audioplayer: fix round borders in footer when playlist is hidden ...
    
    and use large roundings as in the other gui-elements
    
    cherry-picked from 8a3d8f8b51a8bd97966f8b0708f0a0a631d07bc8
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-28

    - audioplayer: reset idle time to avoid screensaver ...
    
    when returning from filebrowser
    
    (cherry picked from commit d4f366c0dd9ab7f997a7c4f85948168ccf80f4ad)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-27

    - audioplayer: fix position of meta data in titlebox
    
    (cherry picked from commit 37c61fa12f6961048f1382ae48873d7c06bd9c64)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-28

    - audiometadata: add logo to metadata
    
    # Conflicts:
    #       src/driver/audiometadata.cpp
    #       src/driver/audiometadata.h
    
    cherry-picked from 9c115bec035114a4cec33834e0ab3a6385f44711
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-27

    - audioplayer: fix coordinates to clear title-box
    
    (cherry picked from commit 0dfe5becbbc832c4379e957abdcea92604eb1caf)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-27

    - audiodec: unify cover handling
    
    (cherry picked from commit ae0f735d998b8cbc5caf969f342be7af747b05f5)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-27

    - audioplayer: change scanXmlData() arguments order ...
    
    switch url <-> name to get the same order as in other used functions
    
    (cherry picked from commit f31f8c5bc84c817e3fc955d816bb57cb0dcdfab7)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-26

    - bouqueteditor: use default font for CComponentsFooter
    
    (cherry picked from commit 7fef066dfe33b5dbc6d5728bea8171f160d8622d)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-26

    - moviebrowser: fix deletion of non-marked movies via mute-key
    
    (cherry picked from commit 895aa1ca8cbd6ecf4f254c361a6bec633e9483f1)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-26

    - timerlist: fix compiler-warning (comparison signed/unsigned int)
    
    (cherry picked from commit 28b606c19f8a50c81841272fd774ff87dfb5d0d8)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-26

    - timerlist: add separationline to items
    
    (cherry picked from commit 2709af5f8a300e0cabbb1ff2d662ee12b7035d43)
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-26

    CProgressWindow: use CProgressBar::PB_TIMESCALE as default
    
    More colors makes not really sense here.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-26

    init pre post

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-26

    lib/libtuxtxt/tuxtxt.cpp avoid segfault, FIXME

Thilo Graf <dbt@novatux.de>	2017-06-21

    EpgPlus: fix wrong shadow parameter for scrollbar

Thilo Graf <dbt@novatux.de>	2017-06-21

    cc_types.h: add more shadow defines
    
    Allows compact style on use for arguments in methods.

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-21

    - moviebrowser: clearify deletion-locale; add movie-title to menu
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-21

    - moviebrowser: fix deletion of cursor_only movie via "menu" -> "yellow"
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-21

    - timermanager: don't set stoptime for timers without a stop-event
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-21

    - cc_frm_header: remove CComponentsHeaderLocalized() subclass
    
    use another constructor of CComponentsHeader() instead
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    Good idea, this I had already in mind too.

Thilo Graf <dbt@novatux.de>	2017-06-21

    CTimerList: partial revert of - timerlist: small design reworks ...
    
    removed: * blinking clock in header (shameless stolen from TangoCash)
    
    Not really required here and before we can enable a ticking clock here,
    clock must be disabled on opened context menues, because the
    timerlist context menus will be damaged. This needs a separate handling.

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-21

    - timerlist: small design reworks ...
    
    * re-align item contents
    * rename some variables
    * use CComponentsFooter
    * blinking clock in header (shameless stolen from TangoCash)
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-05-30

    CComponentsScrollBar: overwrite default corner type
    
    Rounded corners are in mostly cases not required, because of
    possible pixel errors if scrollbars are used as embedded standalone part and is
    generated with external method paintScrollBar().

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - audioplayer: minor format changes in title box
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - upnpbrowser: center text in topbox
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - upnpbrowser: activate shadow on scrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - bouquetlist: add shadow to gui-elements; simplify footer handling
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - simplify last shadow-changes ...
    
    I didn't know about the possibility to add a shadow directly to
    the scrollbar.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - epgplus: add shadow to gui-elements
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - filebrowser: add shadow to gui-elements
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - audioplayer: fix coordinates in hide() function
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - pictureviewer: add shadow to gui-elements
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-19

    - audioplayer: add shadow to gui-elements
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-18

    - audioplayer: don't show  not recognized bitrates
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-18

    - audioplayer: minor format changes in title box
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-06-20

    CProgressWindow: remove unused variable
    
    fix for possible compiler error with -Werror=unused-variable

TangoCash <eric@loxat.de>	2017-06-18

    -progresswindow: fix progressbar if both bars have the same value (thx dbo)

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-18

    try to fix versio check for ffmpeg

Thilo Graf <dbt@novatux.de>	2017-06-18

    CMenuSeparator: clean up multiple code parts

Thilo Graf <dbt@novatux.de>	2017-06-18

    CMenuOptionNumberChooser: clean up multiple code parts

Thilo Graf <dbt@novatux.de>	2017-06-18

    CMenuForwarder: clean up multiple code parts

Thilo Graf <dbt@novatux.de>	2017-06-18

    CMenuOptionStringChooser: clean up multiple code parts

Thilo Graf <dbt@novatux.de>	2017-06-18

    CMenuOptionChooser: clean up multiple code parts

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-18

    - audioplayer: small design reworks ...
    
    * use OFFSET defines
    * use CComponentsScrollbar
    * rename some variables
    * many, many position calculation fixes
    * re-format code
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

[priv] M. Liebmann <git@tuxcode.de>	2017-06-16

    COsdHelpers: Fix video system switching on HD1

M. Liebmann <git@tuxcode.de>	2017-06-16

    Revert "HD1: Workaround for missing cs_get_chip_type"
    
    This reverts commit a6fe60d60a5363973459384a156ed49c9e9ee91c.

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-16

    - epgview: align with and height of progressbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-06-16

    CCDraw: precise function for kill handler
    
    This should fix possible artefacts or holes in some rendered boxes.
    Was especially striking at HD1 Hardware.
    e.g. was observed while right/left switching on channel list at header
    and without rounded corners and at certain footers.

Thilo Graf <dbt@novatux.de>	2017-06-16

    CComponentsHeader: fix corner type comparison

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - bouqueteditor: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - listbox: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - timerlist: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - epgview: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - eventlist: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - channellist: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - textbox: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - listframe: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - upnpbrowser: use CComponentsScrollbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

TangoCash <eric@loxat.de>	2017-06-15

    supplemental to 7031e99573959206d0cd887f04c2ebe8d0b8d408

Thilo Graf <dbt@novatux.de>	2017-06-15

    neutrinoapi.cpp: fix possible broken build
    
    error: ‘to_string’ was not declared...
    
    to_string is handled inside helpers.h/cpp.
    include of <system/helpers.h> is required here.

TangoCash <eric@loxat.de>	2017-06-15

    [RemoteTimers] add possibility to transfer all timers at once via webif
    
    Use:
    http://boxip/control/sendalltimers?ip=10.1.1.xxx&force=1
    http://boxip/control/sendalltimers?name=record%20box&force=true
    
    if parameter name is given, it has to be in timerlist as remote box.
    if parameter ip and name is given, ip is used.
    if parameter force is set, all checks are disabled, and the local timer
    will be deleted even the transfer was not successful.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CNeutrinoApp: add hook for neutrino start
    
    Script will be executed on start of neutrino before. Handling is similar
    like all other possible hooks, see global.h.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CCDraw: rework getScreen(), getScreenData(), add pixbuf checks

Thilo Graf <dbt@novatux.de>	2017-06-15

    CFileBrowser: add fallback for possible missing init directory
    
    In some rare exceptional cases it is possible that  wrong  or missing
    start directories could be defined.
    Result: filebrowser window will be freezing, no key is helping.
    With this fallback, filebrowser should jump into next existant upper
    directory.

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - epgplus: use getScrollBarData() function
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - pictureviewer: use getScrollBarData() function
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - bouquetlist: use getScrollBarData() function
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - filebrowser: use getScrollBarData() function
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - cc_frm_scrollbar: add getScrollBarData() function ...
    
    to calculate total pages and current page for CComponentsScrollBar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - locale: minor changes in audioplayer's and pictureviewer's locales
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - pictureviewer: small design reworks ...
    
    * use OFFSET defines
    * use CComponentsScrollbar
    * rename some variables
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - menue: replace last fixed values ...
    
    ... with OFFSET defines and scale2Res()-calculations
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    - removed TODO for height of hint calculation

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - settings.h: use CORNER_RADIUS_NONE defines ...
    
    to determinate RADIUS defines
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - test_menu: avoid usage of CORNER_RADIUS defines; use RADIUS instead
    
    ... because the RADIUS defines depends on user's corner settings
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-06-15

    icon: add missing pictureviewer icon

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - volumebar: use OFFSET defines; fix height of progressbar
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-15

    - vfd-setup: fix brightness setup for CST's boxmodel "Link" ...
    
    and hide the brightness menu for all "Trinity" models. There's no display.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-06-15

    CLuaInstCCText: try to fix return value of CCTextGetLines()
    
    Init was missing.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CtextBox: Precise function getLines()
    
    Use refreshTextLineArray() for calculation of lines.
    Note:   count of lines will be only returned if CTextBox object
            is initialized with a valid CBox instance,
            otherwise count of 0 lines will be returned!
    
    also remove inline declaration, not needed here

Thilo Graf <dbt@novatux.de>	2017-06-15

    CComponentsText: make initCCText()
    
    Is more useful

Thilo Graf <dbt@novatux.de>	2017-06-15

    CEventList: Move channel name to left side
    
    Center place is reserved for logo

Thilo Graf <dbt@novatux.de>	2017-06-15

    FBFontRenderClass/CNeutrinoFonts: ensure reset of some instances
    
    Only for safety.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CProgressBarCache: ensure clean iterator inside pbcClear()
    
    For safety only.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CComponentsFrmClock: ensure clean timer instance
    
    For safety only.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CProgressBar/CComponentsInfoBox: add missing value inits

Thilo Graf <dbt@novatux.de>	2017-06-15

    CComponentsForm: remove extra item declaration
    
    Remove instances from vector only for sure.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CComponentsHeader: remove  virtual declararion from getClockObject()
    
    Not required.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CChannelList: add instance check for header clock object
    
    Only for sure.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CCButtonSelect: select button objects only
    
    Other types are not required.

Thilo Graf <dbt@novatux.de>	2017-06-15

    CCButtonSelect: rename chain to btn_container
    
    more plausible name

Thilo Graf <dbt@novatux.de>	2017-06-15

    CCButtonSelect: outsource button select handling into own class

Thilo Graf <dbt@novatux.de>	2017-06-15

    CComponentsInfoBox: fix image y pos
    
    Image was not centered, because of frame was not considered.

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-13

    2 supplement to 1f0a1bfdf25ba4f489d5e738940fab66ec1a5d61

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-13

    supplement to 1f0a1bfdf25ba4f489d5e738940fab66ec1a5d61

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-13

    src/driver/pictureviewer/pictureviewer.cpp  add bufferram and cached to calc freemem

Jacek Jendrzej <satbaby@kawaii.com>	2017-06-11

    src/gui/movieplayer.cpp fix possible segfault

vanhofen <vanhofen@gmx.de>	2017-06-06

    - filebrowser: fix total_pages calculation for CComponentsScrollBar

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - record-setup: use new timer_followscreenings_options struct in item

M. Liebmann <git@tuxcode.de>	2017-06-07

    configure.ac: bump revision to 3.5.0

Merge: f2cae79b1 701273034
M. Liebmann <git@tuxcode.de>	2017-06-07

    Merge branch 'pu/fb-setmode'

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - bouquetlist: fix calculation of footerwidth
    
    wrong font was used
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-06-07

    set threadnames to unique values
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Thilo Graf <dbt@novatux.de>	2017-06-07

    Followscreenings: add enumeration for a better readability

TangoCash <eric@loxat.de>	2017-06-07

    -epgplus: fix possible segfault (thx dbo)
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - file.cpp|h: port filetypes handling from martii
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - icons.h: sort filetype icons
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - filebrowser: port fileicon handling from TangoCash
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - file.cpp|h: port filetypes from TangoCash

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - icons: add filetype-icon for pictures
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - icons: move mp3.png from /headers to /filetypes; align icon size
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - audioplayer: use NEUTRINO_ICON_AUDIO in header
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - filebrowser: use NEUTRINO_ICON_PICTURE to mark pictures
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - icons: add filetype-icon for pictures
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - filebrowser: small design reworks ...
    
    * use OFFSET defines
    * use CComponentsScrollbar
    * rename some variables
    
    Unfortunately we can't use CComponentsFooter, because
    CComponentsFooter can't handle button_label_ext yet
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - locale: small changes in filebrowser's sort locales
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - filebrowser: use a bit larger regular font by default
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-06-07

    - filebrowser: use "dirs first" sort method by default
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

Striper <gandharva@gmx.de>	2017-06-07

    hdd_menu.cpp: remove "-T largefile" parameter
    
    Some users experience problems with too low amount of inodes (No space
    left on device but only a few percent of the device are actually used).
    To fix this, simply use default settings. This will give us a much
    higher amount of inodes on the hard drive but will waste a bit more
    space on the device for inode reservation.
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

M. Liebmann <git@tuxcode.de>	2017-06-07

    HD1: Workaround for missing cs_get_chip_type

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-30

    change prozent ckeck to 90

Merge: 8ab1ead14 88e047942
Thilo Graf <dbt@novatux.de>	2017-05-29

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-29

    CProgressBarCache: declare funtions pbcPaint(), pbcPaintBoxRel() as const
    
    Technically these members can be const.

Thilo Graf <dbt@novatux.de>	2017-05-29

    CComponentsTimer: exec OnTimer cleanup after stopped thread
    
    Users reported about crashes, but I could not verify them by myself.
    
    Supplement to: c0fe5d24027da1dd4f7a5f250b14b6e0bf915759

Merge: 402c302bb 4f5d21612
Thilo Graf <dbt@novatux.de>	2017-05-28

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-28

    CChannelList: simplify calls of logo paints, avoid possible dub paints

Merge: f4175eefe 294278aad
Thilo Graf <dbt@novatux.de>	2017-05-28

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-28

    CComponentsButton: fix offset between icon and text items
    
    We have only two items, therfore it makes sense to set offset to 0
    if we have only one item. Otherwise a single item will not be centered.

Thilo Graf <dbt@novatux.de>	2017-05-28

    CComponentsButton: use defined offset for append offset

Merge: c0cc7ef19 c0fe5d240
Thilo Graf <dbt@novatux.de>	2017-05-27

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-27

    CComponentsTimer: ensure cleanup of OnTimer signal while sopping timer

Thilo Graf <dbt@novatux.de>	2017-05-27

    CComponentsFrmClock: init OnTimer after ititialized timer object
    
    Content of OnTimer was not considered after init of timer object.

Thilo Graf <dbt@novatux.de>	2017-05-27

    CComponentsHeader: ensure reset of icon object

Thilo Graf <dbt@novatux.de>	2017-05-27

    CCDraw: expand debug output inside clearFbGradientData()
    
    get info for addresses.

Thilo Graf <dbt@novatux.de>	2017-05-27

    CComponentsFrmClock: fix wrong comparison

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-23

    src/gui/screensaver.cpp try to fix segfault on stop

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-23

    src/gui/adzap.cpp init before use

Merge: aaa34d888 36c8f4c24
Thilo Graf <dbt@novatux.de>	2017-05-21

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-21

    CComponentsButton: add missing init of col_body_old
    
    Some changes on runtime were ignored on runtime.

Thilo Graf <dbt@novatux.de>	2017-05-21

    cc_item.h/cc_frm.h/cc_frm_button.h: use pre defined frame color as default

Thilo Graf <dbt@novatux.de>	2017-05-21

    CMsgBox: fix paint of footer buttons
    
    Only paint of button container is required.

Thilo Graf <dbt@novatux.de>	2017-05-21

    CHintBox: use less colors time scale mode for visual timeout
    
    Otherwise probably in this context to much colored with default settings.

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-17

    src/gui/lua/lua_cc_text.cpp avoid segfault

Thilo Graf <dbt@novatux.de>	2017-05-17

    CHintBox: fix position in case of missing text
    
    Without text, position was not complete calculated.
    Only default position was used.

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-17

    - cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-16

    - buttons: use OFFSET defines

Merge: a26c1bc86 942a27e3e
Thilo Graf <dbt@novatux.de>	2017-05-11

    Merge branch 'master' into pu/fb-setmode
    
    # Conflicts:
    #       src/gui/components/cc_frm_window.h

Thilo Graf <dbt@novatux.de>	2017-05-11

    cc_frm_header.cpp/h: remove CTextBox types for title allignment
    
    Title object has only width of current text content. This causes CTextBox
    types have not a really visible effect. Now we have only three align types for title
    and these are related to cc-text object position.
    
    Involved classes adjusted too.

Thilo Graf <dbt@novatux.de>	2017-05-11

    EpgPlus: use default parameter for titel arrangement

Merge: 60fed9cc0 1b2f1d320
Thilo Graf <dbt@novatux.de>	2017-05-11

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-11

    CComponentsHeader: fix brace error
    
    suggest explicit braces to avoid ambiguous ‘else’

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-10

    use lua_Integer

Merge: 07c72026e 27eb80eb5
Thilo Graf <dbt@novatux.de>	2017-05-10

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-10

    CLuaInstCCWindow: try to fix window title align parameter
    
    Additional (lua_Integer)CTextBox::NO_AUTO_LINEBREAK) overwrites
    passed parameter and has no effect, because NO_AUTO_LINEBREAK is
    already default.

Thilo Graf <dbt@novatux.de>	2017-05-10

    CComponentsHeader: Try to adopt different logo/title alignments
    
    Not all constellations are tested. Please report.

Thilo Graf <dbt@novatux.de>	2017-05-10

    CComponentsHeader: fix centering of header title

Thilo Graf <dbt@novatux.de>	2017-05-10

    CComponentsHeader: remove double text color assignment

Thilo Graf <dbt@novatux.de>	2017-05-10

    CComponentsHeader: fix order of width calculation
    
    Required for following position calculation

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-09

    - clearify comment

Thilo Graf <dbt@novatux.de>	2017-05-09

    CLuaInstCCWindow: fix passed shadow paramater

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-09

    - locale: minor changes in EPG-Plus locales

Thilo Graf <dbt@novatux.de>	2017-05-09

    CBuildInfo: fix shadow parameter
    
    Type is int not bool

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-08

    - neutrino: fix hw_caps init; it must be initialized after zapit start

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-08

    - eventlist: minor cosmetics;
    
    rename getPrvNextChannelName() to getChannelNames()

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-08

    supplement 2 to 5f9f82b8e6f232218f2a47bcdad7cf365a1e395f

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-08

    supplement to 5f9f82b8e6f232218f2a47bcdad7cf365a1e395f

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-08

    src/gui/eventlist.cpp show prev next channel name on start

Merge: e35acf2e2 f1779d0a9
Thilo Graf <dbt@novatux.de>	2017-05-08

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-08

    movieplayer.cpp: prevent build error
    
    Avoid build error if build not configured with -D__STDC_LIMIT_MACROS

svenhoefer <svenhoefer@svenhoefer.com>	2017-05-08

    - epgplus: fix progressbar's type

Merge: 9c4e0d173 9fd3b27d6
Thilo Graf <dbt@novatux.de>	2017-05-08

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-08

    CChannelList: fix code indentation

Thilo Graf <dbt@novatux.de>	2017-05-08

    CNaviBar: prevent compiler warning -Wshadow

Thilo Graf <dbt@novatux.de>	2017-05-08

    movieplayer.cpp: remove possible compile issue
    
    "__STDC_LIMIT_MACROS" redefined

Merge: 2b17db46e c8f6888d8
Thilo Graf <dbt@novatux.de>	2017-05-07

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-07

    CChannelList: change scope of bool unlocked
    
    Scope of the variable 'unlocked' can be reduced.

Thilo Graf <dbt@novatux.de>	2017-05-07

    CChannelList: use enums for additional modes
    
    Readability

Thilo Graf <dbt@novatux.de>	2017-05-07

    SNeutrinoSettings: add missing enums for channellist additional modes

Thilo Graf <dbt@novatux.de>	2017-05-07

    CChannelList: ensure disconnect signal/slot on delete of channellist ojects

Merge: 237ae21bf cf7a21032
Thilo Graf <dbt@novatux.de>	2017-05-07

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-07

    CChannelList: delete and reset minitv object inside unified scope

Thilo Graf <dbt@novatux.de>	2017-05-07

    CChannelList: add connection to ResetModuls()
    
    Ensures re init after font changes.

Thilo Graf <dbt@novatux.de>	2017-05-06

    CChannelList: remove init of cc_minitv from constructor.
    
    Is not a member of CChannelList and already inititialized
    as static outside of constructor.

Thilo Graf <dbt@novatux.de>	2017-05-06

    CChannelList: add missing compare for existant header object.

Thilo Graf <dbt@novatux.de>	2017-05-06

    CEpgData: remove unused vars

Merge: de43d212a 8f3fcc606
Thilo Graf <dbt@novatux.de>	2017-05-06

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-05

    CEpgData/CEventList: use class CNaviBar for bottom box

Thilo Graf <dbt@novatux.de>	2017-05-05

    CNaviBar: add new widget class: CNaviBar
    
    Should help to reduce and unify code in some epg windows.

Thilo Graf <dbt@novatux.de>	2017-05-04

    CEpgData: supplement to 'fix header size'
    
    commit: 7583714e6703a7ae9591e112726759c4070d0c68
    
    Permanent font init is required to avoid possible crash after
    changed font settings by user.

Merge: 326fca55c 23912ba58
Thilo Graf <dbt@novatux.de>	2017-05-04

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-04

    CEpgData: fix header size
    
    Header height was bound to font size in previous versions, but new
    header is using other font as default, so we have wrong height,
    therefore header items could paint outside of header. This should fix this.
    
    In future we should unify header size with other windows.

Thilo Graf <dbt@novatux.de>	2017-05-04

    CMovieBrowser: prevent possible segfault
    
    Clock is disabled, will crash here.
    
    comes with: 3ac2f99a671b444426f515b0d25ead1708880bf8

Merge: 1d63606bb 81001410f
Thilo Graf <dbt@novatux.de>	2017-05-03

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-05-03

    CChannelList: rework details line handling, fix hide() after setup
    
    Detailsline is handling hide() by itself.
    
    After channellist setup, eg. switching additional infos and channellist
    window has different size, artefacts were possible.

Thilo Graf <dbt@novatux.de>	2017-05-03

    CComponentsHeader: optimize logo size/position handling
    
    Prevent oversized paint with stupid screen and/or font size settings

Thilo Graf <dbt@novatux.de>	2017-05-03

    Revert "-cc_form_header: add max caption width"
    
    This reverts commit c482dd139f26e5db804e022921fd21a9b75c653b.

Thilo Graf <dbt@novatux.de>	2017-05-03

    CEventList: optimize handling of header and bottom box
    
    Mainly to reduce flicker effects on right/left scroll.

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist,epgview: reduce header flickering
    
    picked from:    https://github.com/TangoCash/neutrino-mp-cst-next
    commit: df6862963a9b29a4d0955b01a22e1061c312b17f
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review reqiured
    
    Conflicts:
        src/gui/epgview.cpp

Thilo Graf <dbt@novatux.de>	2017-05-03

    CEpgData: optimize handling of header and bottom box
    
    Working with existant instances and reduce flicker effects.

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist: fix segfault
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review required

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist: fix gradient background
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review required

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist,epgview: add infoviewer bottom gradient style
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review required

TangoCash <eric@loxat.de>	2017-05-03

    -epgview: fix movieinfo

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist: fix clock
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review required

TangoCash <eric@loxat.de>	2017-05-03

    -eventlist,epgview: adjust style, implement new header class
    
    picked from:    https://github.com/TangoCash/neutrino-mp-cst-next
    commit: 477db186ee4f306e191035ed2201ff4fc9d70b9d
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review reqiured

Merge: 5b2a013da c482dd139
Thilo Graf <dbt@novatux.de>	2017-05-02

    Merge branch 'master' into pu/fb-setmode

TangoCash <eric@loxat.de>	2017-05-01

    -cc_form_header: add max caption width
    
    picked from:    https://github.com/TangoCash/neutrino-mp-cst-next
    commit: 4ff6c9f89b194c5fffdc4ee4e4eb744829be975f
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    review reqiured

Thilo Graf <dbt@novatux.de>	2017-05-02

    CComponentsForm: expand debug output with address.

Thilo Graf <dbt@novatux.de>	2017-05-02

    cc_types: add missing image types

Thilo Graf <dbt@novatux.de>	2017-05-01

    CComponentsForm: use current bg save mode while paint items
    
    Mode was always false but current mode could be required in
    many constellations.

Thilo Graf <dbt@novatux.de>	2017-05-01

    CCDraw: add methode do get current background save mode

Jacek Jendrzej <satbaby@kawaii.com>	2017-05-02

    src/gui/upnpbrowser.cpp fix segfault on connect error

Merge: 1a750df51 1e4967e11
Thilo Graf <dbt@novatux.de>	2017-04-29

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-29

    CChannelList: Ensure new initialize of modules on palette changes while runtime.

Thilo Graf <dbt@novatux.de>	2017-04-29

    cc_frm_chain.cpp: fix c/p error in comment

Merge: 76574279a b7d50b923
Thilo Graf <dbt@novatux.de>	2017-04-29

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-29

    CTimerList: adjust date offset via format

Thilo Graf <dbt@novatux.de>	2017-04-29

    CComponentsHeader: adjust context button offset

Thilo Graf <dbt@novatux.de>	2017-04-29

    CComponentsFrmChain: add possibility to assign border offsets

Jacek Jendrzej <satbaby@kawaii.com>	2017-04-27

    src/gui/channellist.cpp remove unused logo_off

Thilo Graf <dbt@novatux.de>	2017-04-27

    CChannelList: don't assign logo if disabled

Thilo Graf <dbt@novatux.de>	2017-04-27

    CComponentsForm: add member hideCCItems()
    
    In case of items with cached background it is useful to have
    possibility to restore their background. (eg. items are painted
    outside of form).

Thilo Graf <dbt@novatux.de>	2017-04-27

    CComponentsHeader: rectification for 'optimize auto size mode for logos'
    
    see commit: 76cd93555db7043a8442727f5f2fcba50ddde36d
    
    Additional variable was required.
    Values were overwritten and had no effect.

Merge: c91084aa1 c2bc8b4f8
M. Liebmann <git@tuxcode.de>	2017-04-26

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-26

    CComponentsHeader: fix logo position with clock
    
    This reverts "fix logo position with clock",
    commit b696007ec8d0ecb624cfbd9a31583cdc549f393e.
    Was not the right way.
    
    Id's are not in visual order, therefore it's better to calculate direct
    with the ''width"" properties of possible following items clock
    and context buttons.

Merge: 855472232 b696007ec
M. Liebmann <git@tuxcode.de>	2017-04-26

    Merge branch 'master' into pu/fb-setmode

Jacek Jendrzej <satbaby@kawaii.com>	2017-04-25

    fix logo position with clock

Merge: 1852183fa 76cd93555
Thilo Graf <dbt@novatux.de>	2017-04-25

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-25

    CComponentsHeader: optimize auto size mode for logos
    
    With very large font size settings it is possible
    that header is too large for reasonable display of logos, because of
    possible bad upscale effects (eg. step effects).
    So it seems it's better to use original size as largest possible size.

Thilo Graf <dbt@novatux.de>	2017-04-25

    CComponentsPicture: add methode to get real image size

Thilo Graf <dbt@novatux.de>	2017-04-25

    CProgressBar: add own position methodes
    
    NOTE: not required in branch pu/fb-setmode, remove this after merge!

Thilo Graf <dbt@novatux.de>	2017-04-11

    EpgPlus: update license text

Thilo Graf <dbt@novatux.de>	2017-04-24

    COsdSetup: reset channellist objects after changed window size
    
    Ensures complete reinit of relevent modules inside channellist instance.

Thilo Graf <dbt@novatux.de>	2017-04-24

    EpgPlus: simplify calls of logo attributes and logo instance

Thilo Graf <dbt@novatux.de>	2017-04-24

    CComponentsHeader: unifiy init value for logo align

Merge: d3ceb0ec7 aaa7b41d0
M. Liebmann <git@tuxcode.de>	2017-04-24

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-04-24

    src/zapit/src/femanager.cpp: Fix compile error

M. Liebmann <git@tuxcode.de>	2017-04-24

    lib/libtuxtxt/Makefile.am: Fix FREETYPE_CFLAGS

Merge: cbdf41d9d fe5f84c1d
M. Liebmann <git@tuxcode.de>	2017-04-24

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-24

    - scrollbars: avoid usage of COL_SCROLLBAR_PASSIVE_PLUS_0 ...
    
    ... outside of CComponentsScrollBar(). Since the color-changes in
    89bda2d the non-CC scrollbars looks weird.

Merge: a11f5e07c fbe8889fa
M. Liebmann <git@tuxcode.de>	2017-04-23

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-23

    CChannelList: remove unused logo object
    
    Not required since
    68835056c38a74b33c04e647ccbe21bb7bf5ae7a: add possibility to show channellogo

Merge: 5cc587b8a 330171c90
Thilo Graf <dbt@novatux.de>	2017-04-23

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-23

    CComponentsHeader: use previous offset to fit logo
    
    Was OFFSET_INNER_MIN in older versions, not OFFSET_INNER_SMALL.

Thilo Graf <dbt@novatux.de>	2017-04-23

    CComponentsHeader: add fallback if title and logo are overlapping
    
    Logo is now general centered on screen, not as before between title and clock

Thilo Graf <dbt@novatux.de>	2017-04-23

    CChannelList/CUpnpBrowserGui: add missing reinit for corner modes
    
    Required eg. if corner settings has been changed by user on runtime.

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-22

    - color.h: just code cosmetics

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-22

    - luainstance: add missing COL_SCROLLBAR colors

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-22

    - colors: add and use missing COL_SCROLLBAR_PLUS_0 wrapper

Merge: e9412ac3a e74db896b
svenhoefer <svenhoefer@svenhoefer.com>	2017-04-22

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-22

    - epgplus: add channellogo to header

Thilo Graf <dbt@novatux.de>	2017-04-21

    CComponentsHeader/CChannelList: unify methode names

Thilo Graf <dbt@novatux.de>	2017-04-21

    CComponentsScrollBar: add missing attributes for different visual modes

Thilo Graf <dbt@novatux.de>	2017-04-21

    colors.h: add missing base color for scrollbars

Thilo Graf <dbt@novatux.de>	2017-04-21

    CComponentsScrollBar: fix radius for single segment
    
    Radius on top was missed if only one segment is available.

Thilo Graf <dbt@novatux.de>	2017-04-21

    CComponentsPicture: Change order of called base methodes setWidth/Height
    
    Calls of base methods should come after internal method calls.
    Values could be changed unintentionally.

Thilo Graf <dbt@novatux.de>	2017-04-21

    CComponentsHeader: add possibility to show channellogo
    
    Contains methode setChannelLogo() with parameters
    for channel id, channel name and optional
    alignment (primary between title and clock). Default
    alignment is centered.
    Optional parameter to set logo height is available too.
    
    Hope it works on first try. To see how it works, take look
    at channellist class.

Jacek Jendrzej <satbaby@kawaii.com>	2017-04-19

    try to fix version check for avformat codecpar

Merge: b46f566e2 f6482eb04
M. Liebmann <git@tuxcode.de>	2017-04-18

    Merge branch 'master' into pu/fb-setmode

Jacek Jendrzej <satbaby@kawaii.com>	2017-04-18

    fix download pic from ssl url

Merge: 2afb8fef8 f74724ceb
M. Liebmann <git@tuxcode.de>	2017-04-17

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-17

    CSignalBox: remove CC_APPEND flag
    
    Should be gradually removed in all affected classes

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsForm: use global default width for scrollbar

Thilo Graf <dbt@novatux.de>	2017-04-17

    CSignalBar: use global offsets for init of min height

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsFrmClock: use correct setHeight()

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsFrmClock: remove unnecessary call of cch_cl_obj->setYPos()

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsHeader: Reduce offset between clock and right border.
    
    Was too large

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsWindow: try to fix header and footer arrangement
    
    Header and footer were placed too much on left side.

Thilo Graf <dbt@novatux.de>	2017-04-17

    CComponentsForm: try to fix fit items inside forms
    
    Some items had offsets on screen. Was seen eg. in message windows.

Merge: 68c2b29ca 5361296ff
M. Liebmann <git@tuxcode.de>	2017-04-16

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-16

    CComponentsPicture: add explicit methodes to set image position

Thilo Graf <dbt@novatux.de>	2017-04-16

    CComponentsItem: add missing methodes for position setters
    
    Parent items were not considered for position calculation.

Thilo Graf <dbt@novatux.de>	2017-04-16

    CComponentsPicture: init missing vars for old dimension dimensions

Thilo Graf <dbt@novatux.de>	2017-04-16

    CComponentsChannelLogo: use separat var for pic name inside setChannel()
    
    picname is a class attribut and should not be touched here till new content
    exists. Btw. setChannel() is eqiuvalent to setPicture() from base class, so
    it makes sense to use setPicture() inside setChannel() after
    picname is known. Explicit call of initCCTitem() is not required.

Thilo Graf <dbt@novatux.de>	2017-04-16

    CComponentsChannelLogo: add missing type

Thilo Graf <dbt@novatux.de>	2017-04-11

    CComponentsTimer: use sleep() instead mySleep()
    
    Had some problems with mySleep() related to select() which was used
    inside mySleep()

Thilo Graf <dbt@novatux.de>	2017-04-13

    CComponentsFooter: avoid crash because possible divisions by 0

Thilo Graf <dbt@novatux.de>	2017-04-13

    CMovieBrowser: try to reduce effort for vizualized scan
    
    For comparings I added a benchmark with log output.

Jacek Jendrzej <satbaby@kawaii.com>	2017-04-13

    fix init cl_force_repaint

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-13

    - bouquetlist: rework; ...
    
    * use OFFSET defines
    * use CComponentsFooter to paint footer
    * use CComponentsScrollBar to paint scrollbar
    * use a bit more offset for items
    * re-align status icons in items
    * use same scambled-icon as used in channellist

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-13

    - epgplus: get sure we have enough space for detailsline

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - settings: fix calculation for SCROLLBAR_WIDTH ...
    
    to work with subtractions too

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - channelist: rename bool pig_on_win to minitv_is_active

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - channellist: one more missing OFFSET define

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - osd_setup: a bit smaller font for epgplus-items; ...
    
    it's now aligned to epgview's fontsizes

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - channelist: use OFFSET defines for bottom detailsbox

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-12

    - eventlist: use OFFSET defines for right infobox

Merge: e79392767 7e6746e2a
M. Liebmann <git@tuxcode.de>	2017-04-12

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-11

    - channellist: a bit more offset for item; fix progressbar's width
    
    use OFFSET defines for logo in header and in right infozone

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-11

    - channellist: simplify MaxChanNr() function

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-11

    - remove obsolete src/driver/wav.h

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-11

    - remove obsolete src/gui/dmx_tspidbandwidth.c

Merge: 7d55c0fa7 a64225c09
svenhoefer <svenhoefer@svenhoefer.com>	2017-04-10

    Merge branch 'master' into pu/fb-setmode

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: add missing separationline to clearMark() function

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: use enlighten background toggle color

vanhofen <vanhofen@gmx.de>	2017-04-10

    - color: allow to toggle normal <-> enlighten background colors

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: fix selected handling for channelevents

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: smoother aligment for channelnumbers

Thilo Graf <dbt@novatux.de>	2017-04-10

    EpgPlus: fix missing to disble clock after hided window
    
    btw: rename header->head, for better readability

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: add missing round corner to selected item

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: use getItemColors() to get global item colors

Merge: f0ae55707 8e8b95a93
svenhoefer <svenhoefer@svenhoefer.com>	2017-04-10

    Merge branch 'master' into pu/fb-setmode

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: mark framebuffer pointer in header class as unused

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: add clock and context button to header

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: fix text offsets in secontary timeline

vanhofen <vanhofen@gmx.de>	2017-04-10

    - epgplus: always show a progressbar in secondary timeline ...
    
    to avoid 'design changes' when cursor is moved left or right

Eric Loxat <eric@loxat.de>	2017-04-10

    - epgplus: add progressbar for current event

Eric Loxat <eric@loxat.de>	2017-04-10

    - epgplus: bind display of channelnumbers to channelists's setting;
    
    fix position of channelentry

TangoCash <eric@loxat.de>	2017-04-08

    - epgplus: fix detailsline;

svenhoefer <svenhoefer@svenhoefer.com>	2017-04-08

    - epgplus: fix detailsline; codeblock was removed by mistake

Merge: c8861ea46 01e0ae369
M. Liebmann <git@tuxcode.de>	2017-04-08

    Merge branch 'master' into pu/fb-setmode

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: simplify detailsline handling; fix coords in hide()

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: re-implement bigfont handling

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use CComponenentsFooter to paint buttonbar

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: add separationline to event's left side

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use new FONT_TYPE_EPGPLUS_ITEM font; ...
    
    TODO: re-implement bigfont handling

vanhofen <vanhofen@gmx.de>	2017-04-08

    - osd_setup: add new epgplus font

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: add detailsline

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: add missing round corners to footer

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: add an inner small offset and a small frame to footer

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: move footer-box to bottom of screen

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: remove obsolete icon calculation

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: change toggle colors

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use OFFSET defines

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: add separationline to timeline

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use a small dark separation line

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: change colors in footer

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: enlarge channel/event font; scale font to osd-resolution

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use global paintScrollBar function to paint scrollbar

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: remove obsolete casts

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use RC_epg to exit

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use RC_help to switch bigfonts; ...
    
    This is same key as used in epgview.cpp to switch bigfonts

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use BIGFONT_FACTOT to calculate big fonts

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgview: move BIGFONT_FACTOR to settings.h

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: replace footer fonts with FONT_TYPE_EVENTLIST fonts

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: replace timeline fonts with FONT_TYPE_EPG_DATE

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: remove unused buttons font

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: use global header font

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: remove annoying gaps

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus: do not toggle text colors

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus.cpp: reformat; no binary changes

vanhofen <vanhofen@gmx.de>	2017-04-08

    - epgplus.h: reformat; no binary changes

Merge: 1f6555ec4 6135a827d
M. Liebmann <git@tuxcode.de>	2017-04-08

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-04-08

    CComponentsItem: disable unused variable

Thilo Graf <dbt@novatux.de>	2017-04-07

    CComponentsFooter: add missing member inits

Thilo Graf <dbt@novatux.de>	2017-04-07

    CComponentsHeader: add methode initRepaintSlot() and considered parent
    
    Required in sub classes. Considering of parent ensures usage of
    required background color in sub classes.

Thilo Graf <dbt@novatux.de>	2017-04-07

    CCDraw: remove some debug lines, and override comparisons
    
    This should reduce some effort in this method.

Thilo Graf <dbt@novatux.de>	2017-04-07

    CComponentsItem: fix possible artefacts if fb box is smaller the radius
    
    If box height/2 is smaller than corner radius it is possible
    we have artefacts after killed or hided fb box. This effect only I have seen
    with full hd resolution, in hd ready mode it was ok.
    Sideeffects with this changes I have not seen, but I can't exclude. Must be watched.

Thilo Graf <dbt@novatux.de>	2017-04-07

    CComponentsButton: remove unused member

Thilo Graf <dbt@novatux.de>	2017-04-07

    CCDraw: fix wrong intit values for corners and position

Thilo Graf <dbt@novatux.de>	2017-04-07

    CComponentsFrmClock: add members to control segment refreshing on interval
    
    Refreshing of segments is now enabled on default.
    In certain conditions this should be better.

Merge: 923daa87d 83cfd68f8
M. Liebmann <git@tuxcode.de>	2017-03-31

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-03-31

    Lua: try to implement progresswindow

Thilo Graf <dbt@novatux.de>	2017-03-31

    LUA-Api: add alignment parameter for text in window header
    
    Possible modes are :
            * "DEFAULT" (left)
            * "CENTER"
            * "RIGHT"
    
    TODO: doc

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-30

    - neutrino: add fribidi support; ported from mohousch's nhd2
    
    This requires libfribidi and a font with arabic or hebrew glyphs.
    To build libfribidi add something like this to your makefiles:
    
    FRIBIDI_VER = 0.19.7
    $(ARCHIVE)/fribidi-$(FRIBIDI_VER).tar.bz2:
            $(WGET) https://fribidi.org/download/fribidi-$(FRIBIDI_VER).tar.bz2
    
    $(D)/libfribidi: $(ARCHIVE)/fribidi-$(FRIBIDI_VER).tar.bz2 | $(TARGETPREFIX)
            $(REMOVE)/fribidi-$(FRIBIDI_VER)
            $(UNTAR)/fribidi-$(FRIBIDI_VER).tar.bz2
            set -e; cd $(BUILD_TMP)/fribidi-$(FRIBIDI_VER); \
                    $(CONFIGURE) \
                            --prefix= \
                            --mandir=/.remove \
                            --disable-debug \
                            --disable-deprecated \
                            --enable-charsets \
                            --with-glib=no \
                            ; \
                    $(MAKE); \
                    $(MAKE) install DESTDIR=$(TARGETPREFIX)
            $(REWRITE_PKGCONF) $(PKG_CONFIG_PATH)/fribidi.pc
            $(REWRITE_LIBTOOL)/libfribidi.la
            $(REMOVE)/fribidi-$(FRIBIDI_VER)
            touch $@
    
    If you want to link libfribidi statically add --disable-shared
    and --enable-static to configure call.

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-29

    - locale: minor changes

M. Liebmann <git@tuxcode.de>	2017-03-28

    Fix videosystem auto mode

M. Liebmann <git@tuxcode.de>	2017-03-28

    fb_accel hd1/hd2: Add fb_accel_cs_hdx.cpp for common functions
    
     - Add 'class CFbAccelCSHDx' to fb_accel.h
     - Some small code updates

M. Liebmann <git@tuxcode.de>	2017-03-28

    lib/libtuxtxt/tuxtxt.cpp: Update for hd1/hd2

M. Liebmann <git@tuxcode.de>	2017-03-28

    CStreamInfo2: Add new info items
    
     - Videosystem
     - OSD Resolution

M. Liebmann <git@tuxcode.de>	2017-03-28

    CFbAccelCSHD[1|2]::setMode(): Insert cVideo::updateOsdScreenInfo()

Merge: 515ab1fe5 b945336a7
M. Liebmann <git@tuxcode.de>	2017-03-28

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-28

    - jsoncpp: update to current version 1.8.0
    
    Use amalgamated src from https://github.com/open-source-parsers/jsoncpp

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-28

    Revert "- jsoncpp: update to current version 1.8.0; align Makefile.am"
    
    This reverts commit 760a64fc6ab6fc4cbe5e01a25d45e43b89911dbd, because
    some people has build-problems.

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-28

    - jsoncpp: update to current version 1.8.0; align Makefile.am
    
    Re-split into original files and use original directory structure.
    Files are picked from https://github.com/open-source-parsers/jsoncpp

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-27

    - upnpbrowser: fix neutrino mode while playing audio

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-27

    - upnpbrowser: reduce console output in updateTimes()

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-26

    - upnpbrowser: reduce console output in selectDevice()

M. Liebmann <git@tuxcode.de>	2017-03-23

    CFbAccelCSHD2::setMode: Fix if ENABLE_CHANGE_OSD_RESOLUTION is not defined

M. Liebmann <git@tuxcode.de>	2017-03-23

    src/neutrino.cpp: Simplification EVT_AUTO_SET_VIDEOSYSTEM handling

Merge: 2a858c628 833a65c9e
M. Liebmann <git@tuxcode.de>	2017-03-23

    Merge branch 'master' into pu/fb-setmode

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-23

    fix needed mem check

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-23

    - cables.xml: update WTC SN; thanks to Gorcon

M. Liebmann <git@tuxcode.de>	2017-03-22

    Fix videosystem auto mode / osd mode switch in movie player

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-22

    - acinclude.m4: remove more old unused cruft
    
    I don't know if CC/CXX-handling is right, but powerpc-tuxbox-linux-gnu
    was definitely wrong.

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-22

    - acinclude.m4: align to neutrino-mp

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-22

    acinclude: remove old unused cruft
    
    remove:
    - unused boxtypes, these only give a false sense of support
    - unused configure options and associated #defines in config.h
    - unused confiugre check macros

Merge: 8212746cf 9bc2d9b95
M. Liebmann <git@tuxcode.de>	2017-03-22

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-22

    hd[1|2]/libcoolstream: Update headers for new libcoolstream functions
    
      libcoolstream-mt.so version 3.2.0 required
    
      Functions:
        - updateOsdScreenInfo()
        - GetVideoSystem()
        - GetVideoSystemFormatName()
        - fbCopy()
        - fbFill()
        - cs_set_extra_debug()

Merge: 73f2aa87d 4eb6a315f
M. Liebmann <git@tuxcode.de>	2017-03-20

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-03-20

    CComponentsButton: simplify assignment of button message values
    
    Count of alternate message values was limited to 1 value. Now it is
    possible to add any count of message values.
    
    directKey and directKeyAlt were removed from struct type 'button_label_cc'
    and directKeys was added as container for possible message values.
    
    Some methods of CComponentsFooter had to be adapted for that.

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-20

    fix segfault aufter unbreak msgbox f9b7fca210978a90cadd9cbdfd5cd8b85e2b38cf

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-20

    - move movieinfo.cpp|h from src/gui to src/driver ...
    
    because there are no gui-elements included anymore

Merge: be4968643 d2b3a8da6
M. Liebmann <git@tuxcode.de>	2017-03-20

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-20

    CNeutrinoApp::InitMenuMain: Fix compiler warning

Merge: 2de98df48 b8a97a97c
M. Liebmann <git@tuxcode.de>	2017-03-20

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - neutrino: just code cosmetics in ExitRun()

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - neutrino: remove unused write_si from ExitRun() function ...
    
    and rename retcode to can_shutdown for a better readability

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - use g_info.hw_caps->can_shutdown; mostly ported from neutrino-mp

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - move src/timerd/doku.html to doc/timerd.html

Thilo Graf <dbt@novatux.de>	2017-03-19

    CProgressWindow: try to reduce effort inside progress display
    
    Should help to reduce some timing side effects  with many data amounts.
    But there could still be more potential.

Thilo Graf <dbt@novatux.de>	2017-03-19

    CNeutrinoFonts: reduce debug spam
    
    In some cases with many following  dynamic size changes,
    it could be better to suppress this output.

Thilo Graf <dbt@novatux.de>	2017-03-19

    CColorChooser: fix missing rewrite current values to *value[selected]
    
    Supplement to commit:
            CColorChooser: fix compile conversion  warnings
            3b5cd00bf4af7ef65fad1490c346b249d5ce2365

Merge: e83a255e9 720269c99
M. Liebmann <git@tuxcode.de>	2017-03-19

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - remove unused g_info.delivery_system

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - remove unused g_info.box_Type

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - use g_info.hw_caps->has_fan; remove old g_info.has_fan

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - neutrinoyparser: remove workaround for Neo Twin

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - controlapi: use "CST" instead of "Coolstream" ...
    
    because I don't know the current legal situation.

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-19

    - hardware_caps: fix has_fan and add detection of Neo Twin

Merge: b190e0c4f ad47a5d5e
M. Liebmann <git@tuxcode.de>	2017-03-17

    Merge branch 'master' into pu/fb-setmode
    
    Conflicts:
          src/driver/screenshot.h
          src/driver/screenshot.cpp
          acinclude.m4

M. Liebmann <git@tuxcode.de>	2017-03-17

    CScreenShot: Remove OpenThreads and use pthread functions

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-16

    - acinclude.m4: remove unused --enable-tmsdk switch; ...
    
    There's so much more unused and outdated stuff :/

Merge: e498cc6b0 f974b5634
M. Liebmann <git@tuxcode.de>	2017-03-15

    Merge branch 'master' into pu/fb-setmode

TangoCash <eric@loxat.de>	2017-03-15

    add unicable2/jess (thx DboxOldie)

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-15

    screenshot.cpp fix memcpy param overlap

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-15

    src/neutrino.cpp fix possible memleak

Merge: 3b5cd00bf 9cefe16d4
Sven Höfer <svenhoefer@svenhoefer.com>	2017-03-15

    Merge pull request #8 from Pr0metheus2/patch-1
    
    Update slovak.locale

Thilo Graf <dbt@novatux.de>	2017-03-15

    CComponentsExtTextForm: use scaled default dimension values

Thilo Graf <dbt@novatux.de>	2017-03-15

    CImageInfo: optimize label arrangement
    
    Distance between label and text was too large with full hd resolution.

Thilo Graf <dbt@novatux.de>	2017-03-15

    CComponentsExtTextForm: fix label width calculation

Thilo Graf <dbt@novatux.de>	2017-03-15

    CImageInfo: use global offset for item offset

Andrej Tobola <andrej.tobola+gifthub@gmail.com>	2017-03-15

    Update slovak.locale

Merge: f5f2bf92b 3b5cd00bf
M. Liebmann <git@tuxcode.de>	2017-03-14

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-03-14

    CColorChooser: fix compile conversion  warnings

Thilo Graf <dbt@novatux.de>	2017-03-14

    CComponentsDetailsLine: add scale to details line width
    
    Also added correction for odd line width values and added
    method to change details line width.

Thilo Graf <dbt@novatux.de>	2017-03-14

    cc_types.h: add scale to CC_WIDTH_MIN/CC_HEIGHT_MIN

Thilo Graf <dbt@novatux.de>	2017-03-14

    settings.h: enable scale for DETAILSLINE_WIDTH

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-14

    - .gitignore: add compile
    
    - .svnignore: remove

Merge: 2677543cc 60d3cfb96
M. Liebmann <git@tuxcode.de>	2017-03-14

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-13

    - neutrinoyparser: stay compatible with present code in Y_Blocks.txt

Merge: d0b02a975 5b0faeab8
M. Liebmann <git@tuxcode.de>	2017-03-13

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-13

    - unify DetailsLine-names; move define to settings.h

M. Liebmann <git@tuxcode.de>	2017-03-13

    CMenuWidget::calcSize: Add forgotten 'wi'

Merge: 2ed30486c 3fa097ebb
M. Liebmann <git@tuxcode.de>	2017-03-13

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-13

    CMenuWidget::calcSize: Use scale2Res() to adjust fixed sizes

M. Liebmann <git@tuxcode.de>	2017-03-13

    CMenuWidget::calcSize: Recalculation of min_width ...
    
    ... for adjustment to the osd resolution

Thilo Graf <dbt@novatux.de>	2017-03-13

    cc_types.h: expand button_label_cc with hint as descrpition for button

Thilo Graf <dbt@novatux.de>	2017-03-13

    cc_types: move struct button_label_cc into cc_types.h

Thilo Graf <dbt@novatux.de>	2017-03-13

    CComponentsFooter: add bg_image to button_label_cc type

Merge: 5ce34d5cf c766a970d
M. Liebmann <git@tuxcode.de>	2017-03-12

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-12

    Revert "- allow to force given osd resolution in "videosystem = auto" mode"
    
    This reverts commit 6fc24e990b3923d72c571477110102c9e3ddbbfa.

Thilo Graf <dbt@novatux.de>	2017-03-11

    CComponentsFooter: simplify implementation of button labels
    
    button_label_l and button_label_s are now
    merged to button_label_cc with prepared default values for text and locales.This type contains all possible
    button label properties. Values for locales and string
    are evaluated in setButtonLabels(), so it's possible to remove some
    overloaded methodes.

Thilo Graf <dbt@novatux.de>	2017-03-11

    CCDraw: add possibility to use background images as item background
    
    Provides functionality to use a backround image instead to render
    usual box. If an image is defined, box render is disabled, but behavior
    for hide, kill, cache... is not changed.
    
    TODO:
    - maybe needs global caching because images are not yet managed like icons in framebuffer class

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-07

    bouquetlist: don't block RC keys while list is opened

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-07

    msgbox: deobfuscate assignment of default result value

Merge: 5e09df1d9 0203de264
M. Liebmann <git@tuxcode.de>	2017-03-10

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - controlapi: /control/info => return PACKAGE_NAME and PACKAGE_VERSION

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - hardware_caps: just changes in comments

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - neutrinoyparser: use hw_caps in func_get_boxtype() ...
    
    ... and func_get_boxmodel()

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - controlapi: use hw_caps in HWInfoCGI()

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - controlapi: /control/info => return right name

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - hardware_caps/Makefile: use @HWLIB_CFLAGS@ instead of defines

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    - hardware_caps: use define instead of value; better readability

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-10

    Revert "hardware_caps.cpp: Add hw ifdef for cs_get_chip_type()"
    
    This reverts commit f5cdaff28227801e7f9e76a03b4d01db9edc1ba3
    because libcoolstream now is updated

Merge: fee5cd017 ab6ca5b60
M. Liebmann <git@tuxcode.de>	2017-03-10

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-10

    hd2/libcoolstream/*.h: Update for new libcoolstream functions
    
     - cs_get_lib_version()
     - cs_compare_lib_versions()
     - GetVideoSystem()
     - GetVideoSystemFormatName()
     - Add CS_CHIP_NEVIS definitions

M. Liebmann <git@tuxcode.de>	2017-03-10

    hd1/libcoolstream/cs_api.h: Update for new libcoolstream functions
    
     - cs_get_lib_version()
     - cs_compare_lib_versions()
     - cs_get_chip_type() (dummy function for compatibility with hd2)
     - Add CS_CHIP_xxx definitions

Merge: 94492c427 f5cdaff28
M. Liebmann <git@tuxcode.de>	2017-03-09

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-09

    hardware_caps.cpp: Add hw ifdef for cs_get_chip_type()

Merge: 6a531d430 b546ed517
M. Liebmann <git@tuxcode.de>	2017-03-09

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-09

    - hardware_caps: add latest coolstream models

Merge: 7ad59776d 87b7260c4
M. Liebmann <git@tuxcode.de>	2017-03-08

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-08

    Add src/compatibility.h to include software-dependency macros

Merge: 6fc24e990 b58aa9ad6
M. Liebmann <git@tuxcode.de>	2017-03-08

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-08

    Fix malloc_stats() call for newer uClibc-ng versions

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-07

    make neutrino compatible with new ffmpeg

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-06

    - allow to force given osd resolution in "videosystem = auto" mode

M. Liebmann <git@tuxcode.de>	2017-03-06

    Fix osd mode switch in videosystem auto mode

Merge: 8c6a47ee3 d3c3d3760
M. Liebmann <git@tuxcode.de>	2017-03-06

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-06

    - configure.ac: remove duplicated code

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-06

    - move public libcoolstream-headers to hardware directory

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-06

    - port hardware_caps from Neutrino-MP

Thilo Graf <dbt@novatux.de>	2017-03-06

    CMovieBrowser/cYTFeedParser: implement signals from CProgressSignals

Thilo Graf <dbt@novatux.de>	2017-03-06

    CProgressWindow/CProgressSignals: add prepared signals
    
    Required for inhertance of signals used with CProgressWindow.

Thilo Graf <dbt@novatux.de>	2017-03-06

    CMovieBrowser: remove wrong progress value

Thilo Graf <dbt@novatux.de>	2017-03-06

    CTextBox: fix pass of SCROLL_FRAME_WIDTH

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-06

     subpagetable is unsigned

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-06

    src/gui/movieplayer.cpp some streams need more time pro frame

Merge: b1dcce0ad f80f69c23
M. Liebmann <git@tuxcode.de>	2017-03-05

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-05

    COsdHelpers: Remove no longer required function resetOsdResolution()

M. Liebmann <git@tuxcode.de>	2017-03-05

    COsdHelpers: Add function setVideoSystem()

M. Liebmann <git@tuxcode.de>	2017-03-05

    CFbAccelCSHD2::setMode: Fix value for screeninfo.yres_virtual

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-04

    msgbox: remove explicit handling of record events
    
    these are handled in the last else clause anyway

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-04

    msgbox: remove duplicated code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-03-04

    unbreak msgbox
    
    the "if (msg)" was basically always true, killing all keys that were not
    handled in this clause (e.g. it was not possible to switch the box from
    standby if a plugin with output was running during standby)

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-05

    try fix YT cache wirite to root

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-05

    src/gui/widget/msgbox.cpp init result

Merge: 487b69b1d bc188c66b
M. Liebmann <git@tuxcode.de>	2017-03-05

    Merge branch 'master' into pu/fb-setmode

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-05

    src/zapit/src/zapit.cpp fix segfault without services.xml

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-03

    - imageinfo: remove obsolete define

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-03

    - imageinfo: change handling of yWeb version; use own CConfigFile

Merge: 8862ef621 c9242679a
M. Liebmann <git@tuxcode.de>	2017-03-03

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-03

    CScanTs::handleMsg: Fix handling left/right keys during channel search

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-03

    - fix funny typo

Thilo Graf <dbt@novatux.de>	2017-03-03

    CProgressWindow: small optimize of size handling

Thilo Graf <dbt@novatux.de>	2017-03-03

    CTestMenu: adaopt progress sample with discret percental window dimensions

Thilo Graf <dbt@novatux.de>	2017-03-03

    CProgressWindow: adaopt for discret percental window dimensions

Thilo Graf <dbt@novatux.de>	2017-03-03

    CMovieBrowser: adaopt for discret percental window dimensions

Thilo Graf <dbt@novatux.de>	2017-03-03

    CBuildInfo: adaopt for discret percental window dimensions

Thilo Graf <dbt@novatux.de>	2017-03-03

    CComponentsWindow: use negative values for discret percental dimensions
    
    Also add possibility to use placeholder for better readability and
    better compatibilty with previous implementations.
    See doc in source files for more details

Merge: 6c3b5dcd9 75ff8687d
M. Liebmann <git@tuxcode.de>	2017-03-03

    Merge branch 'master' into pu/fb-setmode

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-03

    - luainstance: re-add typo TO_WIDE to stay backward compatible

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-03

    - luainstance: add missing RADIUS_NONE; fix typo in dynfont handling

Merge: 02e5c9cbf 9fe20399c
M. Liebmann <git@tuxcode.de>	2017-03-02

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-03-02

    CNeutrinoApp::loadSetup: Fix Segfault when an remote timer is defined

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-02

    - luainstance: add offsets to lua; set Lua api version to 1.70

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - update: rename DEBUG1 to DRYRUN

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - update: small cleanup; ...
    
    remove obsolete g_Locale->getText() from ShowHint calls

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - update: change filetype comparsion; "< '3'" to "<= '2'"

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - update: prepare for menu hints

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - flashtool: localize getType() function

TangoCash <eric@loxat.de>	2017-03-01

    fix blinking clock in some modes (thx dbo)

Jacek Jendrzej <satbaby@kawaii.com>	2017-03-01

    src/neutrino.cpp init struct timer_remotebox_item, avoid segfault without InfoClock

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - rename g_PluginList to g_Plugins; this isn't a list of plugins

svenhoefer <svenhoefer@svenhoefer.com>	2017-03-01

    - yWeb: unify rec/zap timer handling; avoid german umlaut in js-popup

Merge: ff11dd44a 2d30ef10d
M. Liebmann <git@tuxcode.de>	2017-02-28

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-28

    lua cwindow.new: Fix draw small windows
    
     - Ignore percent conversion of width and height
       to remain compatible with the Lua API

M. Liebmann <git@tuxcode.de>	2017-02-28

    osd resolution: Use COsdHelpers::changeOsdResolution() to adjust...
    
    ...OSD resolution after switching video format

M. Liebmann <git@tuxcode.de>	2017-02-28

    NeutrinoMessages: Add EVT_AUTO_SET_VIDEOSYSTEM

M. Liebmann <git@tuxcode.de>	2017-02-28

    CInfoViewer::showTitle: Add parameter forcePaintButtonBar

M. Liebmann <git@tuxcode.de>	2017-02-28

    osd resolution: Add 'mode' to osd_resolution_struct_t
    
     - Use COsdSetup::OSDMODE_XXX enums to identify various resolutions

M. Liebmann <git@tuxcode.de>	2017-02-28

    osd resolution: Add src/gui/osd_helpers.cpp
    
     - Move switch osd resolution from COsdSetup::changeNotify() to
       COsdHelpers::changeOsdResolution()

Merge: 1fea75f42 6166f4a6f
M. Liebmann <git@tuxcode.de>	2017-02-27

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-27

    CLuaInstance: Add script fumction 'scale2Res'
    
     - Set Lua api version to 1.69

M. Liebmann <git@tuxcode.de>	2017-02-27

    fb_generic: Add "#define SCALE2RES_DEFINED" to check...
    
    ...presence of 'CFrameBuffer::scale2Res()'
    
     - Revert this patch when pu/fb-setmode branch is merged to master

Thilo Graf <dbt@novatux.de>	2017-02-26

    CHintBox: use OFFSET_INNER_MID as defaul value for W_RAME

Thilo Graf <dbt@novatux.de>	2017-02-26

    CHintBox: fix passed width parameter

Thilo Graf <dbt@novatux.de>	2017-02-26

    CTextBox: use scaled base dimensions

Thilo Graf <dbt@novatux.de>	2017-02-26

    CBuildInfo: use percental calculated dimensions

Thilo Graf <dbt@novatux.de>	2017-02-25

    hintbox.h: use calculated dimensions as default
    
    Useful for possible different screen resolutions.

Thilo Graf <dbt@novatux.de>	2017-02-25

    CProgressWindow: use percental calculated dimensions as default

Thilo Graf <dbt@novatux.de>	2017-02-25

    CMovieBrowser: use percental calculated dimensions for progress window
    
    Useful for possible for different screen resolutions.

Thilo Graf <dbt@novatux.de>	2017-02-25

    CComponentsWindow: add more tags for doxygen

Thilo Graf <dbt@novatux.de>	2017-02-25

    CComponentsWindow: use percentage conversion for dimension values
    
    Dimension values for windows below a certain size are often not really
    useful, even with regard to different resolutions.
    Usage of percent values could be easier to handle.
    In the constructor, the argument values für dimesions must be only
    between 1 and 100 to achieve this.
    
    TODO: behavior inside parents

Thilo Graf <dbt@novatux.de>	2017-02-23

    CMovieBrowser: visualize global loading of defined directories

Thilo Graf <dbt@novatux.de>	2017-02-23

    CProgressWindow: syncronize paint of local and global bar on first paint
    
    In some cases progress bars were painted with delay.
    Now it should be looks better.

Thilo Graf <dbt@novatux.de>	2017-02-17

    CTestMenu: add samples for progress window with signals

Thilo Graf <dbt@novatux.de>	2017-02-17

    CProgressWindow: small cosmetic

Thilo Graf <dbt@novatux.de>	2017-02-17

    CProgressWindow: rename InitProgressItem -> getProgressItem
    
    more plausible

Thilo Graf <dbt@novatux.de>	2017-02-17

    CProgressWindow: move some methodes for more clarity

Thilo Graf <dbt@novatux.de>	2017-02-16

    CProgressWindow: encapsulate show methodes, add dimension defines

Thilo Graf <dbt@novatux.de>	2017-02-15

    CTestMenu: ad samples for progress window

Thilo Graf <dbt@novatux.de>	2017-02-15

    CProgressWindow: add overloaded constructor with string arg

Merge: 0bc65538a df25b5094
M. Liebmann <git@tuxcode.de>	2017-02-26

    Merge branch 'master' into pu/fb-setmode

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-26

    src/gui/movieplayer.cpp try fix stop play file on file end

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-26

    - channelist: use OFFSET-defines for channels w/o EPG too

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-26

    - timerlist: fix timer comparison in modifyTimer()

Merge: 9ad53f963 c3e5d77bf
M. Liebmann <git@tuxcode.de>	2017-02-25

    Merge branch 'master' into pu/fb-setmode

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-25

    rcinput: apply ev.time adjustment to all events
    
    This fixes detection of keys that are allowed to be long-pressed if
    "long keypress" feature is enabled.
    No idea why this was applied only to key press events before :-)

Merge: 2174dde26 be9dd7938
M. Liebmann <git@tuxcode.de>	2017-02-25

    Merge branch 'master' into pu/fb-setmode

Thilo Graf <dbt@novatux.de>	2017-02-24

    CVideoSettings: avoid unnecessary display of messageboxes

Thilo Graf <dbt@novatux.de>	2017-02-22

    CComponentsScrollBar: remove unnecessary debug output

Merge: 1dccb68ad 0953e66d2
M. Liebmann <git@tuxcode.de>	2017-02-24

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-23

    neutrino: No terminate moviebrowser, menue, etc. when recording start

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-24

    - audioplayer: fix small typo

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-01-10

    rcinput/neutrino: avoid the use of EVT_TIMESET
    
    sectionsd's EVT_TIMESET was only used to fix time calculations
    for input repeat detection. I doubt this reliably worked anyway.
    Just calculate an absolute input timestamp from CLOCK_MONOTONIC
    and use that. Even better solution would be to use a newer
    kernel with EVIOCSCLOCKID ioctl, leave that for later :-)

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-24

    supplement to 1f5778b769942a79754f97fce66a008c46a83f5a, add stop msg

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-23

    - followscreenings: don't show, when followlist is empty

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-23

    - followscreenings: don't show, when channel_id is 0

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-23

    src/gui/widget/msgbox.cpp dont block record msg

Merge: 6a2fe8dd9 6b8a7eb5f
M. Liebmann <git@tuxcode.de>	2017-02-23

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-23

    CKeybindSetup: Fix changeNotify call for change repeat_block...

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-22

    fb_accel: move hd2 specific parts from fader to fb_accel

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-22

    rcinput: clarify comment regarding hd2 device

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-22

    rcinput: add less ugly hack for crappy hd2 driver

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-22

    Revert "CRCInput::set_rc_hw: Fix device check for cs hd2"
    
    This reverts commit 5cac45ccb837955bd03b9b2cc41e415c983139d7.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-22

    Revert "rcinput: Add exception handling for cs hd2"
    
    This reverts commit 1b79faff780befa63a04be86560e7183d7a663aa.
    
    Wrong in so many ways :-)
    
     - The code worked perfectly. But ok, it's easier possible. ;)
    
    Signed-off-by: M. Liebmann <git@tuxcode.de>

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-23

    - neutrino.cpp: fix compiler warning; ...
    
    msg and data is type long unsigned int, so %lu seems the right format,
    but above %lX is used too and it works fine. So, what's the right one?

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - rcsim: fix perror message

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - controlapi: fix perror message

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - rc_input: do always show key-presses in console; ...
    
    by mistake removed in 1eec78ccfd7d672ef2cc814ee8ff245696fe3a78

Merge: 9209326a1 383af04cb
M. Liebmann <git@tuxcode.de>	2017-02-22

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-22

    CRCInput::setKeyRepeatDelay: Change hardware dependency,
    
      HD2 driver is not so very ugly. ;)

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - rc_input: we have d_printf, so let's use it

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - rc_input: just cosmetics to satisfy syntax-highlighters

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-22

    - rc_input: rename checkLnkDev() to checkdev_lnk(); ...
    
    just to align form-style to latest changes

Merge: eb0d7afa9 5cac45ccb
M. Liebmann <git@tuxcode.de>	2017-02-22

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-22

    CRCInput::set_rc_hw: Fix device check for cs hd2

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-20

    rcinput: remove unused/unimplemented click functions

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-20

    rcinput: remove now unused (and broken) getFileHandle()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-20

    keybind_setup: use rcinput->setKeyRepeatDelay()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-20

    rcinput: fix set_rc_hw() after dynamic devices patch
    
    ...this could use some tests... :-)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-20

    rcinput: add setKeyRepeatDelay() function
    
    this allows to get rid of the broken getFileHandle function later

M. Liebmann <git@tuxcode.de>	2017-02-22

    rcinput: Add exception handling for cs hd2
    
     - Supplement to previous commit

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    rcinput: use a dynamic list of input devices
    
    Instead of the fixed, static list of input devices, scan /dev/input/ for
    proper event devices. A "good" input device is one that supports the
    EVIOCGBIT ioctl and at least the EV_KEY event type.
    This probably needs further fixes, e.g. in repeat rate setting code.

M. Liebmann <git@tuxcode.de>	2017-02-22

    Fix compiler format warnings

M. Liebmann <git@tuxcode.de>	2017-02-22

    rcinput: Transfer from neutrino-mp for better compatibility

M. Liebmann <git@tuxcode.de>	2017-02-22

    src/system/helpers.cpp: Add function readLink()

Merge: d76c9c536 8bee8b4c6
M. Liebmann <git@tuxcode.de>	2017-02-21

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-21

    fb_generic: use more swidth variables in fbCopyArea()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    tuxtxt: remove dead code, unnecessary header includes

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    tuxtxt: remove old, unused input code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    fb_accel_glfb: fix color palette setting

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    tuxtxt: remove old framebuffer device code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    tuxtxt: remove unused dmx variable

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    libtuxtxt: remove unused fd parameter from tuxtx_main()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    acinclude: move AC_SYS_LARGEFILE after AC_CANONICAL_*
    
    no idea why, but detection of 64bit largefile flags fails otherwise in
    some setups

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-19

    fb_generic: use 32bit pointers instead of 8bit

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-15

    fb_generic: add swidth variable, "stride in fb_pixel_t units"
    
    this should allow to use fb_pixel_t pointer arithmetics more often
    instead of byte pointers

Merge: 43dbfed1b b7110faaf
M. Liebmann <git@tuxcode.de>	2017-02-20

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-19

    tuxtxt: Use hw blitting with fbCopyArea() for cs hd2

M. Liebmann <git@tuxcode.de>	2017-02-19

    framebuffer: Add fbCopyArea function
    
     - Copies areas within the frame buffer
     - Hardware accelerated function for cs hd2
     - Copying overlapping areas does not always work correctly
       without hardware acceleration

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-19

    - move ENABLE_CHANGE_OSD_RESOLUTION to scale2Res() function

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-19

    - settings.h: scale RADIUS- and OFFSET-defines

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-19

    - framebuffer: rename scaleFont() to scale2Res()

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-17

    try to fix segfault with --enable-cleanup

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-17

    src/driver/scanepg.cpp avoid possible segfault

M. Liebmann <git@tuxcode.de>	2017-02-15

    tuxtxt: Fix display in 1280x720 mode

Merge: d457cc8ef 84edb25f3
M. Liebmann <git@tuxcode.de>	2017-02-15

    Merge branch 'master' into pu/fb-setmode

M. Liebmann <git@tuxcode.de>	2017-02-15

    fb_accel_cs_hd2: add missing getBackBufferPointer()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-15

    tuxtxt: convert to int-pointer arithmetic, work with all framebuffers
    
    This converts the drawing code from byte-pointer to fb_pixel_t-pointer
    arithmetic, making the calculations more obvious and probably more
    efficient.
    Additionally, the color tables are now generated in a way that it should
    work regardless of the frame buffer color format. Allows to remove a few
    hardware specific #ifdefs.

M. Liebmann <git@tuxcode.de>	2017-02-15

    libtuxtxt: Transfer from neutrino-mp for better compatibility

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-15

    fb_accel_td: add missing getBackBufferPointer()
    
    this fixes tuxtxt rendering problems

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-15

    - neutrino: small code cosmetics in loadSetup()

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-15

    - disable strange try-to-detect-bad-config-file if-statement

Merge: 56446c358 e8ec4540c
M. Liebmann <git@tuxcode.de>	2017-02-14

    Merge branch 'master' into pu/fb-setmode
    
     Fix merge conflict

M. Liebmann <git@tuxcode.de>	2017-02-14

    fb_generic: make blitBox2FB virtual

M. Liebmann <git@tuxcode.de>	2017-02-14

    fb_generic.h: Add missing function add_gxa_sync_marker()
    
     - is required for cs hd1

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-14

    system/helpers: disable GetWidth4FB_HW_ACC()
    
    ...will be removed later

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-14

    remove hardware specific code from gui
    
    Use the framebuffer's getWidth4FB_HW_ACC() instead of system/helpers.
    The use in cc_item_picture was guarded by a hardware #ifdef, use
    needAlign4Blit() instead.
    
    This needs testing on the affected hardware, which I do not have :-)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-14

    implement getWidth4FB_HW_ACC in fb_accel class
    
    This helper to determine alignment for hardware blitting is now in
    system/helpers.h, where it does not really belong. Put it into the
    framebuffer class instead. Framebuffers that don't need it will just
    get a dummy function, the cs_hd2 framebuffer gets the real thing.
    Also add a bool function that indicates the need for alignment.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-14

    fb_generic: remove hardware specific #ifdef

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-13

    acinclude: only set default model to hd1 if boxtype=coolstream

M. Liebmann <git@tuxcode.de>	2017-02-14

    screenshot: Workaround for broken osd screenshot with new fb driver...
    
    ...and 1280x720 resolution.

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-13

    - set new osd-presets closer to old values; auto-calc screenEnd-values

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-13

    - fix keywords in strange try-to-detect-bad-config-file if-statement

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-13

    - migrate users settings; screen_StartX_crt/lcd -> screen_StartX_crt/lcd_0

M. Liebmann <git@tuxcode.de>	2017-02-13

    neutrino: Add switch osd resolution when supported from hardware
    
     - At the moment supported hardware: CS HD2
    
      Currently known problems:
      -------------------------
      - Display menus after changing resolution (Reboot required)
      - Display headers after changing resolution hd => fullhd (Reboot required)
      - Display infobar after changing resolution hd => fullhd (Reboot required)
      - Screenshot broken (With new driver and set resolution to 1280x720)

M. Liebmann <git@tuxcode.de>	2017-02-13

    neutrino: Upscaling fonts, infoclock and volumebar for full hd

M. Liebmann <git@tuxcode.de>	2017-02-13

    CFbAccelCSHD2: Add scaleFont()function for font upscaling when fullhd is aktiv

M. Liebmann <git@tuxcode.de>	2017-02-13

    CFbAccelCSHD2::setMode: Update for new framebuffer driver (full hd)

M. Liebmann <git@tuxcode.de>	2017-02-13

    configure: Add macro ENABLE_CHANGE_OSD_RESOLUTION
    
      - macro is default for hd2
      - macro can activated for other hardware by
        configure option --enable-reschange

Thilo Graf <dbt@novatux.de>	2017-02-13

    CMovieBrowser: vizualize progress for loading of youtube vidoes

Thilo Graf <dbt@novatux.de>	2017-02-13

    cYTFeedParser: add signal OnLoadVideoInfo
    
    Required for visualized progress display.

Thilo Graf <tg.pnhd@novatux.de>	2017-02-13

    CImageInfo: fix y position of infotext
    
    Minitv was not considered.
    When font size very small, infotext could be overlapping
    with minitv window. This should fix this.

Thilo Graf <dbt@novatux.de>	2017-02-10

    CMovieBrowser: visualize progress during load movies
    
    TODO: youtube load

Thilo Graf <dbt@novatux.de>	2017-02-10

    CProgressWindow: add documentation for Doxygen

Thilo Graf <dbt@novatux.de>	2017-02-10

    CProgressWindow: use using namespace for std and sigc
    
    Makes more clearly

Thilo Graf <dbt@novatux.de>	2017-02-10

    CProgressWindow: add possibility to show progress via signal

Thilo Graf <dbt@novatux.de>	2017-02-10

    CProgressWindow: allow variable max value, allow define dimensions

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-12

    - sectionsd: add missing include of system/set_threadname.h

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-12

    - test_menu: add missing include of gui/components/cc_timer.h

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    fb_generic: add sanity check and missing mark() to painIcon8

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    streamts: don't overflow receive buffer, better diag message

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    neutrino: move start of standby epgscan forward
    
    this avoids that cpufreq is set to standby value before epgscan is
    started, resulting in poor performance

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    remove spurious newlines from debug output

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    set useful thread names for all spawned threads

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    CComponentsTimer: allow to set a thread name

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    cc: reduce impact of cc_draw header from 161 to 4 files

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    getservices: don't update channels if only scrambling changed

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-12

    zapit: speed up scan by skipping unsupported delivery systems

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-11

    fb_generic: initialization and deinitialization fixes
    
    * initialize variables locked and cache_size in constructor
    * set lfb pointer to NULL after munmap(), fd to -1 after close
    * remove unused tty fd close()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-11

    fb_accel_td: implement setBlendMode/Level

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-11

    sectionsdclient: remove unused scanMode variable

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-11

    remove unnecessary sectionsdclient.h includes

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-11

    remove udpstreampes from build, it's unlikely to work anyway

M. Liebmann <git@tuxcode.de>	2017-02-12

    configure.ac: bump revision to 3.4.2

M. Liebmann <git@tuxcode.de>	2017-02-12

    pu/fb-modules: Rename hardware defined macros for coolstream stb
    
      BOXMODEL_NEVIS => BOXMODEL_CS_HD1
      BOXMODEL_APOLLO => BOXMODEL_CS_HD2

Merge: 9fdbe0bc6 0d66899cb
M. Liebmann <git@tuxcode.de>	2017-02-12

    Merge branch 'master' into pu/fb-modules

M. Liebmann <git@tuxcode.de>	2017-02-12

    neutrino: Rename hardware defined macros for coolstream stb
    
      BOXMODEL_NEVIS  => BOXMODEL_CS_HD1
      BOXMODEL_APOLLO => BOXMODEL_CS_HD2

M. Liebmann <git@tuxcode.de>	2017-02-12

    configure: Rename hardware defined macros for coolstream stb
    
      BOXMODEL_NEVIS => BOXMODEL_CS_HD1
       configure parameter: --with-boxmodel=hd1
       --with-boxmodel=nevis is deprecated, but still valid
    
      BOXMODEL_APOLLO => BOXMODEL_CS_HD2
       configure parameter: --with-boxmodel=hd2
       --with-boxmodel=apollo is deprecated, but still valid

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-11

    src/driver/pictureviewer/pictureviewer.cpp Picviewer need double image bufferSize for avoid segfault

Merge: 81bcddaad 274b117f3
M. Liebmann <git@tuxcode.de>	2017-02-11

    Merge branch 'master' into pu/fb-modules

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-11

    - pluginlist: add default timeout to plugin-output ...
    
    to avoid a blocked system. Without timeout all upcoming timers
    will be ignored, if user doesn't confirm the plugin-output.

Merge: db8ea57da 582051b9a
M. Liebmann <git@tuxcode.de>	2017-02-10

    Merge branch 'master' into pu/fb-modules

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-10

    src/driver/audiometadata.cpp init cover_temporary

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-10

    src/driver/pictureviewer/pictureviewer.cpp  check whether there is enough free memory for the image buffer

Merge: ad8e6180a a56bb97b5
M. Liebmann <git@tuxcode.de>	2017-02-09

    Merge branch 'master' into pu/fb-modules

Thilo Graf <dbt@novatux.de>	2017-02-09

    Revert "CChannelList: delete with red yes button"
    
    This reverts commit 36896849689c552989cf365984de546a4ed5282a.
    
    User request: Is not desired

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-13

    - avoid configuration mismatch in screen settings

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-12

    - remove screen_width/height from neutrino.conf; ...
    
    it's just for internal usage

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-12

    - rename screen_x/yres to font_scaling_x/y

Thilo Graf <dbt@novatux.de>	2017-02-09

    CMenuWidget: remove dub code from init

Thilo Graf <dbt@novatux.de>	2017-02-09

    CMenuWidget: use only nameString as container for widget name
    
    neutrino_locale_t       name could be transformed always to real string to
    unify this container

M. Liebmann <git@tuxcode.de>	2017-02-09

    CFbAccelCSHD1::~CFbAccelCSHD1: Remove unnecessary entries...
    
    ...that are processed in the CFrameBuffer destructor

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-09

    fontrenderer: add hack to work around broken fullBG code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-09

    fb_generic: remove unused VT switching / restoring code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-08

    fb_accel: add TripleDragon framebuffer code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-08

    fb_generic: open device O_CLOEXEC, better diagnostic output

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-08

    fb_generic: make paintLine virtual

Merge: ef61905a2 c1f788ac4
M. Liebmann <git@tuxcode.de>	2017-02-09

    Merge branch 'master' into pu/fb-modules

GetAway <get-away@t-online.de>	2017-02-07

    change to CURLOPT_CONNECTTIMEOUT_MS and ...
    
    use a connect_timeout of 300ms for remote timer

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-09

    - helpbox: fix display of text after scroll; thx to DboxOldie

GetAway <get-away@t-online.de>	2017-02-07

    make the webtv directory configurable

Merge: 9ddb4fc9c 622e7a4dd
M. Liebmann <git@tuxcode.de>	2017-02-08

    Merge branch 'master' into pu/fb-modules

Thilo Graf <dbt@novatux.de>	2017-02-08

    fb_accel_cs_hdx_inc.h: remove unused includes

Thilo Graf <dbt@novatux.de>	2017-02-08

    fb_accel_cs_hdx: remove dub includes, add includes into common header file

M. Liebmann <git@tuxcode.de>	2017-02-08

    fb_accel: Some renaming nevis => hd1 & apollo => hd2

M. Liebmann <git@tuxcode.de>	2017-02-08

    fb_accel: Rename CFbAccelCSApollo class => CFbAccelCSHD2
    
      Rename fb_accel_cs_apollo.cpp => fb_accel_cs_hd2.cpp

M. Liebmann <git@tuxcode.de>	2017-02-08

    fb_accel: Rename CFbAccelCSNevis class => CFbAccelCSHD1
    
      Rename fb_accel_cs_nevis.cpp => fb_accel_cs_hd1.cpp

M. Liebmann <git@tuxcode.de>	2017-02-08

    CFbAccelCSApollo: Add paintHLineRel() & paintVLineRel() functions
    
     - Remove unused debug output

M. Liebmann <git@tuxcode.de>	2017-02-08

    CFbAccelCSNevis: Add paintHLineRel() & paintVLineRel() functions
    
     - Remove unused debug output

M. Liebmann <git@tuxcode.de>	2017-02-08

    neutrino: Replace USE_NEVIS_GXA with hardware-specific macros
    
    - Existing USE_NEVIS_GXA definitions in the build system
      (neutrino configure) can be removed.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-06

    reduce impact of zapit/frontend_c.h header
    
    down from ~217 files to ~57...

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-06

    reduce impact of driver/pictureviewer.h header file
    
    before, more than 175 files depended on it, now it's about 35

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-04

    flashtool: make CFlashVersionInfo robust against invalid input

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-04

    framebuffer/configure: remove unused --restore-prev-mode
    
    this is unused, untested and most likely not working at all

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-06

    fb_accel: add backend for GL framebuffer

M. Liebmann <git@tuxcode.de>	2017-02-07

    fb_accel: add accelerated framebuffer for Apollo graphic chips

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_accel: add accelerated framebuffer for Nevis GXA chips
    
    Signed-off-by: M. Liebmann <git@tuxcode.de>

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: fix blit2FB call

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    framebuffer: add accelerator for STi framebuffer
    
    also add a generic helper class for other accelerated
    framebuffer implementations

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: nicer debug output, remove dead code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: add fb_name member to identify fb implementation

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    move gui/color.h includes from headers to cpp files

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: add pointer for double-buffered fb

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: remove all hardware specific code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    fb_generic: add stuff needed for compilation

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    start modularizing framebuffer acceleration architecture
    
    This is just copied framebuffer.{h,cpp} => fb_generic.{h,cpp}
    The idea is to implement CFrameBuffer as generic framebuffer class that
    does work on almost every hardware without acceleration and / or
    hardware dependencies.
    CFbAccel will be a derived class (and different on many architectures)
    which implements the accelerated functions.
    This does not yet compile, verbatim copies to track development history.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    replace fontrenderer.h include with forward declaration
    
    in order to flatten the build dependency tree further, include
    fontrenderer.h directly where needed, in header files a forward
    declaration is enough

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-05

    replace framebuffer.h include with forward declaration
    
    instead of including framebuffer.h almost everywhere, replace it with
    class CFrameBuffer forward declarations and/or generic system includes.
    Add a hack to define fb_pixel_t to config.h (one reason for
    framebuffer.h includes was the fb_pixel_t define)

Thilo Graf <dbt@novatux.de>	2017-02-07

    CScreenSaver: ensure full cleanup of infoclock after stopped screensaver
    
    This provokes re init of info clock.

Thilo Graf <dbt@novatux.de>	2017-02-07

    CTextBox: compare condition for text render more precisely

Thilo Graf <dbt@novatux.de>	2017-02-06

    Helpbox: fix missing text after page repaint

Thilo Graf <dbt@novatux.de>	2017-02-06

    CComponentsForm: move slots into base classes
    
    Usable for all form classes

Thilo Graf <dbt@novatux.de>	2017-02-06

    signals: reduce multiple includes for sigc++/bind.h

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-06

    - hdd_menu: fix c/p error

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-06

    - flashtool: allow type U (update-package)

TangoCash <eric@loxat.de>	2017-02-06

    fix pre and post times, set menuentry for unavailable boxes inactiv

TangoCash <eric@loxat.de>	2017-02-06

    dont ask which box, if just one is present.

svenhoefer <svenhoefer@svenhoefer.com>	2017-02-06

    - hdd_menu: fix hd-idle/hdparm logic; fix small memleaks

M. Liebmann <git@tuxcode.de>	2017-02-05

    movieplayer: Fix display filetime

M. Liebmann <git@tuxcode.de>	2017-02-04

    configure.ac: Fix freetype check

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-02-01

    configure.ac: use pkg-config to check freetype version
    
    the PKG_CHECK_MODULES macro allows to check for a version -- use it
    instead of homegrown TUXBOX_APPS_LIB_PKGCONFIG
    
    Signed-off-by: M. Liebmann <git@tuxcode.de>

Thilo Graf <dbt@novatux.de>	2017-02-02

    Forms/header/clock: implement slot into OnBeforeRePaint

Thilo Graf <dbt@novatux.de>	2017-02-02

    CComponentsSignals: add signal OnBeforeRePaint

Thilo Graf <dbt@novatux.de>	2017-02-02

    Revert "CMenuWidget: ensure repaint of all header content if it is already painted"
    
    This reverts commit 97ed7cdaf74c7a539c792773541f5ac5e6608856.

Thilo Graf <dbt@novatux.de>	2017-02-02

    Revert "CChannelList: ensure repaint of new header content"
    
    This reverts commit ea700ddf525a0293c94c68bf084be426544dc34a.

Jacek Jendrzej <satbaby@kawaii.com>	2017-02-01

    try to fix loop rezap with lua script

Thilo Graf <dbt@novatux.de>	2017-02-01

    Messages: add timeout parameter for error and info messages
    
    I'm not sure if it is a good idea to set a global timeout for
    all error messages. This should be decided for respective cases.
    Timeout for info messages should not be a problem.
    The default timeout is set here as global.

Thilo Graf <dbt@novatux.de>	2017-02-01

    CRecordManager: revert warn message for stream overflow
    
    It's an error not a warning!

Thilo Graf <dbt@novatux.de>	2017-02-01

    CRecordManager: remove static error messages
    
    Static message window expects user interaction but in this case user
    could be absent. and recordings could be running out of control.
    These messages are only warnings and "to slow" warning is optional.
    To avoid uncontrolled behavior of recordings, it should be enough to use messages with simple timeout.

M. Liebmann <git@tuxcode.de>	2017-01-31

    configure.ac: bump revision to 3.4.1

Thilo Graf <dbt@novatux.de>	2017-01-30

    CMenuWidget: ensure repaint of all header content if it is already painted
    
    TODO:   This should be controlled inside header base class.
            paint() method seems suitable.
            I Will try to implement it soon.

Thilo Graf <dbt@novatux.de>	2017-01-29

    CVolume: replace repaintVolScale() with paint()
    
    paint() contains repaintVolScale()

Thilo Graf <dbt@novatux.de>	2017-01-29

    CVolumeBar: add missing paint() methode, avoid multiple iitem instances

Thilo Graf <dbt@novatux.de>	2017-01-29

    CVolumeBar: use OFFSET_INNER_SMALL instead static value for item offset

Thilo Graf <dbt@novatux.de>	2017-01-28

    CVolumeBar: use CORNER_RADIUS_MID
    
    cornerRad() is not really the best solution.
    Inner items are fit with full height and should use the same value.

Thilo Graf <dbt@novatux.de>	2017-01-28

    CVolumeBar: don't use digit height
    
    height is wrong and calculations for digit positions could be confused

Thilo Graf <dbt@novatux.de>	2017-01-27

    CMenuWidget: add missing hide() for details line
    
    Details_line was not removed in all constellations when menu was closed.
    Sample: open main menue and select an entry with connect-line, eg. plugins,
    press key to come into submenu, then go back to main menue and close
    menu with home key, result: it's possible that line is still on screen.

Thilo Graf <dbt@novatux.de>	2017-01-27

    CComponentsText: add signal OnBeforePaint into text paint() methode

Thilo Graf <dbt@novatux.de>	2017-01-27

    CComponentsText: add missing parameters to kill() methode

M. Liebmann <git@tuxcode.de>	2017-01-27

    CVolumeBar: Enable background paint for digits

M. Liebmann <git@tuxcode.de>	2017-01-26

    configure.ac: Check freetype version >= 2.5.0

M. Liebmann <git@tuxcode.de>	2017-01-25

    CInfoViewer: Use flag Font::FULLBG for RenderString()
    
    dependent on g_settings.theme.infobar_gradient_*

Thilo Graf <dbt@novatux.de>	2017-01-24

    CChannelList: ensure repaint of new header content

Thilo Graf <dbt@novatux.de>	2017-01-24

    CComponentsHeader: add missing paramters to kill methode

Thilo Graf <dbt@novatux.de>	2017-01-24

    CEventList: fix current channel position and ensure clean up header
    
    Current channel name was out of center and a clean up of header
    background was required because texts are only painted with transparent background and old texts are futher visible.
    Now we have a clean background before repaint logo or new channel names.

Thilo Graf <dbt@novatux.de>	2017-01-24

    CComponentsForm: remove debug spam

Thilo Graf <dbt@novatux.de>	2017-01-23

    CImageInfo: prevent possible overpainting while switching of sub text caption

Thilo Graf <dbt@novatux.de>	2017-01-23

    CInfoViewer: enable kill text items after killed title
    
    This causes repaint text on next view of infobar.

Thilo Graf <dbt@novatux.de>	2017-01-23

    CComponentsText: add explicit kill methode and add ct_force_text_paint
    
    After hide or kill text will does not paint without ct_force_text_paint,
    so it is required to add this.

Thilo Graf <dbt@novatux.de>	2017-01-23

    CComponentsExtTextForm: init with gradient support and sl_repaint slot

Thilo Graf <dbt@novatux.de>	2017-01-24

    CComponentsForm: add some usefull slots/signal to help paint backgrounds
    
    Requried to paint form items only on changed contents and on repaint

Thilo Graf <dbt@novatux.de>	2017-01-24

    CCDraw: add new attribut force_paint_bg
    
    should help for some repaint actions

Thilo Graf <dbt@novatux.de>	2017-01-24

    CComponentsText: fix order of paint init

Thilo Graf <dbt@novatux.de>	2017-01-24

    CTestMenu: fix icon container
    
    was not removed from screen

Thilo Graf <dbt@novatux.de>	2017-01-19

    Experimental try to rework isPainted()

Thilo Graf <dbt@novatux.de>	2017-01-24

    CTextBox: fix m_old_cText update after text paint
    
    refreshText() executes loop also for text with more than one line
    and m_old_cText attribut should be updated only if loop is ready. Otherwise
    in text boxes with more than one line, only first line would be painted.

Thilo Graf <dbt@novatux.de>	2017-01-18

    CComponentsFrmClock: add slot to handle enforced repaint of segments
    
    If clock removed from screen and instance is not destroyed, then we must
    ensure repaint of segments after painted background.
    
    This is required if segments are only will paint if
    their content was changed and attribut ct_force_text_paint = false.

Thilo Graf <dbt@novatux.de>	2017-01-18

    CCDraw: add signal OnAfterPaintBg

Thilo Graf <dbt@novatux.de>	2017-01-17

    CTextBox: rework return control of value of setText() function
    
    value was not clearly, hope i'ts now

Thilo Graf <dbt@novatux.de>	2017-01-24

    CTextBox: add attribut 'm_bg_painted'
    
    Shoul help in together with changed text content
    to control required text render.

Thilo Graf <dbt@novatux.de>	2017-01-16

    CTextBox: remove text reinit from reInitToCompareVar()
    
    Will be already done after each text render.

Thilo Graf <dbt@novatux.de>	2017-01-10

    CTextBox: paint bg always if pixbuffer exists
    
    Should prevent unintended possible overlap on multiple font render.

M. Liebmann <git@tuxcode.de>	2017-01-24

    Remove obsolete 'contrast_fonts' code from osd menu

M. Liebmann <git@tuxcode.de>	2017-01-24

    screensaver: Use black background for the clock

M. Liebmann <git@tuxcode.de>	2017-01-24

    fontrenderer: Rework rendering for better font presentation
    
     - For the correct use of the changes should be built freetype
       with the following settings:
         #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING
         #define TT_CONFIG_OPTION_SUBPIXEL_HINTING
    
    BS-Patch for freetype 2.5-2.7
    -----------------------------
    ** include/freetype/config/ftoption.h **
    
    -/* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING */
    +#define FT_CONFIG_OPTION_SUBPIXEL_RENDERING
    
    -/* #define TT_CONFIG_OPTION_SUBPIXEL_HINTING */
    +#define TT_CONFIG_OPTION_SUBPIXEL_HINTING
    
    BS-Patch for freetype 2.7.1
    ---------------------------
    ** include/freetype/config/ftoption.h **
    
    -/* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING */
    +#define FT_CONFIG_OPTION_SUBPIXEL_RENDERING

Thilo Graf <dbt@novatux.de>	2017-01-23

    CTestMenu: fix blink of extended text sample

Thilo Graf <dbt@novatux.de>	2017-01-23

    CBuildInfo: move InitInfoItems() into exec()
    
    ensures paint of data on each repaint.

Thilo Graf <dbt@novatux.de>	2017-01-23

    CCDraw: simplified statement for blink init

Thilo Graf <dbt@novatux.de>	2017-01-23

    CComponentsLabel: Added missing overloaded counterpart to CComponentsText(parent) constructor.

Thilo Graf <dbt@novatux.de>	2017-01-23

    cc_types.h: remove obsolete type enums

Thilo Graf <dbt@novatux.de>	2017-01-23

    CComponentsText: fix wrong item type

Thilo Graf <dbt@novatux.de>	2017-01-21

    CComponentsHeader: fix order inside overloaded methode setCaption()
    
    Stop() was never touched with string version of setCaption()

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-30

    src/gui/components/cc_item_progressbar.cpp revert static

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-30

    some inits

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-30

    some inits

Thilo Graf <dbt@novatux.de>	2017-01-30

    CMenuWidget: Forcing removal of details line during removing of hint box.

Thilo Graf <dbt@novatux.de>	2017-01-30

    CComponentsDetailLine: remove multiple init of cc_save_bg.
    
    Init is passed with paintFbItems() at the end of paint() methode.

M. Liebmann <git@tuxcode.de>	2017-01-30

    src/gui/opkg_manager.cpp: Fix compiler warning

M. Liebmann <git@tuxcode.de>	2017-01-30

    CMoviePlayerGui: Bind enable/disable FileTime to enableInfoClock()

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-29

    - streaminfo2: add comment because of broken libcoolstream2 output

GetAway <get-away@t-online.de>	2017-01-29

    - neutrino: fix umount of netfs-drives in ExitRun() function

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    upkg_manager: comment out stale code

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: make error messages less cryptic
    
    the errno has nothing to do with the error that happened, so do not use
    it for the error message

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: add magic string to reset error flags
    
    ... to be used by sytem-update script

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: make console output more useful

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: don't set error flag for shellwindow
    
    The shellwindow exits if the "ok" flag is set to false, aborting further
    execution of more commands. This hurts with system-update script.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    shellwindow: reduce update interval

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    shellwindow: ensure text is set correctly and only when necessary

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    shellwindow: use run_pty() instead of my_popen()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    textbox: fix output for BOTTOM mode
    
    If more text is added to a textbox than fits into the window, the last
    lines are stripped. In BOTTOM (and non-SCROLL) mode, it makes more sense
    to strip the first lines. This is used by shellwindow, e.g. in package
    management menu.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    helpers: add run_pty() function
    
    This runs an external command inside a pty. Running inside a pty,
    external commands using stdio(3) will disable stdout buffering when
    running from a terminal, which is often desirable.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    shellwindow: use time_monotonic_ms()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: avoid the zombie apocalypse, use waitpid()

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    opkg_manager: use system-update script if available
    
    opkg has several problems with complex system updates, especially when
    having to update itself and with the package ordering during update
    To avoid hard coding the workarounds into neutrino, just call a script
    named "system-update" (if available) instead of "opkg upgrade".
    This script can be tuned to the specific target and its problems.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2017-01-29

    hintbox: restore proper handling of up/down keys
    
    When no scrollbar is present, just pass through up/down keys instead
    of only canceling the hintbox. This restores the behaviour before
    commit dde298b1b7.
    Prominent examle is the "channel not available" popup which prevented
    further channel switching until canceled.

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-29

    fix uninitialised values

M. Liebmann <git@tuxcode.de>	2017-01-29

    install.sh: Preserve symlinks at update

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-28

    src/gui/lua/lua_curl.cpp set dumb cookie for dumb 403 forbidden

max_10 <max_10@gmx.de>	2017-01-22

    - edvbstring: fix utf8 encoding, thx DboxOldie

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-26

    movieplayer dont chache last realurl for lua script

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-24

    CTextBox::refreshText: Fix flags for RenderString() v2.0; thx to DboxOldie

GetAway <get-away@t-online.de>	2017-01-21

    gcc-6.2 compil fixes

GetAway <get-away@t-online.de>	2017-01-21

    fix -Werror=misleading-indentation with newer compiler

M. Liebmann <git@tuxcode.de>	2017-01-20

    CTextBox::refreshText: Fix flags for RenderString()

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-13

    src/gui/movieplayer.cpp try to fix livestreamInfo

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-11

    fix readepg from sectionsdcontrol :supplement to  d2ef5030283dfb01de994f2b24cdd3a410062144 new try

Merge: 1d8de839d adcc5c428
Sven Höfer <svenhoefer@svenhoefer.com>	2017-01-11

    Merge pull request #7 from Pr0metheus2/patch-1
    
    Update slovak.locale

Thilo Graf <dbt@novatux.de>	2017-01-10

    CHintBox: add possibility to left hintbox with RC_up and RC_down
    
    RC_up and RC_down are used for text scroll, but most message texts
    are small and no scroll mode is required. In case of large texts
    it should falling back to scroll mode.

Andrej Tobola <andrej.tobola+gifthub@gmail.com>	2017-01-11

    Update slovak.locale

Andrej Tobola <andrej.tobola+gifthub@gmail.com>	2017-01-11

    Update slovak.locale

Andrej Tobola <andrej.tobola+gifthub@gmail.com>	2017-01-11

    Update slovak.locale
    
    New update, is it submitted in correct way?

Thilo Graf <dbt@novatux.de>	2017-01-09

    CComponentsFrmClock: add missing reinit

Thilo Graf <dbt@novatux.de>	2017-01-09

    CComponentsFrmClock: disable digit height
    
    Using of digit height is not really required here.
    eg. better centering

Merge: 236ca5395 9b2a0d441
Sven Höfer <svenhoefer@svenhoefer.com>	2017-01-09

    Merge pull request #5 from Ezak91/master
    
    add entry to load saved epg data manual

Marc Szymkowiak <marc.szymkowiak91@googlemail.com>	2017-01-09

    add entry to load saved epg data manual

Thilo Graf <dbt@novatux.de>	2017-01-08

    CVolumeHelper: fix info clock position after changed clock osd settings
    
    After increased clock height settings, position of infoclock was wrong.
    Old font instance and old width were not changed related to new instance.
    
    TODO:   It works but procedure with helper class seems is rather elaborate
            and should be thoroughly revised.
            I recommend callbacks via native type save signal/slot handler.

Thilo Graf <dbt@novatux.de>	2017-01-08

    CComponentsFrmClock/CInfoClock: simplify font init

Thilo Graf <dbt@novatux.de>	2017-01-04

    CHintBox: add overloaded version of setMsgText() with locale parameter

Thilo Graf <dbt@novatux.de>	2017-01-04

    CHintBox/CMsgBox: reduce minimal dimensions
    
    Better display for smaller texts.

Thilo Graf <dbt@novatux.de>	2017-01-05

    CComponentsFooter: optimize button position and size
    
    Buttons are now smaller so it should be enough, to center only, if not
    please report.

Thilo Graf <dbt@novatux.de>	2017-01-03

    CComponentsFooter: fix default button font type
    
    Deafult buttonfont is FONT_TYPE_BUTTON_TEXT not FONT_TYPE_MENU_FOOT

Thilo Graf <dbt@novatux.de>	2017-01-03

    CComponentsButton: try to fix fallback for font size
    
    Some conditions were not catched.

Thilo Graf <dbt@novatux.de>	2017-01-05

    CBEChannelWidget/CBEBouquetWidget: use explicit footer font
    
    Default button font type in footer is button text type and not footer font.
    Faces of buttons are still disabled and not visible here,
    therefore this should be ok at the moment.

Thilo Graf <dbt@novatux.de>	2017-01-05

    CComponentsButton: fix height comparsion
    
    comparsion with itself

Thilo Graf <dbt@novatux.de>	2017-01-01

    fontrenderer.cpp: Use additional percentage height offset.
    
    Different font types could have different glyph heights,
    Therfore static values seems not really senseful.
    eg. chars like ÄÁÂÅÈÉÊËÌÍÎÏÑÒÓÕÖÙÛÜÝ could paint over defined height,
    
    Note:   However, depending of implementations, the font image may change.
            Most likely this must be adapted to some parts.

Thilo Graf <dbt@novatux.de>	2017-01-05

    CMovieBrowser: fix possible compiler warning
    
    -misleading-indentatio

Thilo Graf <dbt@novatux.de>	2017-01-05

    CNeutrinoApp: try to fix display intro settings message
    
    Message was not really visible on startup. Contents of InitZapper()
    seems to have prevented this.

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-05

    - locale: update slovak; thx to Pr0metheus

M. Liebmann <git@tuxcode.de>	2017-01-03

    src/driver/pictureviewer/png.cpp: Fix -Wclobbered compiler warning

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-03

    src/timerd/timermanager.cpp dont unlock on other errors

Jacek Jendrzej <satbaby@kawaii.com>	2017-01-03

    src/eitd/edvbstring.cpp init array

svenhoefer <svenhoefer@svenhoefer.com>	2017-01-02

    - infoviewer_bb: use OFFSET defines in getBBIconInfo()

M. Liebmann <git@tuxcode.de>	2017-01-01

    src/driver/pictureviewer/png.cpp: Add support for gray scale PNGs...
    
    ...with alpha channel

Thilo Graf <dbt@novatux.de>	2016-12-29

    CComponentsButton: try to fix font size in buttons
    
    Some text in button chains had different font sizes. To see in some
    Messageboxes.

Thilo Graf <dbt@novatux.de>	2016-12-29

    CComponentsHeader/CComponentsFooter: prevent crash on changed font settings
    
    Default fonts for header and footer must be handled too.
    After font settings changes these objects could be invalid.
    Default fonts have invalid pointers after font changes too. Extra reset is required.

Thilo Graf <dbt@novatux.de>	2016-12-29

    CComponentsWindow: use FONT_TYPE_BUTTON_TEXT instead FONT_TYPE_MENU_FOOT
    
    Buttton text is not the same like footer text.

Thilo Graf <dbt@novatux.de>	2016-12-29

    CComponentsTimer: try to fix possible uncanceled thread

Thilo Graf <dbt@novatux.de>	2016-12-29

    locales: add locales for buttontext settings
    
    supplement to: 0bf74271652982ff69f378589ee3b8409dce003f

Thilo Graf <dbt@novatux.de>	2016-12-29

    settings: add explicit button font
    
    Fonts for menu foot and button font are not not necessarily the same thing.
    
    TODO: locales

Thilo Graf <dbt@novatux.de>	2016-12-27

    CComponentsHeader: declare l_font, s_font as global
    
    Useful for init in header sub classes. So its possible to use
    other prefined size mode fonts

Thilo Graf <dbt@novatux.de>	2016-12-29

    CComponentsButton: rename cc_btn_capt -> cc_btn_text
    
    More plausible

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-30

    supplement to 853c0d1b6835d132bd774335969d5e76d2073fde

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-30

    - streaminfo2: just code cosmetics; no binary changes

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-29

    some dead assignment

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-29

    some dead assignment

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-29

    src/timerd/timermanager.cpp fix double locking

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-29

    src/zapit/src/fastscan.cpp avoid out of bounds

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-29

    Revert "- moviebrowser: fix crash; disable non-existing movie directories"
    
    This reverts commit 615c4f360a6933cef5cfc5efd68b91e6006c4b3b, because
    this forces user to re-enable these directories manually.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-29

    - themes: allow progressbar-settings in themes

Thilo Graf <dbt@novatux.de>	2016-12-27

    CStringInput: unify init handler inside constructors, fix message title
    
    Alternative solution for: remove possible display of NONEXISTANT_LOCALE
    4e853d98c2b2b289f0dce1c7dc9fed53eb317ce1
    
    Locales are used for setting keys and passed with notifies for
    observer objects. It seems this is not really a good idea in some
    constellations.

Thilo Graf <dbt@novatux.de>	2016-12-27

    Revert "CStringInput: remove possible display of NONEXISTANT_LOCALE"
    
    This reverts commit 4e853d98c2b2b289f0dce1c7dc9fed53eb317ce1.
    
    Conflicts:
            src/gui/widget/stringinput.cpp

Thilo Graf <dbt@novatux.de>	2016-12-27

    CComponentsTimer: disconnecting slots before stop timer thread, show error
    
    Disconnecting of slots before stop threads ensures disconnecting
    also on thread errors and keeps timer slots clear.

Thilo Graf <dbt@novatux.de>	2016-12-25

    CMsgBox: remove debug output
    
    Not longer required.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-27

    - osd-setup: allow higher osd-timeouts; up to 240 sec. now

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-27

    Revert "fix readepg from sectionsdcontrol"
    
    This reverts commit d2ef5030283dfb01de994f2b24cdd3a410062144.

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-26

    supplement to a0f0df7f1746f547798c0261751bbcdff7202002

TangoCash <eric@loxat.de>	2016-12-26

    fix readepg from sectionsdcontrol
    
    to avoid permanently change of epd_dir, this would break epg read
    frequently function

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-24

    widget/stringinput: fix compare

Merge: 3d6a0c381 441773246
Sven Höfer <svenhoefer@svenhoefer.com>	2016-12-23

    Merge pull request #4 from Ezak91/master
    
    fix link to developer forum

Thilo Graf <dbt@novatux.de>	2016-12-23

    CKeyboardInput: remove possible display of NONEXISTANT_LOCALE
    
    This should fix possible incorrect titles with content of
    NONEXISTANT_LOCALE with lua script handler

Thilo Graf <dbt@novatux.de>	2016-12-23

    CStringInput: remove possible display of NONEXISTANT_LOCALE
    
    This should fix possible incorrect titles with content of
    NONEXISTANT_LOCALE with lua script handler

Thilo Graf <dbt@novatux.de>	2016-12-23

    megbox.cpp/h: add overloaded version of ShowMsg() with string/locale combination
    
    Constellation was missed.

Thilo Graf <dbt@novatux.de>	2016-12-23

    menue.cpp: CChangeObserver add overloaded changeNotify() with string param

Marc Szymkowiak <marc.szymkowiak91@googlemail.com>	2016-12-23

    fix link to developer forum

Thilo Graf <dbt@novatux.de>	2016-12-22

    CMenuWidget: add menu name reinit
    
    Ensures correct display of menu name while runtime.
    For example: it's required on changed language settings, otherwise we have
    old language in menu head.

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-22

    src/gui/lua/lua_curl.cpp ACCEPT_ENCODING for gzip compressed data, need build libcurl with --with-zlib

Thilo Graf <dbt@novatux.de>	2016-12-22

    CHintBox: small cosmetics for initial positions
    
    This should have no effect, because calculation of position and dimensions
    is mostly dependency from message text. So this is only formality.

Thilo Graf <dbt@novatux.de>	2016-12-22

    partial revert: "CTextBox: expand parameters of member setTextBorderWidth()"
    
    related commit: 153d2f3c784ec72af77b979a362f6db33ddd79d6
    
    Since this commit, TextBox received a lot of optimizations, so it is possible
    we have no described side effects.

Thilo Graf <dbt@novatux.de>	2016-12-21

    CTextBox: More precise function description
    
    Note:   In this context i noticed, it seems method getRenderWith()
            in Fontrender class returns wrong values with
            BOLD font types. It would be nice if anybody could
            verify this possible bug. If I see that correctly,
            we should fix this.

Thilo Graf <dbt@novatux.de>	2016-12-21

    CVolumeHelper: remove unnecessary reinit of font
    
    Is already done in previous block.

TangoCash <eric@loxat.de>	2016-12-21

    volumebar font reset after change (thx dboxoldie)
    
    to avoid segfault
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    picked from Duckbox-Developers/neutrino-mp-cst-next
    4365761b2a47e12666154821c2ce982f74ef0627
    
    needs supplements

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-20

    src/gui/timerlist.cpp init changed

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-20

    lib/libtuxtxt/tuxtxt_common.h fix out of bounds

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-20

    - cc_frm_scrollbar: use SCROLLBAR_WIDTH define

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-20

    - menue: use SCROLLBAR_WIDTH define

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-20

    - settings-h: add SCROLLBAR_WIDTH define

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-18

    - personalize: pluralize 'usermenu' item; these are 'usermenus'

Thilo Graf <dbt@novatux.de>	2016-12-18

    CComponentsHeader: ensure to have correct font instances after changed font
    
    On possible changed font settings, font objects can be invalid and
    we have a crash. With this fix it's possible, that
    CNeutrinoApp::setupFont() method clean up header font object itself.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-18

    - screensaver: fix clock positions

Thilo Graf <dbt@novatux.de>	2016-12-17

    CTestMenu: edd expanded sample for blinking items with syncroinized effect

Thilo Graf <dbt@novatux.de>	2016-12-17

    CCDraw: add overloaded version of paint Blink()
    
    It's useful to have synchronized timer for more than one item.

Thilo Graf <dbt@novatux.de>	2016-12-15

    CMenuWidget: add external methode to paint scrollbar

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - moviebrowser: reset filter at startup if filter-directory not exists ...
    
    to avoid a wrong display in footer

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - moviebrowser: fix crash; disable non-existing movie directories

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - locale: right names for timerlist repeat-hints

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - cc_frm_scrollbar: fix offsets; use OFFSET defines

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - cc_frm_scrollbar: set default height to 0

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - helpbox: avoid artificially offsets

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-16

    - cc_frm: avoid artificially offsets

Thilo Graf <dbt@novatux.de>	2016-12-15

    CCDraw: reduce debug spam

Thilo Graf <dbt@novatux.de>	2016-12-15

    CComponentsScrollBar: fix pos and use current width to set height of arrows
    
    This fix size and position and dimensions of arrows.

Thilo Graf <dbt@novatux.de>	2016-12-15

    CComponentsScrollBar: use corner settings for scrollbar body

Thilo Graf <dbt@novatux.de>	2016-12-15

    CComponentsScrollBar: add easy to handle scrollbar methode

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - doc: remove outdated ir.html

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - doc: remove outdated nhttpd changelog

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - move nhttdp-documentation to /doc-directory

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - configure.ac: sort Makefiles alphabetically

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - yWeb: move data from /src to /data

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-15

    - yWeb: fix extentions-url to (still empty) gui-yweb repository

Thilo Graf <dbt@novatux.de>	2016-12-14

    CNeutrinoApp: simplify shutdown message handling
    
    Usage of only one cancel button is more plausible.
    'cancel' means cancel this action. And not more!

Thilo Graf <dbt@novatux.de>	2016-12-14

    CComponentsHeader: fix font and height handling
    
    Font was not changeable. setCaptionFont() was without effect.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-13

    - usermenu: add brackets to code; fix compilation

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-13

    - settings.h: completion of e0f860664c85af8e1138f5f8bad2a045f961864f

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-13

    - usermenu: sort/cleanup code by items; just code cosmetics

Thilo Graf <dbt@novatux.de>	2016-12-12

    CHintBox: fix timeout comparsion
    
    default timeout was not defined

Thilo Graf <dbt@novatux.de>	2016-12-09

    CRecordManager: use default timeout from settings

Thilo Graf <dbt@novatux.de>	2016-12-09

    CNeutrinoApp: use default timeout from settings

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-12

    fix next epginfo and sat/freq info for webtv

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-12

    - infoviewer_bb: remove broken code around left/right handling in ca_bar
    
    This code wasn't used anymore since years.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-12

    - channellist: try to fix right status-icon alignment

GetAway <get-away@t-online.de>	2016-12-11

    pzapit: add -lockrc/-unlockrc options; port from martii
    
    I've pulled it from Duckbox-Developers/neutrino-mp-cst-next
    and modified it to work

Thilo Graf <dbt@novatux.de>	2016-12-10

    CTestMenu: add sample to visualize current running records

Thilo Graf <dbt@novatux.de>	2016-12-09

    CTextBox: try to fix getMaxLineWidth() methode
    
    If found no linebreak, return value could be too small.
    Space char simulates a line termination as a workaround to get
    largest possible width.

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-09

    src/gui/osd_setup.cpp fix menu item (possible segfault)

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-08

    - msgbox: remove obsolete include

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-08

    - settings.h: add OFFSET_INNER_NONE define

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-08

    - widgets: remove obsolete drawable wrapper sources

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-08

    src/gui/timerlist.cpp dont check empty timerlist

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-08

    - timerlist: remove menu button from footer; is available in header too

Thilo Graf <dbt@novatux.de>	2016-12-08

    CTimerList: remove timeout for delete warning
    
    Timeout for deletions are not a really good idea. This should be
    controlled by user and it should be durable visualized what
    he just is doing.

Thilo Graf <dbt@novatux.de>	2016-12-08

    CMsgBox: rework result values
    
    Makes it possible to use bit operators. Current available
    compare operations still should be compatible.
    In case not please report to fix!

Thilo Graf <dbt@novatux.de>	2016-12-07

    Message timeout: try to fix timeout defines
    
    Some parameters were confused.

Thilo Graf <dbt@novatux.de>	2016-12-08

    CCDraw: try to avoid rendering with bad dimensions

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-08

    - bouquetlist: fix round corners of selected item

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-07

    - bouquetlist: fix initialisation of empty sting

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-07

    - rename BUTTON_TOP to BUTTON_UP; it isn't a top-button

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-07

    - bouquetlist: add "menu", "left" and "right" context buttons to header

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-07

    - cc_frm_header: show left button before the right one

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-07

    - icons: move icons into categorized subdirectories

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-06

    src/zapit/src/femanager.cpp init sat_config_t delsys

Thilo Graf <dbt@novatux.de>	2016-12-06

    CMovieBrowser: remove context menu button
    
    I forgot, it's already in footer

TangoCash <eric@loxat.de>	2016-12-06

    cc_frm correct scroll direction if more than 2 pages (thx dbo)
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>
    
    picked from:
            github.com/TangoCash/neutrino-mp-cst-next
    commit:
            abce1c6be4bae17f343d3ff878670184708aa185

Thilo Graf <dbt@novatux.de>	2016-12-06

    CMovieBrowser: add missing context buttons
    
    No user can see anything about available submenu and help window,
    because access to help via submenu is not longer possible
    since 21ed22cb6e8aab99ec66fefcdeda17659f4a95e9

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-06

    - eventlist: fix icon-alignment ...
    
    some small text-alignment fixes; use OFFSET defines

M. Liebmann <git@tuxcode.de>	2016-12-05

    MoviePlayer: Rework enable/disable of osd time, file time and mute icon

M. Liebmann <git@tuxcode.de>	2016-12-02

    Sort locales

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - locale: typo; we shouldn't open Manu XD

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - locale: more movieplayer additional help text

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - helpbox: allow multi-line lines

Thilo Graf <dbt@novatux.de>	2016-12-05

    Helpbox: add doc
    
    Doc was missed.

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - movieplayer: rework help; use rc_help to show help

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - helpbox: fix height of CComponentsText element

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-05

    - helpbox: fix icon alignment

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-04

    - moviebrowser: rework help ...
    
    * remove from menu; this breakes menu's logic (rc_help is to switch hints)
    * use rc_help to show help window
    * rework content

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-04

    - helpbox: some reworks ...
    
    * rename line_space to line_height
    * separators uses half line height
    * add getLineHeight() function
    * small cleanups

Jacek Jendrzej <satbaby@kawaii.com>	2016-12-04

    src/timerd/timermanager.cpp sruct variable init

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-04

    - helpbox: bind gradient of separatorline to user's setting

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-04

    - moviebrowser: fix mute-icon and "Change view" keys in helpbox

Thilo Graf <dbt@novatux.de>	2016-12-02

    Messages: add localized osd timeout option for interactive/static messages
    
    TODO: add locales for hints

svenhoefer <svenhoefer@svenhoefer.com>	2016-12-01

    Message Timeouts: add possibilty to change timeout for static messages
    
    Signed-off-by: Thilo Graf <dbt@novatux.de>

M. Liebmann <git@tuxcode.de>	2016-12-02

    MoviePlayer: Disable InfoClock and FileTime when view movieinfo

M. Liebmann <git@tuxcode.de>	2016-12-02

    CLuaInstVideo::PlayFile: Infoviewer was not displayed when InfoFunc was set
    
     - Fix commit 1aee964c14809a4008e5ad8ed8f26c984ec2e580
     - Set Lua api version to 1.68

Thilo Graf <dbt@novatux.de>	2016-12-01

    CComponentsWindow: fix window body color
    
    Color parameter was not passed to body. Parameters in constructor and
    setters had no effect.

M. Liebmann <git@tuxcode.de>	2016-12-01

    CLuaInstCCText: Add various script functions
    
     getLines()
     getLines(test)
     setDimensionsAll(x, y, w, h)
    
     - Set Lua api version to 1.67

M. Liebmann <git@tuxcode.de>	2016-12-01

    lua: Fix InfoFunc for displaying information in the movieplayer
    
     - Fix for commit 644ab188442ac3aef93a5127f6fb98a9205a42ff
     - Set Lua api version to 1.66

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-30

    - bouqueteditor: fix icon alignment

Thilo Graf <dbt@novatux.de>	2016-11-29

    CMsgBox: reduce flicker effects with single button
    
    Disabled refresh avoids unnecessary repaints with possible flicker effects
    on pressed navi keys.

Thilo Graf <dbt@novatux.de>	2016-11-29

    CComponentsFooter: fix wrong text color with single button in footers
    
    * remove size compare
    
    If only one button exists, possible new text color would be ignored
    and wrong Text color was visible with one item.
    This behavior was observed in message boxes with
    single buttons (eg OK, or Cancel).

Thilo Graf <dbt@novatux.de>	2016-11-27

    CComponentsFooter: disable gradient for footers
    
    This is not really completly implemented for footer at the momemnt, because
    button objects are still not prepared or tuned for that.
    
    If it is enabled, currently it could occur unintentionally background behavior
    eg.: flickereffects or background display errors in button objects.
    
    NOTE:  anyway users can enable gradient in theme files and could override this setting.
    Now here it is globally disabled for footers. If it works right,
    it will be enabled in future.

Thilo Graf <dbt@novatux.de>	2016-11-27

    CImageInfo: remove CC_APPEND
    
    Should not be used in the future.

Thilo Graf <dbt@novatux.de>	2016-11-27

    CTextBox: use CORNER_NONE as default corner mode
    
    CORNER_ALL is not the same like CORNER_NONE.
    Could cause problems in the evaluation.

Thilo Graf <dbt@novatux.de>	2016-11-27

    CBuildInfo: add missing default font

Thilo Graf <dbt@novatux.de>	2016-11-27

    CComponentsExtTextForm: rework class overloading
    
    class CComponentsExtTextFormLocalized is not required.

Thilo Graf <dbt@novatux.de>	2016-11-28

    CComponentsText: revert inheritition of CBox, useage as object
    
    It has shown, that the positioning and
    Dimensions calculations are not correct. CBox object must be embedded
    with frame properties.

M. Liebmann <git@tuxcode.de>	2016-11-27

    CHintBox/CMsgBox: Add default icon for header (NEUTRINO_ICON_INFO)

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-25

    src/gui/widget/keyboard_input.cpp -add direkt digikey pressed

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-25

    supplement to a8ea7c60d50d39087866df61df56881d44ebdb7e

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-24

    - enable epg-scan while audioplayer, movieplayer, pictureviewer and
    
    upnp-browser runs

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-24

    src/gui/widget/menue.cpp try to fix widget segfault menu with keyboard and background restore

Thilo Graf <dbt@novatux.de>	2016-11-23

    CComponentsItem: fix possible negativ value for box radius
    
    If frame width > 0 and radius too small, we have an negative value.
    This should prevent this.

Thilo Graf <dbt@novatux.de>	2016-11-23

    CComponentsWindow: remove default values from internal init method
    
    Is not really required for this private member.

Thilo Graf <dbt@novatux.de>	2016-11-23

    CRecordManager: add methode to get internal rec map
    
    Useful for access to current record data.

M. Liebmann <git@tuxcode.de>	2016-11-22

    Add missing locale
    
     - Supplement to commit 6cd5dd8e23f55954070f22c719417d9755dd4f91
       and 8b97f72ed1e1e8ad3430dec98f772f011f5dba27

M. Liebmann <git@tuxcode.de>	2016-11-22

    Sort locale

Thilo Graf <dbt@novatux.de>	2016-11-22

    Messages: move window to top of screen
    
    User request.

Thilo Graf <dbt@novatux.de>	2016-11-22

    CHintBox: fix missing shadow for popups
    
    Must be enabled with enum, bool has no effect.

Thilo Graf <dbt@novatux.de>	2016-11-22

    Messages: try to fix API message handling
    
    Passed timeout for messeages an popup's fired by yWeb API was not really
    ok.
    For popups now we have a setting with default value of 6 seconds timeout
    Popups fired with ShowHint() use this as default. Value of 0 and -1
    are ignored.
    Messages fired with ShowMsg() should be fixed and interpret
    value 0 or -1 as no timeout and will remain on the screen.

Thilo Graf <dbt@novatux.de>	2016-11-21

    CTextBox: try to fix possible background artefacts in transparent mode
    
    supplement to: - textbox: fix box width in round corners mode
    Radius was always subtracted in all text modes.
    
    TODO: value of m_nBgRadius itself is not considered at the moment.

Thilo Graf <dbt@novatux.de>	2016-11-21

    CComponentsInfoBox: add methode to get internal picture object

Thilo Graf <dbt@novatux.de>	2016-11-21

    CComponentsFrmClock: ensure that no radius is defined for inner items
    
    Radius is not required for inner segments.
    TODO: single segment

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: use german "usw." instead of "etc."

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: fix "/" usage

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: remove "CST" strings

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: right case for LEDs

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: fix usage of ampersand; it's not an "and"-replacement

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - locale: fix usage of ellipses

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-21

    - update: fix evaluation of int newfound

Thilo Graf <dbt@novatux.de>	2016-11-20

    CTestMenu: add form sample

Thilo Graf <dbt@novatux.de>	2016-11-20

    CNeutrinoApp: simplify and fix hintbox calls
    
    Some hints were not closed after delete. Explicit hide()is required.

Thilo Graf <dbt@novatux.de>	2016-11-20

    CUpnpBrowserGui: simplify hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    cTmdb: simplyfy hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    showFastscanDiseqcSetup: simplify hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    COPKGManager: simplify hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    CMovieBrowser: simplify and fix hintbox calls
    
    Some hints were not closed. Explicit hide() is required.

Thilo Graf <dbt@novatux.de>	2016-11-20

    CNetworkSetup: simplify hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    CHDDMenuHandler: simplify and fix hintbox calls
    
    Hints were not closed after lost scope. Explicit hide() is required.

Thilo Graf <dbt@novatux.de>	2016-11-20

    CFavorites: simplify hintbox calls

Thilo Graf <dbt@novatux.de>	2016-11-20

    CBEBouquetWidget: simplify hintbox calls

TangoCash <eric@loxat.de>	2016-11-20

    add option to read saved epg data frequently

Thilo Graf <dbt@novatux.de>	2016-11-20

    CComponentsFooter: use select/unselect colors from menues as default

Thilo Graf <dbt@novatux.de>	2016-11-20

    CMsgBox: enable button background as default

Thilo Graf <dbt@novatux.de>	2016-11-20

    CComponentsFooter: use minimal frame width as default for buttons

Thilo Graf <dbt@novatux.de>	2016-11-20

    CCDraw: add function for blink effect for cc items
    
    NOTE: experimental, for examples see CTestMenu class

Thilo Graf <dbt@novatux.de>	2016-11-20

    CComponentsFooter: add parameter for frame width for selected buttons
    
    Frame width was hard coded.

Thilo Graf <dbt@novatux.de>	2016-11-20

    Messages: add option to change size of message text
    
    Include default size and localized setup.
    
    TODO: localize for nederlands and slovak, current english only.

Thilo Graf <dbt@novatux.de>	2016-11-19

    CSignalBar: remove offset for signal name and remove right allignment
    
    Text have more space, otherwise it's possible it can be truncated.
    Indent from left site of text don't looks not so good.

TangoCash <eric@loxat.de>	2016-11-19

    deactivate timer epg autoadjust until fixed and tested

TangoCash <eric@loxat.de>	2016-11-19

    [timers] fix start timers

Merge: a21eeea6f 9d3a48d3c
Thilo Graf <dbt@novatux.de>	2016-11-18

    Merge branch 'pu/msgbox into master'
    
    Rework hintbox and messagebox as derived classes with cc window functionality.
    Details for structure and how it works to find under
    
      http://www.tuxbox-neutrino.org/widget/html/annotated.html

TangoCash <eric@loxat.de>	2016-11-18

    [timermanager] fix stop recordings

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-18

    src/gui/moviebrowser/mb.cpp fix clean bookmarks

TangoCash <eric@loxat.de>	2016-11-18

    [timermanager] fix stop recordings

Thilo Graf <dbt@novatux.de>	2016-11-18

    prepare revision, bump version to 3.4.0

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-18

    src/gui/moviebrowser/mb.cpp fix clean bookmarks

Thilo Graf <dbt@novatux.de>	2016-11-18

    Locales: use generic gui name in messages and windows

Merge: 2e8c700dd d3fe4f5e0
Thilo Graf <dbt@novatux.de>	2016-11-17

    Merge branch 'master' into pu/msgbox

TangoCash <eric@loxat.de>	2016-11-17

    fix moviebrowser detailsline

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-17

    src/gui/moviebrowser/mb.cpp fix bookmark Menu

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - moviebrowser: resort movie info update menu

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - moviebrowser: resort movie info menu

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - moviebrowser: more clarity in bookmark menu

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - moviebrowser: use red key to remove all user bookmarks

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - locale: small changes in moviebrowser's bookmark locales

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-17

    - moviebrowser: fix input for end mark and lastplay mark

Merge: 8cb0bef8e 045587f6e
TangoCash <eric@loxat.de>	2016-11-16

    Merge pull request #3 from neutrino-mp/master
    
    move linux-dvb-headers out of the way for non-coolstream hardware

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-11-16

    make sure the private dvb headers are used on coolstream

TangoCash <eric@loxat.de>	2016-11-16

    timermanager: try fix autoAdjustToEPG for (repeating) timers

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2014-02-16

    disable private copy of the linux dvb headers
    
    Move them into subdir private so that they are no longer used by
    default. They still can be used by extending the include path.

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-16

    src/gui/channellist.cpp cancel paint_events thread on hide

TangoCash <eric@loxat.de>	2016-11-15

    - timermanager: disable autoAdjustToEPG for repeating timers

Merge: c8ad32b1e d6cb1d206
Thilo Graf <dbt@novatux.de>	2016-11-15

    Merge branch 'master' into pu/msgbox
    
    Conflicts:
            src/gui/followscreenings.cpp

Thilo Graf <dbt@novatux.de>	2016-11-15

    CInfoViewer: add missing shadow for timescale
    
    enableShadow() needs enum option.

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-14

    - followscreenings: allow to turn off followscreenings list

Merge: b4f94a896 99c57d307
Thilo Graf <dbt@novatux.de>	2016-11-14

    Merge branch 'master' into pu/msgbox

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-14

    src/gui/widget/menue.cpp try fix hide info_box (in channellist)

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-14

    - moviebrowser: add PREVPLAYDATE/RECORDDATE sort buttons to footer

Thilo Graf <dbt@novatux.de>	2016-11-13

    CMovieBrowser: unfify and reduce flicker effects of connect line
    
    Connectline object can handle hide behavior itself.

Merge: 5394f4b2e 5948f045a
Thilo Graf <dbt@novatux.de>	2016-11-13

    Merge branch 'master' into pu/msgbox

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-11-12

    zapit: fix "comparison is always false" warnings
    
    demux Start() Stop() and pesFilter() are bool, so comparing < 0 really
    does not make sense.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-11-12

    driver: use newer ffmpeg API
    
    Reduce the "deprecated function" warnings a bit when compiling against
    recent ffmpeg releases. Just the drop-in-replacement "av_packet_unref"
    which works with both old and new ffmpeg versions.
    The other stuff needs rewrites which are not compatible with all ffmpeg
    releases :-(

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-11-12

    timermanager: fix -Waddress warning with newer gcc
    
    The address of Events (wich is checked against NULL) can never be NULL,
    because Events is passed by reference.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-11-12

    neutrinoyparser: fix string literal warning with newer gcc

Merge: 5443cc274 a47a5cd42
Thilo Graf <dbt@novatux.de>	2016-11-12

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-12

    - moviebrowser: limit cover to one third of m_cBoxFrameInfo1 width

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-12

    - cc_item_picture: reset keep_aspect variables after use

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-12

    - moviebrowser: fix MB_INFO_SPACER's empty content

Thilo Graf <dbt@novatux.de>	2016-11-12

    CFileBrowser: use mbrYes as default selection
    
    TODO:   Re-evaluate the logic of current used messages with risky actions
            and adjust the buttons accordingly.
    Reason: <yes> is now as default assigned to green button (traffic light principle), and we use stricktly
            the order of colors from remote control (r,g,g,b), but in some cases
            it is useful to assign the <Yes> button to red for risky actions.

Thilo Graf <dbt@novatux.de>	2016-11-12

    CHintBox: update ascII scheme

Thilo Graf <dbt@novatux.de>	2016-11-11

    CHintBox: remove center text mode on used picon

Thilo Graf <dbt@novatux.de>	2016-11-11

    CHintbox: enlarge possible max height
    
    Better use of available screen size for many lines

Thilo Graf <dbt@novatux.de>	2016-11-11

    CHintBox: try to fix truncated chars
    
    Last chars were truncated. Indent and titel text were not considered.

Merge: 96ffa4778 ad7947d11
Thilo Graf <dbt@novatux.de>	2016-11-11

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - moviebrowser: reset m_pcInfo1 box to default height, ...
    
    when turning m_settings.browserAdditional off

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - locale: small changes in moviebrowser locales

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - moviebrowser: show sorting menu; displays only available options

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - moviebrowser: remove obsolete strReplace() function

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - eventlist: allow windows size changes w/o neutrino restart

Merge: 43c1349ff 30f231c80
Thilo Graf <dbt@novatux.de>	2016-11-11

    Merge branch 'master' into pu/msgbox

Thilo Graf <dbt@novatux.de>	2016-11-11

    CMenuWidget: move signal before render methodes
    
    At start of methode, unusual behavior could occur.

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - eventlist: allow gradient/radius changes w/o neutrino restart

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-11

    - eventlist: fix right textbox in header; last char was not displayed

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-10

    src/gui/epgview.cpp reset header height to single size

Thilo Graf <dbt@novatux.de>	2016-11-10

    CTestMenu: add sample for hintbox with timeout

Thilo Graf <dbt@novatux.de>	2016-11-10

    CHintBox: optimize dynamic window width bahavior on different line sizes
    
    Width calculation is now depends on largest line of text.

Thilo Graf <dbt@novatux.de>	2016-11-10

    CTextBox: add static function to get largest line of passed text
    
    This could be useful eg. for size calculations.

Thilo Graf <dbt@novatux.de>	2016-11-03

    CHintBox/CMsgBox: rework text handling and dynamic size behavior

Thilo Graf <dbt@novatux.de>	2016-10-31

    CHintBox: add member to get maximal required width

Thilo Graf <dbt@novatux.de>	2016-11-09

    CTextBox: add static function to get count of lines from passed text
    
    I'm missing a function that returns current line count outside
    of a CTextBox object. This could be useful eg. for size calculations
    before object init etc

Merge: 996beed07 098905e8e
Thilo Graf <dbt@novatux.de>	2016-11-10

    Merge branch 'master' into pu/msgbox
    
    Conflicts:
            src/gui/moviebrowser/mb.cpp

Thilo Graf <dbt@novatux.de>	2016-11-10

    CMenuTarget: outsource CMenuTarget-class
    
    It's required for some inheritations into other classes if include
    of menue.h is not wanted

Thilo Graf <dbt@novatux.de>	2016-11-09

    CTimerList: add menu context button to header
    
    Not to see that we have a possible submenu.

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-09

    - controlapi: fix compiler warning
    
    error: declaration of 'channel_id' shadows a previous local

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-09

    - controlapi: add epg_id to several outputs; add /control/getepgid
    
    * /control/getepgid[?format=plain|json|xml]

Merge: 3e7a1943c b59527e98
Thilo Graf <dbt@novatux.de>	2016-11-09

    Merge branch 'master' into pu/msgbox
    
    Conflicts:
            src/gui/timerlist.cpp

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - epgview: use small vertical offset around channellogo; ...
    
    more intensive use of offset defines

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - infoviewer: use small vertical offset around channellogo

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - eventlist: use small vertical offset around channellogo

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - channellist: use small vertical offset around channellogo

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - moviebrowser: simplify channellogo scaling code

Merge: 9b7966257 b59527e98
svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    Merge branch 'master' into pu/moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-08

    - channellist: fix epg for webtv channels

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-07

    src/gui/osd_setup.cpp supplement to 682b6f57 , fix segfault if clock is NULL#

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - moviebrowser: use small offset in header to display channellogo

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - listbox/moviebrowser: replace internal offsets with global defines

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - settings.h: add OFFSET_INNER_MIN define

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - cc_frm_header: use OFFSET define

TangoCash <eric@loxat.de>	2016-11-07

    fix epgtitle

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - moviebrowser: increase default browserFrameHeight

Merge: 5ca710ed4 8ac3b64e7
svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    Merge branch 'master' into pu/moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - moviebrowser: allow round borders in filter selection

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - listframe: allow round borders

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-07

    - timerlist: just small code cosmetics

Merge: c0ce2a0d3 3b2569498
Thilo Graf <dbt@novatux.de>	2016-11-06

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-06

    - epgview: use movie-info's channelname in movieplayer mode to get channellogo

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-06

    src/gui/scan_setup.cpp use CHintBox for reloadchannels

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-05

    - locale: update slovak; thx to Pr0metheus

Thilo Graf <dbt@novatux.de>	2016-11-05

    CComponentsInfoBox: ensure matching object height after assigned image
    
    Images are not defined with constructor, so it is possible we must
    consider the image height after called setPicture() methode.
    This is important if an infobox sould be
    added into a cc form object. This avoids overlapping of dynamic added items.

Merge: b94f35421 7c74d0bc3
svenhoefer <svenhoefer@svenhoefer.com>	2016-11-05

    Merge branch 'master' into pu/moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-05

    - timermanager: try to fix successive timers

Merge: b6a06af7c 90a693a1e
Thilo Graf <dbt@novatux.de>	2016-11-05

    Merge branch 'master' into pu/msgbox

Thilo Graf <dbt@novatux.de>	2016-11-04

    CComponentsInfoBox: fix missing calculation of image position with parent

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-04

    - cablex.xml: update Unitymedia; thx to klauser

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-04

    - cablex.xml: update Unitymedia; thx to klauser

Merge: ab9bf2ffa 2907aa5a3
Thilo Graf <dbt@novatux.de>	2016-11-03

    Merge branch 'master' into pu/msgbox

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-03

    Revert "src/gui/widget/textbox.cpp try to fix text lines per page"
    
    This reverts commit d6c4324f6c91cd8f8eaaf10b3d7695882f93a18d.

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-03

    Revert "src/gui/widget/textbox.cpp supplement to try to fix text lines per page"
    
    This reverts commit e26ad6e9f1970d82d5a2b80315acf67b526c228e.

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-03

    src/gui/widget/textbox.cpp supplement to try to fix text lines per page

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-03

    src/gui/widget/textbox.cpp try to fix text lines per page

Merge: dbe800788 da14d72dc
Thilo Graf <dbt@novatux.de>	2016-11-02

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-02

    - textbox: fix compilation for generic hardware
    
    error: declaration of ‘clear’ shadows a member of 'this'

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-02

    - moviebrowser: smaller locales for footer; clearify "filter off" mode

svenhoefer <svenhoefer@svenhoefer.com>	2016-11-01

    - miscsettings_menu: fix youtube api key length

Jacek Jendrzej <satbaby@kawaii.com>	2016-11-01

    pictureviewer: fix possible segfault if width or height < 1,fix possible memleak

Merge: fc6e8fbbc 6b640cfa7
svenhoefer <svenhoefer@svenhoefer.com>	2016-10-31

    Merge branch 'master' into pu/moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-31

    - moviebrowser: fix filter selection

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-31

    - textbox: add clear() function

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-31

    src/gui/scan_setup.cpp fix preselected transponder item

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-31

    fix possible segfault and negative height

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-30

    - yWeb: fix url to Y_Version.txt

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-30

    - yWeb: change info string to Tuxbox-Neutrino

Merge: aae4411d0 27dc0228a
Thilo Graf <dbt@novatux.de>	2016-10-29

    Merge branch 'master' into pu/msgbox

Thilo Graf <dbt@novatux.de>	2016-10-29

    components/widget: add doxygen config file to create documentations
    
    If you want to create a documantation,
    please move into current directory that contains the 'Doxyfile' and do execute command
    
    ''doxygen Doxyfile''
    
    This creates usually a subdirectory named /doc/html/
    This contains documentation contents in html format.
    Open /doc/html/index.html in your browser and you will see contents.

Merge: fa9e34fcc e5402057d
Thilo Graf <dbt@novatux.de>	2016-10-29

    Merge branch 'master' into pu/msgbox

Merge: 142ae901b e5402057d
svenhoefer <svenhoefer@svenhoefer.com>	2016-10-29

    Merge branch 'master' into pu/moviebrowser

M. Liebmann <git@tuxcode.de>	2016-10-29

    Use forceSaveScreen() in COsdSetup & CTimerList

M. Liebmann <git@tuxcode.de>	2016-10-29

    CKeyboardInput: Make saveScreen changeable with forceSaveScreen()

M. Liebmann <git@tuxcode.de>	2016-10-29

    CStringInput: Make saveScreen changeable with forceSaveScreen()

M. Liebmann <git@tuxcode.de>	2016-10-29

    Sort locale

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-29

    - moviebrowser: allow channellist-design in moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-29

    - listframe: add some needed get-members

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-29

    - textbox: add member to get background-radius

TangoCash <eric@loxat.de>	2016-10-28

    add possibility to add Name,Url,Port, Username and Password if needed.

Merge: 9b9d2542e 682b6f578
Thilo Graf <dbt@novatux.de>	2016-10-28

    Merge branch 'master' into pu/msgbox

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-28

    src/gui/osd_setup.cpp try to fix segfault, call from channellist

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-28

    - textbox: fix box width in round corners mode

Merge: ae96d48e0 874f54af4
Thilo Graf <dbt@novatux.de>	2016-10-28

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-27

    - cc_item_picture: fix wrong operator in width calculation

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-27

    src/gui/eventlist.cpp supplement to 61105699d44de6874fe346e9d8eff52011ebd197, fix chanel_id in search-mode

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-27

    src/gui/widget/menue.cpp fix segfault if items is empty

Merge: 368968496 99a9f8a7e
Thilo Graf <dbt@novatux.de>	2016-10-27

    Merge branch 'master' into pu/msgbox

Thilo Graf <dbt@novatux.de>	2016-10-27

    CChannelList: delete with red yes button

Thilo Graf <dbt@novatux.de>	2016-10-27

    CTestMenu: add sample for message box with parameter CMsgBox::mbNoYes

Thilo Graf <dbt@novatux.de>	2016-10-27

    CMsgBox: apply order of color buttons like on remote control
    
    Ensures unified conventions over gui.

Thilo Graf <dbt@novatux.de>	2016-10-27

    CMsgBox: add option for No Yes button arrangement
    
    Useful if order of red and green buttons must be changed.
    Return values are untouched.

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-27

    - textbox: fix lineBreakWidth calculation

Merge: d2038a499 48c596e2c
Thilo Graf <dbt@novatux.de>	2016-10-27

    Merge branch 'master' into pu/msgbox

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-26

    src/gui/timerlist.cpp update timerlist after show epgview

M. Liebmann <git@tuxcode.de>	2016-10-26

    CTimerList: Set httpConnectTimeout for remote timer = 3 sec

FlatTV <FlatTV@linux-z6o4.site>	2016-09-07

    system/httptool: make timeouts flexible
    
    Signed-off-by: M. Liebmann <git@tuxcode.de>

M. Liebmann <git@tuxcode.de>	2016-10-26

    remotetimer: Don't repaint timerlist when no changes to remote ip

M. Liebmann <git@tuxcode.de>	2016-10-26

    CMenuWidget::saveScreen: Fix segfault

M. Liebmann <git@tuxcode.de>	2016-10-26

    CTimerList: Use enableSaveScreen() for CIPInput

M. Liebmann <git@tuxcode.de>	2016-10-26

    CExtendedInput: Add saveScreen & restoreScreen() functions

Thilo Graf <dbt@novatux.de>	2016-10-26

    Clean up: remove unused files

Thilo Graf <dbt@novatux.de>	2016-10-26

    Includes: remove unused includes

Merge: ca97793ef 56e668ae9
Thilo Graf <dbt@novatux.de>	2016-10-26

    Merge branch 'master' into pu/msgbox

Thilo Graf <dbt@novatux.de>	2016-10-26

    CNeutrinoApp: add missing hide()
    
    Hintbox was not removed from scrren after paint.

Thilo Graf <dbt@novatux.de>	2016-10-26

    CMsgBox: add missing disableTimeOutBar()
    
    addendum to
    CHintBox: move showTimeOutBar() to protected, add params to enableTimeOutBar()

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-25

    - followscreenings: don't show menu if just one event is found

vanhofen <vanhofen@gmx.de>	2016-10-25

    - moviebrowser: port configuration of moviebrowser fonts from NI-Neutrino

Merge: a80b861cb a8c4bdb7d
Thilo Graf <dbt@novatux.de>	2016-10-25

    Merge branch 'master' into pu/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-25

    - listframe/moviebrowser: add round corners to scrollbar

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-25

    - moviebrowser: add spacer row to last play/rec windows

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-25

    - textbox: fix round corners/scrollbar handling

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-25

    - moviebrowser: fix max_width in info-box

Thilo Graf <dbt@novatux.de>	2016-10-25

    CHintBox: move showTimeOutBar() to protected, add params to enableTimeOutBar()
    
    Explicit call of disableTimeOutBar() after exec() is required to ensure
    we have no timebar opened objects. I'm not shure, but otherwise crashs
    could be possible.
    
    showTimeOutBar() is required for OnTimer(). It doesn't need any
    parameter.

Merge: 527e65df7 80f7d0a29
Thilo Graf <dbt@novatux.de>	2016-10-25

    Merge branch 'master' into pu/msgbox

Jacek Jendrzej <satbaby@kawaii.com>	2016-10-24

    helpers: 201103L have to_string

Thilo Graf <dbt@novatux.de>	2016-10-23

    CMsgBox: add doc for CMsgBox

Thilo Graf <dbt@novatux.de>	2016-10-23

    CHintBox: try to optimize height and width of message window

Thilo Graf <dbt@novatux.de>	2016-10-23

    CMsgBox: use default text mode parameter with scroll for all derivatives

Thilo Graf <dbt@novatux.de>	2016-10-23

    CComponentsFooter: optimize select buttons, try to assign better contrast
    
    Now it's possible to set parameters for frames and text.
    Parameters are prdefined for better contrasts in select or default mode.
    
    TODO: background modes have no effects at the moment. Here are other things need to be done.

Thilo Graf <dbt@novatux.de>	2016-10-23

    CHintBox: add doc with doxygen tags

Thilo Graf <dbt@novatux.de>	2016-10-22

    CTestMenu: ensure remove hintbox from screen after pressed exit button.
    
    call of hide() was missed.
    
    Use hintbox object on stack.
    Is completely sufficient here.

Thilo Graf <dbt@novatux.de>	2016-10-21

    CHintBox: ensure remove timeout bar from screen if hintbox object is closed
    
    Timeout bar is not embedded like other cc items in  this form, therefor is
    is better to kill this object explicit from screen otherwise it is possible
    we hab artefacts after closing of hintbox window.

Thilo Graf <dbt@novatux.de>	2016-10-21

    CHintBox: fix text mode pass
    
    Rquired in inherited classes

Thilo Graf <dbt@novatux.de>	2016-10-20

    CHintBox: visualize timeoutbar with smooth progress

Thilo Graf <dbt@novatux.de>	2016-10-20

    CComponentsTimer: add support for nano seconds
    
    To enable nano mode, parameter is_nano must set to true.

Thilo Graf <dbt@novatux.de>	2016-10-17

    CComponentsFooter: reduce button height inside footer
    
    TODO: more optimization seems required

Thilo Graf <dbt@novatux.de>	2016-10-17

    CCDraw: add signals into hide() methode
    
    alows to use slots

Thilo Graf <dbt@novatux.de>	2016-10-17

    CMsgBox: ensure reset of progress value on used key

Thilo Graf <dbt@novatux.de>	2016-10-14

    CMsgBox: enlarge footer height
    
    Buttons has too small offset to bottom of footer.
    Framed and shaded buttons are arranged on the top of footer, so
    we have a larger offset.

Thilo Graf <dbt@novatux.de>	2016-10-14

    CComponentsWindow: prepare possibility to change footer height

Thilo Graf <dbt@novatux.de>	2016-10-13

    CComponentsForm: try to fix possible transparent bars
    
    Ion enabled frame it's possible we have transparent bars
    between frame and the last item on window bottom. This should avoid this.

Thilo Graf <dbt@novatux.de>	2016-10-13

    CHintBox: add space for timeout bar

Thilo Graf <dbt@novatux.de>	2016-10-12

    CPictureViewerGui: add helpbox

Thilo Graf <dbt@novatux.de>	2016-10-11

    CHintbox/CMsgBox: add vizualized timeout bar

Thilo Graf <dbt@novatux.de>	2016-10-09

    CHintbox: use default text frame depends from default height and width

Thilo Graf <dbt@novatux.de>	2016-10-09

    Helpbox:  fix possible transparent holes behind images

Thilo Graf <dbt@novatux.de>	2016-10-09

    CMovieHelp: add localized items
    
    TODO: add missings locales

Thilo Graf <dbt@novatux.de>	2016-10-09

    CPersonalizeGui: remove centered text alignment fro helptext

Thilo Graf <dbt@novatux.de>	2016-10-09

    Helpbox: use auto sized width for footer button

Thilo Graf <dbt@novatux.de>	2016-10-07

    Helpbox: use current shadow color

Thilo Graf <dbt@novatux.de>	2016-10-07

    CHintBox: reduce window size for used auto size depends on text content

Thilo Graf <dbt@novatux.de>	2016-10-07

    CComponentsButton: remake caption size to 85% of button height
    
    Better optical matching size.

Thilo Graf <dbt@novatux.de>	2016-10-07

    CComponentsFooter: use different select color for button, if count = 1
    
    TODO:   should be configurable. Not all theme color combinations
            have matched contrasts.

Thilo Graf <dbt@novatux.de>	2016-10-07

    cc_item.cpp: subtract frame width from the inner radius Box
    
    Is necessary, because otherwise the frame radius would not match with outside radius
    This would mean that there are "holes" at the box corners.
    So now it seems to work.

Thilo Graf <dbt@novatux.de>	2016-10-07

    CComponentsItem: ensure some dimensions for shadow are not < 0

Thilo Graf <dbt@novatux.de>	2016-10-07

    CComponentsButton: remove enableShadow() from button class
    
    is not required

Thilo Graf <dbt@novatux.de>	2016-10-06

    cc_item.cpp: remove frame width from boxrad
    
    In framed boxes, frame radius was too big and was looking bad.
    Not sure if this is now fixed everywhere (eg. hintboxes)

Thilo Graf <dbt@novatux.de>	2016-10-05

    CMsgBox: use same colors for window body, footer and button container

Thilo Graf <dbt@novatux.de>	2016-10-05

    CMovieBrowser: add current content background color as image backkground
    
    Avoids transparent shadow artefacts during repaint of images

Thilo Graf <dbt@novatux.de>	2016-10-05

    CComponentsPicture: use body color as default clean up color

Thilo Graf <dbt@novatux.de>	2016-10-05

    CCDraw: add private variable col_shadow_clean
    
    Should help to control shadow clean up in some constallations

Thilo Graf <dbt@novatux.de>	2016-10-05

    CComponentsButton: remove clear()-methode and initVarButton()
    
    clear() killed all button object with all key values and key properties.
    So return values of messeage objects was killed.
    
    initVarButton() contains Oobjekt intits to already existant object.
    Bad idea, if we init again or pre init with NULL.
    
    Mode pass was missed.

Thilo Graf <dbt@novatux.de>	2016-10-05

    CComponentsFooter: remove debug spam

Thilo Graf <dbt@novatux.de>	2016-10-05

    CMsgBox: set some alternate keys to default key values

Thilo Graf <dbt@novatux.de>	2016-10-03

    CMsgBox: add colors to debug output

Thilo Graf <dbt@novatux.de>	2016-09-30

    cc_frm_button.cpp/cc_frm_footer.cpp: fix passed parameter
    
    were not passed through

Thilo Graf <dbt@novatux.de>	2016-09-30

    CComponentsForm: add parameters to setSelectedItem() methode
    
    Were not passed to items

Thilo Graf <dbt@novatux.de>	2016-09-24

    Try to rework footer
    
    * try to fix enableButtonShadow(), seems an init is missing
    * shadow fixed

Thilo Graf <dbt@novatux.de>	2016-09-14

    CComponentsItem: unused vars commented out

Thilo Graf <dbt@novatux.de>	2016-09-12

    CComponentsItem: remove frame witdth from boxrad calculation
    
    This fix possible artefacts on the bottom right corner with frame

Thilo Graf <dbt@novatux.de>	2016-08-30

    Shadow: try to optimize shadow areas
    
    * cleanup inner part of box on round corners, frames considered
    * adopt implementations in some gui classes
    * some debug lines removed
    * test menu adopted
    * try to fix corner caluculation to avoid transparent holes

Thilo Graf <dbt@novatux.de>	2016-08-27

    CTestMenu: adopt for last changes

Thilo Graf <dbt@novatux.de>	2016-08-27

    CComponetnsItem: try to assign shadow areas
    
    TODO: possible crashes on some constellations

Thilo Graf <dbt@novatux.de>	2016-08-27

    cc_types.h: add compatible types shadow types
    
    CC_SHADOW_ON is should compatible

Thilo Graf <dbt@novatux.de>	2016-08-21

    CComponentsFooter: add member enableButtonShadow()
    
    Possibility to pass button properties into button objects

Thilo Graf <dbt@novatux.de>	2016-08-21

    CComponentsFooter: reduced button height for better optical view into footer

Thilo Graf <dbt@novatux.de>	2016-08-20

    CComponentsItem: fix changeing color on select switching of frames
    
    expand select mode methodes with paremters for frame properties
    This should make variables col_frame_sel and fr_thickness_sel superfluous.

Thilo Graf <dbt@novatux.de>	2016-08-19

    CTestMenu: shadow for circle
    
    TODO: not really nice at the moment

Thilo Graf <dbt@novatux.de>	2016-08-18

    shadow:  paint shadow layer with multiple renderboxes
    
    Should help to paint a clean shadow frame

Thilo Graf <dbt@novatux.de>	2016-08-18

    CMsgBox: add option to enable/disable button background
    
    replaces var name btn_contour for better plausibility

Thilo Graf <dbt@novatux.de>	2016-04-16

    CCDraw: try to fix possible data race

Thilo Graf <dbt@novatux.de>	2016-04-04

    CMsgBox: rework msgbox classes with Window class implementation
    
    Replacing messagebox, hintbox_ext and some derivated parts with
    basic class hintbox and derivated class CMsgBox. This should unify
    window handling and avoids maintain of multiple classes with quasi
    same purpose and adds more functionality.
    
    TODO: fix and optimize details

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-20

    configure: fix short-filename logic
    
    if configure was not called from absolute path, detection
    would fail and huge filenames would be included in binary
    (noticed in yocto krogoth release)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-22

    system/helpers: allow to build with c++11 compilers

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-22

    helpers.cpp: include fontrenderer.h
    
    if Font class is used, the header should be included, too :-)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-22

    driver/record: make CStreamRec non-public
    
    CStreamRec is only used inside CRecordManager::Record, so it
    can be implemented completely inside record.cpp. The positive
    side effect is that avformat.h is not included everywhere (e.g.
    from moviebrowser/mb.h) and thus AVFORMAT_CFLAGS does not need
    to be added everywhere to fix build failures.

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-22

    record, streamts: use modern AV_CODEC_ID enums
    
    this allows to build with current ffmpeg

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-23

    - moviebrowser: show minutes in two-digits format

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-23

    - colors: change color for marked items under cursor; user's request

Merge: e9181efda 830b5c2aa
Michael Liebmann <micha-bbg@users.noreply.github.com>	2016-10-23

    Merge pull request #2 from neutrino-mp/master
    
    allow to build (not runtime tested :-) with a current yocto krogoth SDK

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-23

    channellist: fix linking without --enable-pip

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-23

    update_ext: fix build with glibc > 2.21 (open needs mode)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2015-01-26

    make curl and freetype2 detection crosscompile-friendly

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-22

    fix Makefiles to include SIGC_CFLAGS
    
    now that the framebuffer class includes libsigc++, the path
    to it must be known to all parts using framebuffer.h

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2013-05-11

    acinclude: fix variable expansion issues

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2013-04-27

    acinclude: better fix for pkg-config 0.28 behaviour
    
    Old pkg-config always retured a non-empty string for --cflags.
    It always contained at least one bogus space. New pkg-config
    does not do that. Do not rely on --cflags being non-empty.

Merge: 7bd568dc9 f6d09bd0e
Sven Höfer <svenhoefer@svenhoefer.com>	2016-10-23

    Merge pull request #1 from neutrino-mp/master
    
    remove obsolete libtriple and unused LIBCS_* flags

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-23

    configure: remove unused LIBCS_* variables
    
    (forward ported neutrino-mp commit 45b4bb0488d)

Stefan Seyfried <seife@tuxbox-git.slipkontur.de>	2016-10-23

    remove obsolete embedded libtriple
    
    the code is unmaintained and probably non-functional, everyone
    should use libstb-hal instead
    (forward ported neutrino-mp commit d2d82188857)

TangoCash <eric@loxat.de>	2016-10-23

    fix overlapping remote timers

TangoCash <eric@loxat.de>	2016-10-22

    fix empty ip

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-21

    - locale: fix moviebrowser spacer
    
    trailing whitespace was removed by mistake with 'git rebase --whitespace=fix' :/

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-21

    - timerlist: hide play button, when no remote-box is defined

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-21

    - timerlist: auto-calculate TimerListButtonsCount

TangoCash <eric@loxat.de>	2016-10-21

    add play button in footer

TangoCash <eric@loxat.de>	2016-10-21

    fix menue

TangoCash <eric@loxat.de>	2016-10-21

    add locals, add menu to manage box ip's

TangoCash <eric@loxat.de>	2016-10-21

    varius fixes

TangoCash <eric@loxat.de>	2016-10-21

    add multiple remote boxes

TangoCash <eric@loxat.de>	2016-10-21

    check if channel is present (send + fetch)

TangoCash <eric@loxat.de>	2016-10-21

    suppleental to last commit: fix time corrections for remote timers

TangoCash <eric@loxat.de>	2016-10-21

    adding remote timer (experimental)
    
    switch record timers to remote box or back with "play"-key

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-21

    - moviebrowser: add possibility to add spacers to moviebrowser

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-21

    - channellist: add small space between main-window and info-box

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-20

    - filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493; vol. 2

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-20

    Revert "- filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493"
    
    This reverts commit 85cd0952f28493a4673d9a7c5baab61f6d64be3f.

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - filebrowser: fix e9d8ab8a5e37ae44b3ca8185463faa7e8aa2a493

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - various: use DARK text color on DARK background

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - menue: fix listModeKey handling

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - listframe/moviebrowser: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - listframe: replace some color defines with original defines

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - listbox: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - color: use DARK text color on DARK background

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - channellist: avoid transparent pixels in round corners

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - stringinput_ext: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - stringinput: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - keyboard_input: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - upnpbrowser: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - timerlist: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - pictureviewer: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - filebrowser: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - eventlist: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - channellist: use getItemColors function; try to cleanup color mess

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - bouquetlist: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - bookmarkmanager: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - bouqueteditor_chanselect: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - bouqueteditor_channels: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - bouqueteditor_bouquets: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - audioplayer: use getItemColors function

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-19

    - color: add getItemColors function to simplify color handling

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-17

    - upnpbrowser: use stopAudio() function; was missing in c915f85

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-13

    - textbox: fix text position in mode CENTER and mode RIGHT; ...
    
    and add VISUAL_DEBUG define. That paints beautiful colored boxes
    to see what's going on.

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-13

    - cc_item_infobox: user OFFSET defines; fix width of textbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-13

    - upnpbrowser: use OFFSET defines; fix color under cursor; minor cleanups

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-13

    - textbox: use OFFSET defines

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-13

    - settings.h: activate OFFSET defines

Merge: 75376aa57 a0a09f1f7
M. Liebmann <tuxcode.bbg@gmail.com>	2016-10-13

    Merge branch 'cst-next'

M. Liebmann <tuxcode.bbg@gmail.com>	2016-10-07

    COPKGManager: Fix display description for locally installed packages

M. Liebmann <tuxcode.bbg@gmail.com>	2016-10-07

    COPKGManager::hasOpkgSupport: Disable directory check
    
      If directory /var/lib/opkg resp. /opt/opkg does not exist,
      it is created by opkg itself

Thilo Graf <dbt@novatux.de>	2016-10-13

    CComponentsText: add missing member to get current font

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-12

    - eventlist: remove obsolete bool show from CEventList::showFunctionBar

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-12

    - eventlist: remove unnecessary hide of footer

Thilo Graf <dbt@novatux.de>	2016-10-12

    CComponentsScrollBar: disable scrollbar color gradient
    
    Was for testing only, now usual properties used.

Thilo Graf <dbt@novatux.de>	2016-10-12

    CComponentsScrollBar: fix trasnparent background arrow icons
    
    parameter was disabled

Thilo Graf <dbt@novatux.de>	2016-10-12

    CFrameBuffer: reduce debug spam
    
    possible error is already intercepted.

Thilo Graf <dbt@novatux.de>	2016-10-11

    test_menue.cpp: fix broken build with --enable-testing

M. Liebmann <tuxcode.bbg@gmail.com>	2016-10-10

    Fix compile error at src/gui/audioplayer.cpp
    
     - Complement to commit 98500fd

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - rename customcolor.h -> color_custom.h; reduce unneeded inludes

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - cc_frm_button: use same framecolor as used in messagebox/msgbox

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - settings.h: add some definitions to use in future

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - add and use OFFSET_INTER definition

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - rename SHADOW_OFFSET -> OFFSET_SHADOW

vanhofen <vanhofen@gmx.de>	2016-10-10

    - infoviewer: align progressbar/sigbox code to latest changes

vanhofen <vanhofen@gmx.de>	2016-10-10

    - colors: add COL_PROGRESSBAR wrapper

vanhofen <vanhofen@gmx.de>	2016-10-10

    - channellist: add small frame to mono progressbars w/o gradient

vanhofen <vanhofen@gmx.de>	2016-10-10

    - audioplayer: fix connectline paint

vanhofen <vanhofen@gmx.de>	2016-10-10

    - ccomponents: fix frame color

vanhofen <vanhofen@gmx.de>	2016-10-10

    - infoclock: use default colors

vanhofen <vanhofen@gmx.de>	2016-10-10

    - timeosd: use default colors

vanhofen <vanhofen@gmx.de>	2016-10-10

    - keyboard_input: fix shadow color

vanhofen <vanhofen@gmx.de>	2016-10-10

    - stringinput: fix shadow color

vanhofen <vanhofen@gmx.de>	2016-10-10

    - timerlist: fix shadow color

vanhofen <vanhofen@gmx.de>	2016-10-10

    - colors: add COL_SCROLLBAR_PASSIVE wrapper

vanhofen <vanhofen@gmx.de>	2016-10-10

    - colors: add COL_SCROLLBAR_ACTIVE wrapper

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - channellist: remove color-mess in progressbar code; don't change colors when moving cursor

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - channellist: more highlight tuned channel under cursor

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - timeosd: fix shadow color

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - infoclock: fix shadow color; use SHADOW_OFFSET definition

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - ccomponents: just code cosmetics; formatting

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-10

    - colors: add COL_FRAME wrapper

Thilo Graf <dbt@novatux.de>	2016-10-07

    Moviebrowser: outsource help class

Thilo Graf <dbt@novatux.de>	2016-10-07

    CComponentsWindow: remove wrong corner assignment
    
    Overwrites corner mode for already assigned corner type for body object and
    previous statement is canceled. This should avoid this.

Thilo Graf <dbt@novatux.de>	2016-10-05

    Moviebrowser: complete licence texts

Thilo Graf <dbt@novatux.de>	2016-10-04

    CImageInfo: using "DATADIR" instead fixed path

Thilo Graf <dbt@novatux.de>	2016-10-03

    CImageInfo: fix initial height of first info item
    
    On first view of imageinfo window, no image name was visibla.
    Height for this item was not assigned.
    Height was only assigned at the second attempt.

Thilo Graf <dbt@novatux.de>	2016-10-03

    CImageInfo: fix possible item height calculation
    
    Calculation of height was ok on first paint, but on next time was broken.

Thilo Graf <dbt@novatux.de>	2016-10-03

    CImageInfo: use matched fontsize for informations
    
    This window contains many lines and it's possible that some lines are
    truncated. if users have changed to extreme font sizes,
    So it is hopefully solved.

Thilo Graf <dbt@novatux.de>	2016-10-03

    CImageInfo: add yweb version info

Thilo Graf <dbt@novatux.de>	2016-10-02

    Imageinfo: add lua API info
    
    Conflicts:
            data/locale/deutsch.locale
            data/locale/english.locale
            data/locale/nederlands.locale
            src/system/locals.h
            src/system/locals_intern.h

Thilo Graf <dbt@novatux.de>	2016-10-02

    CImageInfo: enable fade for image info window

Thilo Graf <dbt@novatux.de>	2016-10-03

    CComponentsExtTextForm: add methode to get current font
    
    Default font is generated by class it self, so it is useful
    to have access to current font if is required by implemenations.

Thilo Graf <dbt@novatux.de>	2016-10-03

    CComponentsExtTextForm: add missed parameter font_text

Thilo Graf <dbt@novatux.de>	2016-10-02

    lua api: fix broken build with --disable-lua

Thilo Graf <dbt@novatux.de>	2016-10-01

    CLuaInstCCSignalbox: fix compatibility
    
    Parameter for frontend was changed, is now NULL.
    older plugins could expect an instance and could show
    emtpty signal bars.

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-25

    Set correct path for /.version if TARGET_PREFIX is in use.

M. Liebmann <tuxcode.bbg@gmail.com>	2016-10-01

    src/global.h: Define TARGET_PREFIX when it is not defined

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - audioplayer: fix detailsline position

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - fade: fix if-else-endif logic

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: internal rename path_usrbin -> path_varbin

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: intensive use of variables

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: replace hardcoded paths (/share/tuxbox/neutrino/httpd -> %(PRIVATE_HTTPDDIR))

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: replace hardcoded paths (/var/httpd -> %(PUBLIC_HTTPDDIR))

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: replace hardcoded paths (/var/tuxbox/plugins -> %(PLUGINDIR_VAR))

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: replace hardcoded paths (/var/tuxbox/config -> %(CONFIGDIR))

svenhoefer <svenhoefer@svenhoefer.com>	2016-10-01

    - yWeb: add hack to Makefile to replace %(FAKE_VARIABLES) after install

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-30

    - moviebrowser: undock display of filling level from infobar setting

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-30

    Move definitions for '*_VAR' directories to configure

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-30

    - streaminfo2: allow fade in/out

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-29

    - fade: fix flickering on HD2 hardware; ported from TangoCash's repo

vanhofen <vanhofen@gmx.de>	2016-09-29

    - movieplayer: fix -Wformat warning; Vol. 2

vanhofen <vanhofen@gmx.de>	2016-09-29

    - neutrinofonts: fix -Wnarrowing warning in osd_setup

vanhofen <vanhofen@gmx.de>	2016-09-29

    - streamts: fix -Wformat warning

vanhofen <vanhofen@gmx.de>	2016-09-29

    - movieplayer: fix -Wformat warning

Thilo Graf <dbt@novatux.de>	2016-09-29

    CComponentsItem: prevent reinit of already initialized parent form

TangoCash <eric@loxat.de>	2016-09-28

    - channellist: paint events in additional box in a separated thread

Thilo Graf <dbt@novatux.de>	2016-09-28

    CInfoViewer: allow fe change without new sigbox object

Thilo Graf <dbt@novatux.de>	2016-09-28

    CSignalBox: add missing member to set frontend
    
    Remove double init of sig items; Will be done already by paintScale().
    Ensure reset of last sig value on fe change.
    Prevent possible segfault if fe is not defined.

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-28

    Revert "CSignalBox: Set current tuner as the default frontend"
    
    This reverts commit c83f1956372db31b494f3217898df57bc546bfd4.
    
    Conflicts:
            src/gui/components/cc_frm_signalbars.h

martii <m4rtii@gmx.de>	2016-09-26

    timerd: honor recording safety when modifying timers (fix)

martii <m4rtii@gmx.de>	2016-09-26

    timerd: honor recording safety when modifying timers

TangoCash <eric@loxat.de>	2016-09-26

    always refresh EPG for timer recordings

TangoCash <eric@loxat.de>	2016-09-26

    add autoAdjustToEPG to webif API

martii <m4rtii@gmx.de>	2016-09-26

    gui/timerlist: don't auto-adjust manually-added timer to EPG (untested)

martii <m4rtii@gmx.de>	2016-09-26

    timerd/timermanager: fix EPG auto-adjustment of recordings

martii <m4rtii@gmx.de>	2016-09-26

    timerd: adjust recording timers to epg

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-26

    - src/zapit/src/Makefile.am: add @FREETYPE_CFLAGS@ to avoid build fails

Thilo Graf <dbt@novatux.de>	2016-09-24

    CMenuItem: use reasonable radius
    
    In some views the large radius looks too chunky.

Thilo Graf <dbt@novatux.de>	2016-09-24

    CComponentsButton: use passed shadow parameter
    
    Shadow was always enabled.

Thilo Graf <dbt@novatux.de>	2016-09-24

    CComponentsHeader: ensure clean object on reinit
    
    Items were destroyed with simple call of delete
    but not removed from item collection.
    removeCCItem() does this and destroys item objects too.

Thilo Graf <dbt@novatux.de>	2016-09-24

    CComponentsFooter: remove defined font from footer
    
    cch_font has nothing to do with button font and is already
    inherited and defined from header class and can be redefined with
    setCaptionFont() methode if required.

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-21

    CLuaInstMessagebox::MessageboxExec: Fix 'show_buttons' handling

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-14

    - pzapit: fix change video mode; tell neutrino about the new value

Thilo Graf <dbt@novatux.de>	2016-09-06

    CCDraw: add member to get current shadow width

Thilo Graf <dbt@novatux.de>	2016-09-01

    CFrameBuffer: add debug warning if radius < 0
    
    Radius < 0 causes for wrong rendering. paintBoxFrame() gets confused.
    This will paint partial outside of frame area.

Thilo Graf <dbt@novatux.de>	2016-09-13

    CComponentsFooter: rename var for btn icon
    
    is more plausible

TangoCash <eric@loxat.de>	2016-09-12

    - messagebox: fix navigation in buttons if just one button is present (thx dbo)

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-12

    - detailsline: remove unneeded position/dimension additions

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-12

    - cc_detailsline: fix positions/dimensions of detailsline

Thilo Graf <dbt@novatux.de>	2016-09-11

    CThemes: try to fix possible artefacts after changed theme
    
    This ensures a clean screen before repaint after changed theme.
    
    In some constellations (eg. with color gradient) it was possible to
    see some old artefacts inside widget items, eg. in header.
    This should avoid this.
    Small disadvantage: screen needs complete repaint after changed theme, but
    this should be not a problem in this case.

TangoCash <eric@loxat.de>	2016-09-10

    lua: Fix segfault in messagebox.exec at 'align' and 'default'
    
     - Set default values for 'show_buttons' and 'default_button'
       to the correct value
     - Set Lua api version to 1.60
    
    Signed-off-by: M. Liebmann <tuxcode.bbg@gmail.com>

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgEpgId -> epgId

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgId -> channelId

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgChannel -> ChannelName

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgAudioPid -> AudioPid

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgVTXPID -> VtxtPid

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgVideoPid -> VideoPid

vanhofen <vanhofen@gmx.de>	2016-09-09

    - movieinfo: internally rename epgMode -> mode

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-09

    - add listModeKey() function to simplify these calls

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-08

    Activate warnings for deprecated functions in CLuaInstMisc & CLuaInstVideo
    
     - Set Lua api version to 1.59

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-08

    - lua: add pin-input; set lua api version to 1.58

Jacek Jendrzej <crashdvb@googlemail.com>	2016-09-07

    fix compil error: redundant redeclaration of 'void strReplace'

Jacek Jendrzej <crashdvb@googlemail.com>	2016-09-07

    src/gui/lua/lua_filehelpers.cpp fix possible segfault if string argument is not a string (nil)

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-06

    CFileHelpers: Rework FileBuf handling
    
    FileBuf: Reserve memory only when it is needed (copyFile)
    copyFile: Reserve for small files, only as much memory as is required

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-06

    CFileHelpers::removeDir: Better error message
    
     - No error when directory does not exist

Thilo Graf <dbt@novatux.de>	2016-08-12

    Moviebrowser: functions outsourced
    
    TODO:   Classes and menus should follow someday.

Thilo Graf <dbt@novatux.de>	2016-08-11

    Movibrowser: types outsourced

Thilo Graf <dbt@novatux.de>	2016-08-11

    Moviebrowser: start outsourcing moviebrowser code

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-06

    - lua: add RC_timeout to keyname table; set lua api version to 1.57

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-05

    - lua: add stand-alone stringinput; set lua api version to 1.56

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-05

    lua_filehelpers.cpp: Add lua script function 'exist()'
    
     - Set Lua api version to 1.55

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-05

    lua_filehelpers.cpp: Add lua script function 'ln()'
    
     - Set Lua api version to 1.54

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    lua_filehelpers.cpp: Add lua script function 'readlink()'
    
     - Set Lua api version to 1.53

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    lua_filehelpers.cpp: Add lua script function 'mkdir()'
    
     - Set Lua api version to 1.52

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    lua_filehelpers.cpp: Add lua script function 'rmdir()'
    
     - Set Lua api version to 1.51

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    src/system/helpers.h:createDir(): Set correct default for mode

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    lua_filehelpers.cpp: Add lua script function 'touch()'
    
     - Set Lua api version to 1.50

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    lua_filehelpers.cpp: Add lua script function 'chmod()'
    
     - Set Lua api version to 1.49

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    Use DebugInfo functions in CFileHelpers::cp / lua cp

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    CFileHelpers: Add DebugInfo functions for displaying error messages..
    
    ..in lua script functions

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-04

    Add alternative variant for the display of __FILE__ (__path_file__)
    
     - __path_file__ includes the relevant parts of source path

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-03

    lua_filehelpers.cpp: Add lua script function 'cp()'
    
     - Set Lua api version to 1.48

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-03

    helpers.cpp: Add cp() function

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-03

    CFileHelpers::copyFile: Rewrite mode handling

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-03

    helpers.cpp: Add itoa() function

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-03

    src/gui/lua: Add lua_filehelpers.cpp

M. Liebmann <tuxcode.bbg@gmail.com>	2016-09-02

    CLuaInstCCWindow::CCWindowNew: use setButtonLabels real footer width

svenhoefer <svenhoefer@svenhoefer.com>	2016-09-01

    - lua_menue: allow user definable return values
    
    This concerns:
    * CLuaMenuFilebrowser::exec()
    * CLuaMenuStringinput::exec()
    * CLuaMenuKeyboardinput::exec()

Thilo Graf <dbt@novatux.de>	2016-08-31

    CFrameBuffer: add debug warning if radius < 0
    
    Radius < 0 causes for wrong rendering. paintBoxRel() gets confused.
    This will paint partial outside of renderbox.
    
    TODO: This should be fixed.

Thilo Graf <dbt@novatux.de>	2016-08-30

    CComponentsHeader: don't use default parameters for privat member
    
    Unified adaptation related to child class ComponentsFooter.
    see: 9b9a8d1a789020d43a36474c60d51453cbc6593d

vanhofen <vanhofen@gmx.de>	2016-08-26

    - yWeb: depending display of logos in EPG plus from Tuxbox.DisplayLogos

vanhofen <vanhofen@gmx.de>	2016-08-26

    - tuxboxapi: remove obsolete Tuxbox.LogosURL from getLogoFile()

vanhofen <vanhofen@gmx.de>	2016-08-26

    - neutrinoyparser: move search for channellogos to neutrinoyparser
    
    This is to respecting user's setting to use other channellogos for
    WebIf. Now WebIf tries Tuxbox.LogosURL from nhttpd.conf first.
    
    Controlapi ignores these setting and providing the default system
    channelogos using NeutrinoAPI->getLogoFile().

TangoCash <eric@loxat.de>	2016-08-25

    fix xmltv channellogos

martii <m4rtii@gmx.de>	2014-03-11

    nhttpd/neutrinoapi: fix getLogoFile()

Thilo Graf <dbt@novatux.de>	2016-08-23

    CComponentsFooter: don't use default parameters for privat member
    
    Passed init values are better to see here.
    This should fix wrong footer color too. See UPNP-Browser, color was not
    applied here.

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-23

    - controlapi: remove unused variable outType from xmltv functions

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-23

    - yhook: avoid parameters from xml closing tag

TangoCash <eric@loxat.de>	2016-08-23

    - controlapi: add xmltv support

Thilo Graf <dbt@novatux.de>	2016-08-22

    CComponentsWindow: fix possible holes between frame and footer
    
    One line was to much

Thilo Graf <dbt@novatux.de>	2016-08-21

    CMenuWidget: assign all layer colors out of header init
    
    This fixes missing applying of possible changes of
    colour settings in color setup for frame.

Thilo Graf <dbt@novatux.de>	2016-08-21

    CComponentsButton: reduce shadow width
    
    buttons are mostly small elements, so these elements should have a reasonable shadow width

Thilo Graf <dbt@novatux.de>	2016-08-21

    CComponentsWindow: simplify statements

Thilo Graf <dbt@novatux.de>	2016-08-20

    CComponentsFooter: use background color of footer inside chain object
    
    Ensure pass of bg color from parent into chain object and button objects.
    Required by embedded button objects. This prevents "holes" on screen.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-22

    src/gui/lua/lua_cc_window.cpp use setButtonLabels real window width

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-22

    Complete missing lua api versions:
    
     - colors: some internal renamings (bc39d1e) v1.40
     - colors: make footer background color configurable (cc5258e) v1.41
     - luainstance: add missing entry for shadow color (a9446a0) v1.42
     - cc_text: if dx and dy is not set and text have parent use Height
       (a648dab) v1.43
     - cc_window: dont paint over screen size (9120176) v1.44
     - cpicture: Add getHeight/getWidth option (d5051a1) v1.45
     - cpicture: Add setDimensionsAll option (5c26de0) v1.46
    
     - Set Lua api version to 1.46
    
     See also neutrino-hd wiki:
     https://wiki.neutrino-hd.de/wiki/Neutrino_HD_Lua_API#Changelog

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-21

    lua_cc_window: add setDimensionsAll option

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-21

    lua_cc_picture: add cpicture getHeight / getWidth option

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-20

    src/gui/components/cc_frm_window.cpp dont paint over screen size

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-20

    2:supplement  to  a648daba757c9d9b27a23269ecc3881ac5a2ec62

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-20

    supplement to a648daba757c9d9b27a23269ecc3881ac5a2ec62

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-19

    src/gui/lua/lua_cc_text.cpp if dx and dy is not set and text have parent use Height and Width size from parent

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-17

    src/gui/widget/menue.cpp check if pointer is not NULL

Thilo Graf <dbt@novatux.de>	2016-08-17

    CMenuWidget: adopt shadow color to newer color macros

Thilo Graf <dbt@novatux.de>	2016-08-17

    CUpnpBrowserGui: enable missing shadows
    
    Supplement for c9bb55db72eea2251ed2451acd16df8d91007834

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-16

    - themes: change footer colors defaults
    
    these colors historically depends on infobar colors

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-16

    CUpnpBrowserGui: Fix segfault at neutrino start

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-15

    Sort locale

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-16

    - ccomponents: use COL_SHADOW for shadows

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-16

    - lua_cc_*: use COL_SHADOW for shadows

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-16

    - upnpbrowser: rework elements positions; avoid using FONT_EVENTLIST

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-16

    - themes: initialize foot_Text a little brighter

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - osd_setup: auto-calc size of font_size structs

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - neutrinofonts: remove wrong name from signal_font struct

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - upnpbrowser: use larger font for items; we have space, so let's use it

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - upnpbrowser: fix calculation of upper info box height

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - cc_item_text: avoid using INFOBAR_SMALL font; use MENU_INFO instead
    
    it's a small font too

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - fonts: add and use own font for all footers

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-15

    src/gui/moviebrowser.cpp m_movieSelectionHandler NULL pointer, try to fix use pointer after delete

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-15

    src/gui/widget/textbox.cpp try to fix paint sidebar

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - filebrowser: remove my stupid comment

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - cc_frm_button: respecting user colors in buttons

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - infoviewer_bb: respecting user colors in buttonbar

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - colors: make footer text color configurable

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - yWeb: enable trsp-key on remote controls

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - luainstance: add missing entry for shadow color

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - colors: remove obsolete COL_SHADOW_PLUS_1
    
    we should use only one shadow color (COL_SHADOW_PLUS_0)

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - upnpbrowser: use COL_SHADOW_PLUS_0 instead of COL_SHADOW_PLUS_1

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-15

    - colors: make footer background color configurable
    
    TODO: footer text color and maybe footer font

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-14

    - cc_frm_footer: overload font option with old familiar font

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-14

    - colors: some internal renamings
    
    * INFOBAR_SHADOW to SHADOW because it's not only used in infoviewer
    * INFOBAR_SHADOW_TEXT to MENUFOOT_TEXT because it's the proper name
    
    This is in preparation to make footer colors configurable

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-14

    - upnpbrowser: reduce paintButtons calls to cc_frm_buttons default
    
    remove obsolete setColorBody() call

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-14

    - bouqueteditor: reduce paintButtons calls to cc_frm_buttons default

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-14

    - cc_frm_button: don't use frames per default and align fontsize
    
    to familiar size

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-13

    Fix commit 4fd7808afd9191f8a8dab491cc9e6151dcc93198
    
     - Use indexes for font parameter in formatDeleteMsg() & cutString()

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-13

    Fix commit 71674d0f8aab183ad93d7220d5e6a8bfa6505588
    
     - Use indexes for font parameter in formatDeleteMsg() & cutString()

Jacek Jendrzej <crashdvb@googlemail.com>	2016-08-13

    src/gui/moviebrowser.cpp refreshMovieInfo after sort

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-12

    moviebrowser: Fix text display in message box when deleting a movie

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-12

    src/system/helpers.cpp: Add cutString() function

Thilo Graf <dbt@novatux.de>	2016-07-31

    CCDraw: add comment
    
    Add comment where to find corner radius defines

Thilo Graf <dbt@novatux.de>	2016-07-25

    CMenuWidget: use real paint mode of info box

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-12

    - messagebox/msgbox: respect user colors for inactive buttons; ...
    
    paint buttons with shadow and small frame

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-12

    - fb_window: add possibility to paint frame boxes

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-11

    - movieinfo: more cleanup; use htmlEntityDecode from helpers.cpp

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-11

    - movieinfo: cleanup from unused code; reformat code; no binary changes

vanhofen <vanhofen@gmx.de>	2016-08-11

    - epgview: fix display of mp_movie_info->productionDate

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-10

    - fix 4dd56385fb6771a50fe86bafb37a60260ee7669a

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-10

    - moviebrowser: don't paint hdd progressbar if it's disabled by user

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-10

    - epgview: show progressbar in movieplayer mode

M. Liebmann <tuxcode.bbg@gmail.com>	2016-08-10

    epgview: Fix save movie info
    
    Signed-off-by: svenhoefer <svenhoefer@svenhoefer.com>

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-10

    - epgview: fix bigfonts switch in movieplayer mode

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-10

    - epgview: fix content of small bottom box in movieplayer mode

TangoCash <eric@loxat.de>	2016-08-09

    fix position channellogo in moviebrowser

TangoCash <eric@loxat.de>	2016-08-09

    fix epgview channelogo (from moviebrowser)

TangoCash <eric@loxat.de>	2016-08-09

    fix fading from moviebrowser

TangoCash <eric@loxat.de>	2016-08-09

    add missing blits

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-09

    - tmdb: cleanup from unused code

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-09

    - movieinfo: move #endif to right place

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-09

    - epgview: add extended movie info; code from movieinfo.cpp
    
    comment out unused showMovieInfo() in movieinfo.cpp

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-08

    - locals: pay attention to upper/lower case for online services

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-08

    - allow to disable online services w/o cleaning the keys

vanhofen <vanhofen@gmx.de>	2016-08-06

    - add submenu to configure and control online services like youtube, shoutcast and tmdb

vanhofen <vanhofen@gmx.de>	2016-08-06

    - disable youtube, when youtube_dev_id is empty

vanhofen <vanhofen@gmx.de>	2016-08-06

    - disable tmdb, when tmdb_api_key is empty

vanhofen <vanhofen@gmx.de>	2016-08-06

    - disable shoutcast, when shoutcast_dev_id is empty

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-04

    - eventlist: allow to disable epgplus

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-03

    - epgview: remove obsolte calculation for footer witdh

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-03

    - epgview: cleanup from unused code

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-03

    - epgview: rework buttonbar logic

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-03

    - epgview: fix y-position of tmdb-logo and rating-stars

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-02

    - epgview: rename bool 'tmdbtoggle' to 'tmdb_active'

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-02

    - epgview: completion of d3cdf8d250d552d3efb860dcc45c82c80455237b

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-02

    - minor code cosmetics; no binary changes

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-02

    - epgview: scale tmdb-cover; smoother view (use a larger offset)

svenhoefer <svenhoefer@svenhoefer.com>	2016-08-02

    - epgview: rename bool 'cover' to 'has_cover'

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-30

    src/gui/epgview.cpp fix clear epgtext

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-30

    src/gui/epgview.cpp use show function for mp info view

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-29

    fix logic

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-29

    dont use tmdb if api key not defined

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-29

    src/gui/moviebrowser.cpp use one key for delete cover or add tmdb cover

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-28

    show epg/tmdb in moviebrowse info modus (yellow->info)

TangoCash <eric@loxat.de>	2016-03-08

    fix bigfonts in last commits

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-28

    fix compil warnings

TangoCash <eric@loxat.de>	2016-03-08

    add option to replace EPG Info with tmdb Info - be careful

TangoCash <eric@loxat.de>	2016-03-08

    urgent fix for last commit

TangoCash <eric@loxat.de>	2016-03-07

    adding Live-TV look alike EPG-Infos in Movieplayer incl. TMDB

Thilo Graf <dbt@novatux.de>	2016-07-27

    CMsgBox: ensure repaint of background
    
    This fixes "transparent holes", because textbox object is responsible
    for text.
    
    The problem here is that the message box has a fixed width and text box
    width is not really considered. This should be fixed, but CMsgBox class
    is used only by CMovieinfo class and this should be enough for the moment.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-22

    src/gui/lua/lua_video.cpp fix possible segfault if argument is not a string (nil)

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-21

    src/gui/widget/menue.cpp fix possible heap-buffer-overflow

Jacek Jendrzej <crashdvb@googlemail.com>	2016-07-06

    update slovak.locale (THX Pr0metheus)

Thilo Graf <dbt@novatux.de>	2016-06-29

    CShellWindow: add members to set/get commands and get current mode
    
    This allows to use shellwindow objects with existing instance.

martii <m4rtii@gmx.de>	2016-07-01

    - followscreenings: port code from martiis-neutrino-mp

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-23

    - no need to assign mainmenu as an argument to realrun()

Thilo Graf <dbt@novatux.de>	2016-04-15

    CMessageBox: ignore mute button for message boxes
    
    In some constellations it's possible that mute button is passed.
    For example see deleting functionality in moviebrowser.
    This should avoid unintended passing.

Thilo Graf <dbt@novatux.de>	2016-06-21

    CComponentsWindow: change order of items
    
    Add header and footer items as first  and  body as last item.
    Render of items occurs in listed order. So it's better for performance
    while render of window.
    This is something more advantageously because all other items are
    contained inside body. So we avoid possible delay while rendering
    of base items. It looks better on screen.

Thilo Graf <dbt@novatux.de>	2016-05-16

    CComponentsItem: ensure display of frame as last layer

Thilo Graf <dbt@novatux.de>	2016-05-16

    CComponentsWindow: try to fix reduce of item height on enabled frame
    
    The lower part of the window frame was always painted over.

Thilo Graf <dbt@novatux.de>	2016-04-16

    dvbsubtitle.cpp: fix wconversion compiler warnings

Thilo Graf <dbt@novatux.de>	2016-03-04

    CUpnpBrowserGui: fix paint image while scroll, use transparent background

Thilo Graf <dbt@novatux.de>	2016-04-06

    CCDraw: enable/disable frame if frame on changed frame width

Thilo Graf <dbt@novatux.de>	2016-05-17

    CComponentsWindow: use only body as background
    
    Should provide more performance

Thilo Graf <dbt@novatux.de>	2016-02-24

    CComponentsWindow: ensure default disable background paint on window
    
    Only basic items should have enabled background paint as default.
    Should be better for performance.

Thilo Graf <dbt@novatux.de>	2016-06-26

    CComponentsFrmClock: disable non-essential debug output
    
    It was just important to see how the texts are fitted inside
    a parent element. It's just a debugging relic.

Thilo Graf <dbt@novatux.de>	2016-05-04

    CMenuWidget: avoid dangling pointer after delete

Thilo Graf <dbt@novatux.de>	2016-02-10

    CTextBox: don't paint full background if max text width smaller than bg width

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-07

    - slovak.locale: update

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-07

    - cables.xml: update Antennengemeinschaft "Goeltzschtalbruecke"

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-07

    - yWeb: add Link and Trinity Duo to selection of remote controls

Jacek Jendrzej <crashdvb@googlemail.com>	2016-06-04

    avoid division by zero

Jacek Jendrzej <crashdvb@googlemail.com>	2016-06-04

    src/system/localize.cpp Undefined allocation of 0 bytes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-06-04

    avoid division by zero

Jacek Jendrzej <crashdvb@googlemail.com>	2016-06-02

    supplement to d46b287d1cd3448b56ced298c2f0ac46e03472cf

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-02

    - record_setup: remove undefined hint icon

svenhoefer <svenhoefer@svenhoefer.com>	2016-06-02

    - record_setup: add check existing recordings before set new timers

Thilo Graf <tg.pnhd@novatux.de>	2016-06-02

    CSignalBar: use correct initial value
    
    This should fix wrong values if signal = 0.

Thilo Graf <tg.pnhd@novatux.de>	2016-06-02

    CMovieBrowser: remove hide() from destructor
    
    hide() in constructor could make problems on created moviebrowser instances
    if gui functionality of moviebrowser is not required, eg if only members are used without gui.
    Gui parts could be unintended removed from screen.
    
    Note: hide() must be called explicit now. I didn't found any problems at the moment, but
    please report if you found problems, so we can fix it.

Thilo Graf <tg.pnhd@novatux.de>	2016-06-02

    CComponentsChannelLogo: rework logic of inital statement in setChannel()
    
    This should fix missing logos on existant chnannellogo instances.
    For example, this was to see if user has opened eventlist and
    opens timerlist with button '0'. After closed timerlist logos were lost.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-06-01

    src/gui/eventlist.cpp restore channel name after call search if not used

svenhoefer <svenhoefer@svenhoefer.com>	2016-05-30

    - setting_helpers: whitespace cleanup and code format changes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-23

    avoid division by zero and fix segfault

svenhoefer <svenhoefer@svenhoefer.com>	2016-05-21

    - hdd_menu: add key confirmation to hdd-check result

svenhoefer <svenhoefer@svenhoefer.com>	2016-05-19

    - channellist: add possibility to clear channel history

svenhoefer <svenhoefer@svenhoefer.com>	2016-05-19

    - remove unneeded include of system/lastchannel.h

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-19

    fix logic check null and add mute to skip

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-19

    check if string msg is not NULL, fix segfault

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-17

    try to fix current channel after edit mode

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-17

    Revert "very bad idea src/gui/channellist.cpp fix current channel after edit mode"
    
    This reverts commit 6593dcb0649366c8245d143395e8129856042912.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-16

    src/gui/channellist.cpp fix current channel after edit mode

svenhoefer <svenhoefer@svenhoefer.com>	2016-05-13

    - fix create-locals-work helper script

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-11

    nhttpd remove unused

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-11

    nhttpd use epg id to get events

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-10

    add epg remaping

Thilo Graf <dbt@novatux.de>	2016-05-07

    CScreenSaver: use common time format

Thilo Graf <dbt@novatux.de>	2016-04-26

    CSignalBar: remove dub init

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-04

    src/driver/neutrinofonts.cpp add cache for dynSize

Jacek Jendrzej <crashdvb@googlemail.com>	2016-05-04

    src/gui/widget/messagebox.cpp fix egfault if Text after call is deleted (lua script error)

M. Liebmann <tuxcode.bbg@gmail.com>	2016-04-30

    CLuaInstVideo::VideoCheckData(): Fix segfault when invalid parameter is passed

M. Liebmann <tuxcode.bbg@gmail.com>	2016-04-30

    Update LUA_WIKI urls

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-26

    some nver read compil fixes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-26

    src/driver/rcinput.cpp revert (not sure)

Thilo Graf <dbt@novatux.de>	2016-04-26

    CSignalBar: unified var init inside constructors

Thilo Graf <dbt@novatux.de>	2016-04-26

    CAudioMute: remove explicit paint
    
    Already done by InfoClock itself with timer

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-25

    fix memleak

Thilo Graf <dbt@novatux.de>	2016-04-25

    CComponentsTimer: rework timer class

M. Liebmann <tuxcode.bbg@gmail.com>	2016-04-24

    CLuaInstance: Fix compiler warnings

M. Liebmann <tuxcode.bbg@gmail.com>	2016-04-24

    Fix first paint mute icon

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-24

    some never read compil warning fixes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-23

    some compil warning fixes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-22

    some compil warning fixes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-22

    src/gui/timerlist.cpp fix memleak

Thilo Graf <dbt@novatux.de>	2016-04-22

    CComponentsFrmClock: remove unused parameter,fix possible compiler warnings

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-21

    avoid pssible memleak

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-21

    avoid null pointer use

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-21

    avoid division by zero

Thilo Graf <dbt@novatux.de>	2016-04-20

    CComponentsFrmClock: remove unnecessary paint
    
    Is already handled with OnTimer signal.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-20

    eitd : fix add ExtendedTextCache option

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-20

    pass by reference

svenhoefer <svenhoefer@svenhoefer.com>	2016-04-20

    - neutrinoyparser: try to fix nevis build
    
    Todo: BOXMODEL_NEVIS  should be renamed to HAVE_COOLSTREAM_HD1
          BOXMODEL_APOLLO should be renamed to HAVE_COOLSTREAM_HD2

svenhoefer <svenhoefer@svenhoefer.com>	2016-04-19

    - neutrinoyparser: fix Trinity detection

svenhoefer <svenhoefer@svenhoefer.com>	2016-04-19

    - neutrinoyparser: add Link and Trinity Duo

Thilo Graf <dbt@novatux.de>	2016-04-17

    ComponentsTimer: ensure slot connect/disconnect dependency from slot state

Thilo Graf <dbt@novatux.de>	2016-04-17

    CComponentsFrmClock: ensure slot connect, if it is empty

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-18

    data/satellites.xml update Astra19 Hotbird13

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-17

    src/eitd/xmlutil.cpp fix possible segfault

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-17

    src/timerd/timermanager.cpp revert last change

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-17

    zapit: fix comparison of constant 0 with expression of type 'bool' is always false

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-17

    i for last commit

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-17

    remove unused and some clang compil fixes

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-16

    src/gui/components/cc_signals.h fix typo

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-16

    lib/libdvbsub/tools.h unused

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-16

    src/gui/movieplayer.cpp delete chid if not used

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-15

    src/gui/components/cc_item_progressbar.cpp fix possible memleak

Thilo Graf <dbt@novatux.de>	2016-04-15

    CUpnpBrowserGui: use static button font instead auto font size

[CST] Focus <focus.cst@gmail.com>	2016-04-14

    lib/libcoolstream2/cs_api.h: update header

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-11

    src/driver/streamts.cpp try to fix send err loop

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-10

    src/driver/streamts.cpp check after new

Thilo Graf <dbt@novatux.de>	2016-04-10

    CInfoViewer: remove clock object interval allocation
    
    Already allocated with default value (1s) by constructor and
    also not required, because internal clock timer is not used here.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-08

    src/gui/movieplayer.cpp fix update duration on first call

Thilo Graf <dbt@novatux.de>	2016-04-07

    CComponentsWindow: add member to set button font and use infobar font as default

Thilo Graf <dbt@novatux.de>	2016-04-05

    CComponentsInfoBox: use framed infobox as default

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-05

    add Bluemoon-3.0.theme

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-05

    Revert "supplement to 2c700641c11b7f9985c5d2f8f1233252c3c73e7f"
    
    This reverts commit f684fd50a0ea889ea6e14e664be24afbe0959f39.

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-05

    supplement to 2c700641c11b7f9985c5d2f8f1233252c3c73e7f

Thilo Graf <dbt@novatux.de>	2016-04-05

    bouquetedit classes: use static button font instead auto font size
    
    User request

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-05

    src/daemonc/remotecontrol.cpp: fix PARENTALLOCK in onsignal mode

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-04

    add av_dict_free, fix memleak

Jacek Jendrzej <crashdvb@googlemail.com>	2016-04-03

    supplement to 619dacbc2ed9b11b5210408b516c0f8fd56c80e5

[CST] Focus <focus.cst@gmail.com>	2016-04-01

    gui/movieplayer.cpp: add non-blocking webtv zap, for testing

Jacek Jendrzej <crashdvb@googlemail.com>	2016-03-28

    src/gui/movieplayer.cpp fi possible segaults

Jacek Jendrzej <crashdvb@googlemail.com>	2016-03-28

    rnd for random_shuffle

[CST] Focus <focus.cst@gmail.com>	2016-03-28

    gui/movieplayer.cpp clear cookie_header before call lua script

[CST] Focus <focus.cst@gmail.com>	2016-03-28

    libcoolstream2/playback_cs.h: update header

Jacek Jendrzej <crashdvb@googlemail.com>	2016-03-25

    add postfields and header curl option

Jacek Jendrzej <crashdvb@googlemail.com>	2016-03-25

    add headers ffmpeg option for luascript bg play; use in script 'entry['header'] = 'Cookie: var=name';

[CST] Focus <focus.cst@gmail.com>	2016-03-25

